/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         nft_parse
#define yylex           nft_lex
#define yyerror         nft_error
#define yydebug         nft_debug
#define yynerrs         nft_nerrs


/* Copy the first part of user declarations.  */
#line 11 "parser_bison.y" /* yacc.c:339  */


#include <ctype.h>
#include <stddef.h>
#include <stdio.h>
#include <inttypes.h>
#include <syslog.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <netinet/if_ether.h>
#include <linux/netfilter.h>
#include <linux/netfilter/nf_tables.h>
#include <linux/netfilter/nf_conntrack_tuple_common.h>
#include <linux/netfilter/nf_nat.h>
#include <linux/netfilter/nf_log.h>
#include <linux/netfilter/nfnetlink_osf.h>
#include <linux/netfilter/nf_synproxy.h>
#include <linux/xfrm.h>
#include <netinet/ip_icmp.h>
#include <netinet/icmp6.h>
#include <libnftnl/common.h>
#include <libnftnl/set.h>
#include <libnftnl/udata.h>

#include <rule.h>
#include <statement.h>
#include <expression.h>
#include <headers.h>
#include <utils.h>
#include <parser.h>
#include <erec.h>
#include <sctp_chunk.h>

#include "parser_bison.h"

void parser_init(struct nft_ctx *nft, struct parser_state *state,
		 struct list_head *msgs, struct list_head *cmds,
		 struct scope *top_scope)
{
	memset(state, 0, sizeof(*state));
	state->msgs = msgs;
	state->cmds = cmds;
	state->scopes[0] = scope_init(top_scope, NULL);
	init_list_head(&state->indesc_list);
}

static void yyerror(struct location *loc, struct nft_ctx *nft, void *scanner,
		    struct parser_state *state, const char *s)
{
	erec_queue(error(loc, "%s", s), state->msgs);
}

static struct scope *current_scope(const struct parser_state *state)
{
	return state->scopes[state->scope];
}

static void open_scope(struct parser_state *state, struct scope *scope)
{
	assert(state->scope < array_size(state->scopes) - 1);
	scope_init(scope, current_scope(state));
	state->scopes[++state->scope] = scope;
}

static void close_scope(struct parser_state *state)
{
	assert(state->scope > 0);
	state->scope--;
}

static void location_init(void *scanner, struct parser_state *state,
			  struct location *loc)
{
	memset(loc, 0, sizeof(*loc));
	loc->indesc = state->indesc;
}

static void location_update(struct location *loc, struct location *rhs, int n)
{
	if (n) {
		loc->indesc       = rhs[n].indesc;
		loc->token_offset = rhs[1].token_offset;
		loc->line_offset  = rhs[1].line_offset;
		loc->first_line   = rhs[1].first_line;
		loc->first_column = rhs[1].first_column;
		loc->last_line    = rhs[n].last_line;
		loc->last_column  = rhs[n].last_column;
	} else {
		loc->indesc       = rhs[0].indesc;
		loc->token_offset = rhs[0].token_offset;
		loc->line_offset  = rhs[0].line_offset;
		loc->first_line   = loc->last_line   = rhs[0].last_line;
		loc->first_column = loc->last_column = rhs[0].last_column;
	}
}

static struct expr *handle_concat_expr(const struct location *loc,
					 struct expr *expr,
					 struct expr *expr_l, struct expr *expr_r,
					 struct location loc_rhs[3])
{
	if (expr->etype != EXPR_CONCAT) {
		expr = concat_expr_alloc(loc);
		compound_expr_add(expr, expr_l);
	} else {
		location_update(&expr_r->location, loc_rhs, 2);

		expr = expr_l;
		expr->location = *loc;
	}

	compound_expr_add(expr, expr_r);
	return expr;
}

static bool already_set(const void *attr, const struct location *loc,
			struct parser_state *state)
{
	if (!attr)
		return false;

	erec_queue(error(loc, "You can only specify this once. This statement is duplicated."),
		   state->msgs);
	return true;
}

#define YYLLOC_DEFAULT(Current, Rhs, N)	location_update(&Current, Rhs, N)

#define symbol_value(loc, str) \
	symbol_expr_alloc(loc, SYMBOL_VALUE, current_scope(state), str)

/* Declare those here to avoid compiler warnings */
void nft_set_debug(int, void *);
int nft_lex(void *, void *, void *);

#line 208 "parser_bison.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 1
#endif

/* In a future release of Bison, this section will be replaced
   by #include "y.tab.h".  */
#ifndef YY_NFT_PARSER_BISON_H_INCLUDED
# define YY_NFT_PARSER_BISON_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int nft_debug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    TOKEN_EOF = 0,
    JUNK = 258,
    NEWLINE = 259,
    COLON = 260,
    SEMICOLON = 261,
    COMMA = 262,
    DOT = 263,
    EQ = 264,
    NEQ = 265,
    LT = 266,
    GT = 267,
    GTE = 268,
    LTE = 269,
    LSHIFT = 270,
    RSHIFT = 271,
    AMPERSAND = 272,
    CARET = 273,
    NOT = 274,
    SLASH = 275,
    ASTERISK = 276,
    DASH = 277,
    AT = 278,
    VMAP = 279,
    PLUS = 280,
    INCLUDE = 281,
    DEFINE = 282,
    REDEFINE = 283,
    UNDEFINE = 284,
    FIB = 285,
    SOCKET = 286,
    TRANSPARENT = 287,
    WILDCARD = 288,
    CGROUPV2 = 289,
    TPROXY = 290,
    OSF = 291,
    SYNPROXY = 292,
    MSS = 293,
    WSCALE = 294,
    TYPEOF = 295,
    HOOK = 296,
    HOOKS = 297,
    DEVICE = 298,
    DEVICES = 299,
    TABLE = 300,
    TABLES = 301,
    CHAIN = 302,
    CHAINS = 303,
    RULE = 304,
    RULES = 305,
    SETS = 306,
    SET = 307,
    ELEMENT = 308,
    MAP = 309,
    MAPS = 310,
    FLOWTABLE = 311,
    HANDLE = 312,
    RULESET = 313,
    TRACE = 314,
    INET = 315,
    NETDEV = 316,
    ADD = 317,
    UPDATE = 318,
    REPLACE = 319,
    CREATE = 320,
    INSERT = 321,
    DELETE = 322,
    GET = 323,
    LIST = 324,
    RESET = 325,
    FLUSH = 326,
    RENAME = 327,
    DESCRIBE = 328,
    IMPORT = 329,
    EXPORT = 330,
    MONITOR = 331,
    ALL = 332,
    ACCEPT = 333,
    DROP = 334,
    CONTINUE = 335,
    JUMP = 336,
    GOTO = 337,
    RETURN = 338,
    TO = 339,
    CONSTANT = 340,
    INTERVAL = 341,
    DYNAMIC = 342,
    AUTOMERGE = 343,
    TIMEOUT = 344,
    GC_INTERVAL = 345,
    ELEMENTS = 346,
    EXPIRES = 347,
    POLICY = 348,
    MEMORY = 349,
    PERFORMANCE = 350,
    SIZE = 351,
    FLOW = 352,
    OFFLOAD = 353,
    METER = 354,
    METERS = 355,
    FLOWTABLES = 356,
    NUM = 357,
    STRING = 358,
    QUOTED_STRING = 359,
    ASTERISK_STRING = 360,
    LL_HDR = 361,
    NETWORK_HDR = 362,
    TRANSPORT_HDR = 363,
    BRIDGE = 364,
    ETHER = 365,
    SADDR = 366,
    DADDR = 367,
    TYPE = 368,
    VLAN = 369,
    ID = 370,
    CFI = 371,
    DEI = 372,
    PCP = 373,
    ARP = 374,
    HTYPE = 375,
    PTYPE = 376,
    HLEN = 377,
    PLEN = 378,
    OPERATION = 379,
    IP = 380,
    HDRVERSION = 381,
    HDRLENGTH = 382,
    DSCP = 383,
    ECN = 384,
    LENGTH = 385,
    FRAG_OFF = 386,
    TTL = 387,
    PROTOCOL = 388,
    CHECKSUM = 389,
    PTR = 390,
    VALUE = 391,
    LSRR = 392,
    RR = 393,
    SSRR = 394,
    RA = 395,
    ICMP = 396,
    CODE = 397,
    SEQUENCE = 398,
    GATEWAY = 399,
    MTU = 400,
    IGMP = 401,
    MRT = 402,
    OPTIONS = 403,
    IP6 = 404,
    PRIORITY = 405,
    FLOWLABEL = 406,
    NEXTHDR = 407,
    HOPLIMIT = 408,
    ICMP6 = 409,
    PPTR = 410,
    MAXDELAY = 411,
    AH = 412,
    RESERVED = 413,
    SPI = 414,
    ESP = 415,
    COMP = 416,
    FLAGS = 417,
    CPI = 418,
    PORT = 419,
    UDP = 420,
    SPORT = 421,
    DPORT = 422,
    UDPLITE = 423,
    CSUMCOV = 424,
    TCP = 425,
    ACKSEQ = 426,
    DOFF = 427,
    WINDOW = 428,
    URGPTR = 429,
    OPTION = 430,
    ECHO = 431,
    EOL = 432,
    MPTCP = 433,
    NOP = 434,
    SACK = 435,
    SACK0 = 436,
    SACK1 = 437,
    SACK2 = 438,
    SACK3 = 439,
    SACK_PERM = 440,
    FASTOPEN = 441,
    MD5SIG = 442,
    TIMESTAMP = 443,
    COUNT = 444,
    LEFT = 445,
    RIGHT = 446,
    TSVAL = 447,
    TSECR = 448,
    SUBTYPE = 449,
    DCCP = 450,
    SCTP = 451,
    CHUNK = 452,
    DATA = 453,
    INIT = 454,
    INIT_ACK = 455,
    HEARTBEAT = 456,
    HEARTBEAT_ACK = 457,
    ABORT = 458,
    SHUTDOWN = 459,
    SHUTDOWN_ACK = 460,
    ERROR = 461,
    COOKIE_ECHO = 462,
    COOKIE_ACK = 463,
    ECNE = 464,
    CWR = 465,
    SHUTDOWN_COMPLETE = 466,
    ASCONF_ACK = 467,
    FORWARD_TSN = 468,
    ASCONF = 469,
    TSN = 470,
    STREAM = 471,
    SSN = 472,
    PPID = 473,
    INIT_TAG = 474,
    A_RWND = 475,
    NUM_OSTREAMS = 476,
    NUM_ISTREAMS = 477,
    INIT_TSN = 478,
    CUM_TSN_ACK = 479,
    NUM_GACK_BLOCKS = 480,
    NUM_DUP_TSNS = 481,
    LOWEST_TSN = 482,
    SEQNO = 483,
    NEW_CUM_TSN = 484,
    VTAG = 485,
    RT = 486,
    RT0 = 487,
    RT2 = 488,
    RT4 = 489,
    SEG_LEFT = 490,
    ADDR = 491,
    LAST_ENT = 492,
    TAG = 493,
    SID = 494,
    HBH = 495,
    FRAG = 496,
    RESERVED2 = 497,
    MORE_FRAGMENTS = 498,
    DST = 499,
    MH = 500,
    META = 501,
    MARK = 502,
    IIF = 503,
    IIFNAME = 504,
    IIFTYPE = 505,
    OIF = 506,
    OIFNAME = 507,
    OIFTYPE = 508,
    SKUID = 509,
    SKGID = 510,
    NFTRACE = 511,
    RTCLASSID = 512,
    IBRIPORT = 513,
    OBRIPORT = 514,
    IBRIDGENAME = 515,
    OBRIDGENAME = 516,
    PKTTYPE = 517,
    CPU = 518,
    IIFGROUP = 519,
    OIFGROUP = 520,
    CGROUP = 521,
    TIME = 522,
    CLASSID = 523,
    NEXTHOP = 524,
    CT = 525,
    L3PROTOCOL = 526,
    PROTO_SRC = 527,
    PROTO_DST = 528,
    ZONE = 529,
    DIRECTION = 530,
    EVENT = 531,
    EXPECTATION = 532,
    EXPIRATION = 533,
    HELPER = 534,
    LABEL = 535,
    STATE = 536,
    STATUS = 537,
    ORIGINAL = 538,
    REPLY = 539,
    COUNTER = 540,
    NAME = 541,
    PACKETS = 542,
    BYTES = 543,
    AVGPKT = 544,
    COUNTERS = 545,
    QUOTAS = 546,
    LIMITS = 547,
    SYNPROXYS = 548,
    HELPERS = 549,
    LOG = 550,
    PREFIX = 551,
    GROUP = 552,
    SNAPLEN = 553,
    QUEUE_THRESHOLD = 554,
    LEVEL = 555,
    LIMIT = 556,
    RATE = 557,
    BURST = 558,
    OVER = 559,
    UNTIL = 560,
    QUOTA = 561,
    USED = 562,
    SECMARK = 563,
    SECMARKS = 564,
    SECOND = 565,
    MINUTE = 566,
    HOUR = 567,
    DAY = 568,
    WEEK = 569,
    _REJECT = 570,
    WITH = 571,
    ICMPX = 572,
    SNAT = 573,
    DNAT = 574,
    MASQUERADE = 575,
    REDIRECT = 576,
    RANDOM = 577,
    FULLY_RANDOM = 578,
    PERSISTENT = 579,
    QUEUE = 580,
    QUEUENUM = 581,
    BYPASS = 582,
    FANOUT = 583,
    DUP = 584,
    FWD = 585,
    NUMGEN = 586,
    INC = 587,
    MOD = 588,
    OFFSET = 589,
    JHASH = 590,
    SYMHASH = 591,
    SEED = 592,
    POSITION = 593,
    INDEX = 594,
    COMMENT = 595,
    XML = 596,
    JSON = 597,
    VM = 598,
    NOTRACK = 599,
    EXISTS = 600,
    MISSING = 601,
    EXTHDR = 602,
    IPSEC = 603,
    REQID = 604,
    SPNUM = 605,
    IN = 606,
    OUT = 607,
    XT = 608
  };
#endif
/* Tokens.  */
#define TOKEN_EOF 0
#define JUNK 258
#define NEWLINE 259
#define COLON 260
#define SEMICOLON 261
#define COMMA 262
#define DOT 263
#define EQ 264
#define NEQ 265
#define LT 266
#define GT 267
#define GTE 268
#define LTE 269
#define LSHIFT 270
#define RSHIFT 271
#define AMPERSAND 272
#define CARET 273
#define NOT 274
#define SLASH 275
#define ASTERISK 276
#define DASH 277
#define AT 278
#define VMAP 279
#define PLUS 280
#define INCLUDE 281
#define DEFINE 282
#define REDEFINE 283
#define UNDEFINE 284
#define FIB 285
#define SOCKET 286
#define TRANSPARENT 287
#define WILDCARD 288
#define CGROUPV2 289
#define TPROXY 290
#define OSF 291
#define SYNPROXY 292
#define MSS 293
#define WSCALE 294
#define TYPEOF 295
#define HOOK 296
#define HOOKS 297
#define DEVICE 298
#define DEVICES 299
#define TABLE 300
#define TABLES 301
#define CHAIN 302
#define CHAINS 303
#define RULE 304
#define RULES 305
#define SETS 306
#define SET 307
#define ELEMENT 308
#define MAP 309
#define MAPS 310
#define FLOWTABLE 311
#define HANDLE 312
#define RULESET 313
#define TRACE 314
#define INET 315
#define NETDEV 316
#define ADD 317
#define UPDATE 318
#define REPLACE 319
#define CREATE 320
#define INSERT 321
#define DELETE 322
#define GET 323
#define LIST 324
#define RESET 325
#define FLUSH 326
#define RENAME 327
#define DESCRIBE 328
#define IMPORT 329
#define EXPORT 330
#define MONITOR 331
#define ALL 332
#define ACCEPT 333
#define DROP 334
#define CONTINUE 335
#define JUMP 336
#define GOTO 337
#define RETURN 338
#define TO 339
#define CONSTANT 340
#define INTERVAL 341
#define DYNAMIC 342
#define AUTOMERGE 343
#define TIMEOUT 344
#define GC_INTERVAL 345
#define ELEMENTS 346
#define EXPIRES 347
#define POLICY 348
#define MEMORY 349
#define PERFORMANCE 350
#define SIZE 351
#define FLOW 352
#define OFFLOAD 353
#define METER 354
#define METERS 355
#define FLOWTABLES 356
#define NUM 357
#define STRING 358
#define QUOTED_STRING 359
#define ASTERISK_STRING 360
#define LL_HDR 361
#define NETWORK_HDR 362
#define TRANSPORT_HDR 363
#define BRIDGE 364
#define ETHER 365
#define SADDR 366
#define DADDR 367
#define TYPE 368
#define VLAN 369
#define ID 370
#define CFI 371
#define DEI 372
#define PCP 373
#define ARP 374
#define HTYPE 375
#define PTYPE 376
#define HLEN 377
#define PLEN 378
#define OPERATION 379
#define IP 380
#define HDRVERSION 381
#define HDRLENGTH 382
#define DSCP 383
#define ECN 384
#define LENGTH 385
#define FRAG_OFF 386
#define TTL 387
#define PROTOCOL 388
#define CHECKSUM 389
#define PTR 390
#define VALUE 391
#define LSRR 392
#define RR 393
#define SSRR 394
#define RA 395
#define ICMP 396
#define CODE 397
#define SEQUENCE 398
#define GATEWAY 399
#define MTU 400
#define IGMP 401
#define MRT 402
#define OPTIONS 403
#define IP6 404
#define PRIORITY 405
#define FLOWLABEL 406
#define NEXTHDR 407
#define HOPLIMIT 408
#define ICMP6 409
#define PPTR 410
#define MAXDELAY 411
#define AH 412
#define RESERVED 413
#define SPI 414
#define ESP 415
#define COMP 416
#define FLAGS 417
#define CPI 418
#define PORT 419
#define UDP 420
#define SPORT 421
#define DPORT 422
#define UDPLITE 423
#define CSUMCOV 424
#define TCP 425
#define ACKSEQ 426
#define DOFF 427
#define WINDOW 428
#define URGPTR 429
#define OPTION 430
#define ECHO 431
#define EOL 432
#define MPTCP 433
#define NOP 434
#define SACK 435
#define SACK0 436
#define SACK1 437
#define SACK2 438
#define SACK3 439
#define SACK_PERM 440
#define FASTOPEN 441
#define MD5SIG 442
#define TIMESTAMP 443
#define COUNT 444
#define LEFT 445
#define RIGHT 446
#define TSVAL 447
#define TSECR 448
#define SUBTYPE 449
#define DCCP 450
#define SCTP 451
#define CHUNK 452
#define DATA 453
#define INIT 454
#define INIT_ACK 455
#define HEARTBEAT 456
#define HEARTBEAT_ACK 457
#define ABORT 458
#define SHUTDOWN 459
#define SHUTDOWN_ACK 460
#define ERROR 461
#define COOKIE_ECHO 462
#define COOKIE_ACK 463
#define ECNE 464
#define CWR 465
#define SHUTDOWN_COMPLETE 466
#define ASCONF_ACK 467
#define FORWARD_TSN 468
#define ASCONF 469
#define TSN 470
#define STREAM 471
#define SSN 472
#define PPID 473
#define INIT_TAG 474
#define A_RWND 475
#define NUM_OSTREAMS 476
#define NUM_ISTREAMS 477
#define INIT_TSN 478
#define CUM_TSN_ACK 479
#define NUM_GACK_BLOCKS 480
#define NUM_DUP_TSNS 481
#define LOWEST_TSN 482
#define SEQNO 483
#define NEW_CUM_TSN 484
#define VTAG 485
#define RT 486
#define RT0 487
#define RT2 488
#define RT4 489
#define SEG_LEFT 490
#define ADDR 491
#define LAST_ENT 492
#define TAG 493
#define SID 494
#define HBH 495
#define FRAG 496
#define RESERVED2 497
#define MORE_FRAGMENTS 498
#define DST 499
#define MH 500
#define META 501
#define MARK 502
#define IIF 503
#define IIFNAME 504
#define IIFTYPE 505
#define OIF 506
#define OIFNAME 507
#define OIFTYPE 508
#define SKUID 509
#define SKGID 510
#define NFTRACE 511
#define RTCLASSID 512
#define IBRIPORT 513
#define OBRIPORT 514
#define IBRIDGENAME 515
#define OBRIDGENAME 516
#define PKTTYPE 517
#define CPU 518
#define IIFGROUP 519
#define OIFGROUP 520
#define CGROUP 521
#define TIME 522
#define CLASSID 523
#define NEXTHOP 524
#define CT 525
#define L3PROTOCOL 526
#define PROTO_SRC 527
#define PROTO_DST 528
#define ZONE 529
#define DIRECTION 530
#define EVENT 531
#define EXPECTATION 532
#define EXPIRATION 533
#define HELPER 534
#define LABEL 535
#define STATE 536
#define STATUS 537
#define ORIGINAL 538
#define REPLY 539
#define COUNTER 540
#define NAME 541
#define PACKETS 542
#define BYTES 543
#define AVGPKT 544
#define COUNTERS 545
#define QUOTAS 546
#define LIMITS 547
#define SYNPROXYS 548
#define HELPERS 549
#define LOG 550
#define PREFIX 551
#define GROUP 552
#define SNAPLEN 553
#define QUEUE_THRESHOLD 554
#define LEVEL 555
#define LIMIT 556
#define RATE 557
#define BURST 558
#define OVER 559
#define UNTIL 560
#define QUOTA 561
#define USED 562
#define SECMARK 563
#define SECMARKS 564
#define SECOND 565
#define MINUTE 566
#define HOUR 567
#define DAY 568
#define WEEK 569
#define _REJECT 570
#define WITH 571
#define ICMPX 572
#define SNAT 573
#define DNAT 574
#define MASQUERADE 575
#define REDIRECT 576
#define RANDOM 577
#define FULLY_RANDOM 578
#define PERSISTENT 579
#define QUEUE 580
#define QUEUENUM 581
#define BYPASS 582
#define FANOUT 583
#define DUP 584
#define FWD 585
#define NUMGEN 586
#define INC 587
#define MOD 588
#define OFFSET 589
#define JHASH 590
#define SYMHASH 591
#define SEED 592
#define POSITION 593
#define INDEX 594
#define COMMENT 595
#define XML 596
#define JSON 597
#define VM 598
#define NOTRACK 599
#define EXISTS 600
#define MISSING 601
#define EXTHDR 602
#define IPSEC 603
#define REQID 604
#define SPNUM 605
#define IN 606
#define OUT 607
#define XT 608

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 167 "parser_bison.y" /* yacc.c:355  */

	uint64_t		val;
	uint32_t		val32;
	uint8_t			val8;
	const char *		string;

	struct list_head	*list;
	struct cmd		*cmd;
	struct handle		handle;
	struct table		*table;
	struct chain		*chain;
	struct rule		*rule;
	struct stmt		*stmt;
	struct expr		*expr;
	struct set		*set;
	struct obj		*obj;
	struct flowtable	*flowtable;
	struct ct		*ct;
	const struct datatype	*datatype;
	struct handle_spec	handle_spec;
	struct position_spec	position_spec;
	struct prio_spec	prio_spec;
	struct limit_rate	limit_rate;
	struct tcp_kind_field {
		uint16_t kind; /* must allow > 255 for SACK1, 2.. hack */
		uint8_t field;
	} tcp_kind_field;

#line 985 "parser_bison.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int nft_parse (struct nft_ctx *nft, void *scanner, struct parser_state *state);

#endif /* !YY_NFT_PARSER_BISON_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1015 "parser_bison.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   8017

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  363
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  428
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1283
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  2215

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   608

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,   360,     2,     2,     2,
     357,   358,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   354,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   361,     2,   362,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   355,   359,   356,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   919,   919,   920,   929,   930,   933,   934,   937,   938,
     939,   940,   941,   942,   943,   944,   945,   946,   947,   948,
     949,   950,   951,   952,   953,   954,   955,   956,   957,   958,
     959,   960,   961,   962,   963,   964,   965,   966,   967,   968,
     969,   970,   971,   972,   973,   974,   975,   976,   977,   978,
     979,   980,   981,   982,   983,   984,   985,   987,   988,   989,
     991,   999,  1014,  1021,  1033,  1041,  1042,  1043,  1044,  1064,
    1065,  1066,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,
    1075,  1076,  1077,  1078,  1081,  1085,  1092,  1096,  1104,  1108,
    1112,  1119,  1126,  1130,  1137,  1146,  1150,  1154,  1158,  1162,
    1166,  1170,  1174,  1178,  1182,  1186,  1190,  1194,  1200,  1206,
    1210,  1217,  1221,  1229,  1236,  1243,  1247,  1254,  1263,  1267,
    1271,  1275,  1279,  1283,  1287,  1291,  1297,  1303,  1304,  1307,
    1308,  1311,  1312,  1315,  1316,  1319,  1323,  1327,  1331,  1335,
    1339,  1343,  1347,  1351,  1358,  1362,  1366,  1372,  1376,  1380,
    1386,  1392,  1396,  1400,  1404,  1408,  1412,  1416,  1420,  1424,
    1428,  1432,  1436,  1440,  1444,  1448,  1452,  1456,  1460,  1464,
    1468,  1472,  1476,  1480,  1484,  1488,  1492,  1496,  1500,  1504,
    1508,  1512,  1516,  1520,  1524,  1530,  1536,  1540,  1550,  1554,
    1558,  1562,  1566,  1570,  1576,  1580,  1584,  1588,  1592,  1596,
    1600,  1606,  1613,  1619,  1627,  1633,  1641,  1650,  1651,  1654,
    1655,  1656,  1657,  1658,  1659,  1660,  1661,  1664,  1665,  1668,
    1669,  1670,  1673,  1682,  1688,  1703,  1713,  1714,  1715,  1716,
    1717,  1728,  1738,  1749,  1759,  1770,  1781,  1790,  1799,  1808,
    1819,  1830,  1844,  1850,  1851,  1852,  1853,  1854,  1855,  1856,
    1861,  1871,  1872,  1873,  1880,  1901,  1912,  1923,  1936,  1941,
    1942,  1943,  1944,  1949,  1955,  1960,  1965,  1970,  1976,  1981,
    1986,  1987,  1998,  1999,  2002,  2006,  2009,  2010,  2011,  2012,
    2016,  2021,  2022,  2023,  2024,  2025,  2028,  2029,  2030,  2031,
    2036,  2046,  2057,  2068,  2080,  2089,  2094,  2100,  2105,  2114,
    2117,  2121,  2127,  2128,  2132,  2137,  2138,  2139,  2140,  2154,
    2158,  2162,  2168,  2173,  2180,  2185,  2190,  2193,  2200,  2207,
    2214,  2227,  2234,  2235,  2247,  2252,  2253,  2254,  2255,  2259,
    2269,  2270,  2271,  2272,  2276,  2286,  2287,  2288,  2289,  2293,
    2304,  2308,  2309,  2310,  2314,  2324,  2325,  2326,  2327,  2331,
    2341,  2342,  2343,  2344,  2348,  2358,  2359,  2360,  2361,  2365,
    2375,  2376,  2377,  2378,  2382,  2392,  2393,  2394,  2395,  2396,
    2399,  2430,  2437,  2441,  2444,  2454,  2461,  2472,  2485,  2500,
    2501,  2504,  2516,  2522,  2526,  2529,  2535,  2548,  2553,  2562,
    2563,  2566,  2569,  2570,  2571,  2574,  2589,  2590,  2593,  2594,
    2595,  2596,  2597,  2598,  2601,  2610,  2619,  2627,  2635,  2643,
    2651,  2659,  2667,  2675,  2683,  2691,  2699,  2707,  2715,  2723,
    2731,  2739,  2743,  2748,  2756,  2763,  2770,  2784,  2788,  2795,
    2799,  2805,  2817,  2823,  2830,  2836,  2843,  2844,  2845,  2846,
    2849,  2850,  2851,  2852,  2853,  2854,  2855,  2856,  2857,  2858,
    2859,  2860,  2861,  2862,  2863,  2864,  2865,  2866,  2867,  2868,
    2869,  2870,  2873,  2884,  2885,  2888,  2897,  2901,  2907,  2913,
    2918,  2921,  2926,  2931,  2934,  2940,  2945,  2953,  2954,  2956,
    2960,  2968,  2972,  2975,  2979,  2985,  2986,  2989,  2995,  2999,
    3002,  3127,  3132,  3137,  3142,  3147,  3153,  3183,  3187,  3191,
    3195,  3199,  3205,  3209,  3212,  3216,  3222,  3236,  3250,  3258,
    3259,  3260,  3263,  3264,  3267,  3268,  3283,  3299,  3307,  3308,
    3309,  3312,  3313,  3316,  3323,  3324,  3327,  3341,  3348,  3349,
    3364,  3365,  3366,  3367,  3368,  3371,  3374,  3380,  3386,  3390,
    3394,  3401,  3408,  3415,  3422,  3428,  3434,  3440,  3443,  3444,
    3447,  3453,  3459,  3465,  3472,  3479,  3487,  3488,  3491,  3495,
    3503,  3507,  3510,  3515,  3520,  3524,  3530,  3546,  3565,  3571,
    3572,  3578,  3579,  3585,  3586,  3587,  3588,  3589,  3590,  3591,
    3592,  3593,  3594,  3595,  3596,  3597,  3600,  3601,  3605,  3611,
    3612,  3618,  3619,  3625,  3626,  3632,  3635,  3636,  3647,  3648,
    3651,  3655,  3658,  3664,  3670,  3671,  3674,  3675,  3676,  3679,
    3683,  3687,  3692,  3697,  3702,  3708,  3712,  3716,  3720,  3726,
    3731,  3735,  3743,  3752,  3753,  3756,  3759,  3763,  3768,  3774,
    3775,  3778,  3781,  3785,  3789,  3793,  3798,  3805,  3810,  3818,
    3823,  3832,  3833,  3839,  3840,  3841,  3844,  3845,  3849,  3853,
    3859,  3860,  3863,  3869,  3873,  3876,  3881,  3887,  3888,  3891,
    3892,  3893,  3899,  3900,  3901,  3902,  3905,  3906,  3912,  3913,
    3916,  3917,  3920,  3926,  3933,  3940,  3951,  3952,  3953,  3956,
    3964,  3976,  3983,  3986,  3992,  3996,  3999,  4005,  4014,  4025,
    4031,  4057,  4058,  4067,  4068,  4071,  4080,  4091,  4092,  4093,
    4094,  4095,  4096,  4097,  4098,  4099,  4100,  4101,  4102,  4103,
    4104,  4105,  4108,  4131,  4132,  4133,  4136,  4137,  4138,  4139,
    4140,  4143,  4147,  4150,  4154,  4161,  4164,  4180,  4181,  4185,
    4191,  4192,  4198,  4199,  4205,  4206,  4212,  4215,  4216,  4227,
    4233,  4239,  4240,  4243,  4249,  4250,  4251,  4254,  4261,  4266,
    4271,  4274,  4278,  4282,  4288,  4289,  4296,  4302,  4303,  4304,
    4312,  4313,  4316,  4322,  4328,  4332,  4335,  4339,  4343,  4353,
    4357,  4360,  4366,  4373,  4377,  4383,  4397,  4411,  4416,  4424,
    4428,  4432,  4442,  4445,  4446,  4449,  4450,  4451,  4452,  4463,
    4474,  4480,  4501,  4507,  4524,  4530,  4531,  4532,  4535,  4536,
    4537,  4540,  4541,  4544,  4560,  4566,  4572,  4579,  4593,  4601,
    4609,  4615,  4619,  4623,  4627,  4631,  4638,  4643,  4654,  4668,
    4674,  4678,  4682,  4686,  4690,  4694,  4698,  4702,  4708,  4714,
    4722,  4723,  4724,  4727,  4728,  4732,  4738,  4739,  4745,  4746,
    4752,  4753,  4759,  4762,  4763,  4764,  4773,  4784,  4785,  4788,
    4796,  4797,  4798,  4799,  4800,  4801,  4802,  4803,  4804,  4805,
    4806,  4807,  4810,  4811,  4812,  4813,  4814,  4821,  4828,  4835,
    4842,  4849,  4856,  4863,  4870,  4877,  4884,  4891,  4898,  4901,
    4902,  4903,  4904,  4905,  4906,  4907,  4910,  4914,  4918,  4922,
    4926,  4930,  4936,  4937,  4947,  4951,  4955,  4971,  4972,  4975,
    4976,  4977,  4978,  4979,  4982,  4983,  4984,  4985,  4986,  4987,
    4988,  4989,  4990,  4991,  4992,  4993,  4994,  4995,  4996,  4997,
    4998,  4999,  5000,  5001,  5002,  5003,  5004,  5005,  5008,  5028,
    5032,  5046,  5050,  5054,  5060,  5064,  5070,  5071,  5072,  5075,
    5076,  5079,  5080,  5083,  5089,  5090,  5093,  5094,  5097,  5098,
    5101,  5102,  5105,  5113,  5140,  5145,  5150,  5156,  5157,  5160,
    5164,  5184,  5185,  5186,  5187,  5190,  5194,  5198,  5204,  5205,
    5208,  5209,  5210,  5211,  5212,  5213,  5214,  5215,  5216,  5217,
    5218,  5219,  5220,  5221,  5222,  5223,  5224,  5227,  5228,  5229,
    5230,  5231,  5232,  5233,  5236,  5237,  5238,  5239,  5242,  5243,
    5244,  5245,  5248,  5249,  5252,  5258,  5266,  5279,  5286,  5292,
    5298,  5307,  5308,  5309,  5310,  5311,  5312,  5313,  5314,  5315,
    5316,  5317,  5318,  5319,  5320,  5321,  5322,  5323,  5324,  5327,
    5336,  5337,  5338,  5339,  5352,  5358,  5359,  5360,  5363,  5369,
    5370,  5371,  5372,  5373,  5376,  5382,  5383,  5384,  5385,  5386,
    5387,  5388,  5389,  5390,  5393,  5397,  5405,  5412,  5413,  5414,
    5415,  5416,  5417,  5418,  5419,  5420,  5421,  5422,  5423,  5426,
    5427,  5428,  5429,  5432,  5433,  5434,  5435,  5436,  5439,  5445,
    5446,  5447,  5448,  5449,  5450,  5451,  5454,  5460,  5461,  5462,
    5463,  5466,  5472,  5473,  5474,  5475,  5476,  5477,  5478,  5479,
    5480,  5482,  5488,  5489,  5490,  5491,  5492,  5493,  5494,  5495,
    5498,  5504,  5505,  5506,  5507,  5508,  5511,  5517,  5518,  5521,
    5527,  5528,  5529,  5532,  5538,  5539,  5540,  5541,  5544,  5550,
    5551,  5552,  5553,  5556,  5560,  5565,  5569,  5576,  5583,  5584,
    5585,  5586,  5587,  5588,  5589,  5590,  5591,  5592,  5595,  5600,
    5605,  5610,  5615,  5620,  5627,  5628,  5629,  5630,  5631,  5634,
    5635,  5636,  5637,  5638,  5639,  5640,  5641,  5642,  5643,  5644,
    5645,  5654,  5655,  5658,  5661,  5662,  5665,  5668,  5671,  5677,
    5678,  5679,  5682,  5683,  5684,  5685,  5686,  5687,  5688,  5689,
    5690,  5691,  5692,  5693,  5694,  5695,  5696,  5697,  5698,  5699,
    5702,  5703,  5704,  5707,  5708,  5709,  5710,  5713,  5714,  5715,
    5716,  5717,  5720,  5721,  5722,  5723,  5726,  5731,  5735,  5739,
    5743,  5747,  5751,  5756,  5761,  5766,  5771,  5776,  5783,  5787,
    5793,  5794,  5795,  5796,  5799,  5807,  5808,  5811,  5812,  5813,
    5814,  5815,  5816,  5817,  5818,  5821,  5827,  5828,  5831,  5837,
    5838,  5839,  5840,  5843,  5849,  5855,  5861,  5864,  5870,  5871,
    5872,  5873,  5879,  5885,  5886,  5887,  5888,  5889,  5890,  5893,
    5899,  5900,  5903,  5909,  5910,  5911,  5912,  5913,  5916,  5930,
    5931,  5932,  5933,  5934
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 1
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "$undefined", "\"junk\"", "\"newline\"",
  "\"colon\"", "\"semicolon\"", "\"comma\"", "\".\"", "\"==\"", "\"!=\"",
  "\"<\"", "\">\"", "\">=\"", "\"<=\"", "\"<<\"", "\">>\"", "\"&\"",
  "\"^\"", "\"!\"", "\"/\"", "\"*\"", "\"-\"", "\"@\"", "\"vmap\"",
  "\"+\"", "\"include\"", "\"define\"", "\"redefine\"", "\"undefine\"",
  "\"fib\"", "\"socket\"", "\"transparent\"", "\"wildcard\"",
  "\"cgroupv2\"", "\"tproxy\"", "\"osf\"", "\"synproxy\"", "\"mss\"",
  "\"wscale\"", "\"typeof\"", "\"hook\"", "\"hooks\"", "\"device\"",
  "\"devices\"", "\"table\"", "\"tables\"", "\"chain\"", "\"chains\"",
  "\"rule\"", "\"rules\"", "\"sets\"", "\"set\"", "\"element\"", "\"map\"",
  "\"maps\"", "\"flowtable\"", "\"handle\"", "\"ruleset\"", "\"trace\"",
  "\"inet\"", "\"netdev\"", "\"add\"", "\"update\"", "\"replace\"",
  "\"create\"", "\"insert\"", "\"delete\"", "\"get\"", "\"list\"",
  "\"reset\"", "\"flush\"", "\"rename\"", "\"describe\"", "\"import\"",
  "\"export\"", "\"monitor\"", "\"all\"", "\"accept\"", "\"drop\"",
  "\"continue\"", "\"jump\"", "\"goto\"", "\"return\"", "\"to\"",
  "\"constant\"", "\"interval\"", "\"dynamic\"", "\"auto-merge\"",
  "\"timeout\"", "\"gc-interval\"", "\"elements\"", "\"expires\"",
  "\"policy\"", "\"memory\"", "\"performance\"", "\"size\"", "\"flow\"",
  "\"offload\"", "\"meter\"", "\"meters\"", "\"flowtables\"", "\"number\"",
  "\"string\"", "\"quoted string\"", "\"string with a trailing asterisk\"",
  "\"ll\"", "\"nh\"", "\"th\"", "\"bridge\"", "\"ether\"", "\"saddr\"",
  "\"daddr\"", "\"type\"", "\"vlan\"", "\"id\"", "\"cfi\"", "\"dei\"",
  "\"pcp\"", "\"arp\"", "\"htype\"", "\"ptype\"", "\"hlen\"", "\"plen\"",
  "\"operation\"", "\"ip\"", "\"version\"", "\"hdrlength\"", "\"dscp\"",
  "\"ecn\"", "\"length\"", "\"frag-off\"", "\"ttl\"", "\"protocol\"",
  "\"checksum\"", "\"ptr\"", "\"value\"", "\"lsrr\"", "\"rr\"", "\"ssrr\"",
  "\"ra\"", "\"icmp\"", "\"code\"", "\"seq\"", "\"gateway\"", "\"mtu\"",
  "\"igmp\"", "\"mrt\"", "\"options\"", "\"ip6\"", "\"priority\"",
  "\"flowlabel\"", "\"nexthdr\"", "\"hoplimit\"", "\"icmpv6\"",
  "\"param-problem\"", "\"max-delay\"", "\"ah\"", "\"reserved\"",
  "\"spi\"", "\"esp\"", "\"comp\"", "\"flags\"", "\"cpi\"", "\"port\"",
  "\"udp\"", "\"sport\"", "\"dport\"", "\"udplite\"", "\"csumcov\"",
  "\"tcp\"", "\"ackseq\"", "\"doff\"", "\"window\"", "\"urgptr\"",
  "\"option\"", "\"echo\"", "\"eol\"", "\"mptcp\"", "\"nop\"", "\"sack\"",
  "\"sack0\"", "\"sack1\"", "\"sack2\"", "\"sack3\"", "\"sack-permitted\"",
  "\"fastopen\"", "\"md5sig\"", "\"timestamp\"", "\"count\"", "\"left\"",
  "\"right\"", "\"tsval\"", "\"tsecr\"", "\"subtype\"", "\"dccp\"",
  "\"sctp\"", "\"chunk\"", "\"data\"", "\"init\"", "\"init-ack\"",
  "\"heartbeat\"", "\"heartbeat-ack\"", "\"abort\"", "\"shutdown\"",
  "\"shutdown-ack\"", "\"error\"", "\"cookie-echo\"", "\"cookie-ack\"",
  "\"ecne\"", "\"cwr\"", "\"shutdown-complete\"", "\"asconf-ack\"",
  "\"forward-tsn\"", "\"asconf\"", "\"tsn\"", "\"stream\"", "\"ssn\"",
  "\"ppid\"", "\"init-tag\"", "\"a-rwnd\"", "\"num-outbound-streams\"",
  "\"num-inbound-streams\"", "\"initial-tsn\"", "\"cum-tsn-ack\"",
  "\"num-gap-ack-blocks\"", "\"num-dup-tsns\"", "\"lowest-tsn\"",
  "\"seqno\"", "\"new-cum-tsn\"", "\"vtag\"", "\"rt\"", "\"rt0\"",
  "\"rt2\"", "\"srh\"", "\"seg-left\"", "\"addr\"", "\"last-entry\"",
  "\"tag\"", "\"sid\"", "\"hbh\"", "\"frag\"", "\"reserved2\"",
  "\"more-fragments\"", "\"dst\"", "\"mh\"", "\"meta\"", "\"mark\"",
  "\"iif\"", "\"iifname\"", "\"iiftype\"", "\"oif\"", "\"oifname\"",
  "\"oiftype\"", "\"skuid\"", "\"skgid\"", "\"nftrace\"", "\"rtclassid\"",
  "\"ibriport\"", "\"obriport\"", "\"ibrname\"", "\"obrname\"",
  "\"pkttype\"", "\"cpu\"", "\"iifgroup\"", "\"oifgroup\"", "\"cgroup\"",
  "\"time\"", "\"classid\"", "\"nexthop\"", "\"ct\"", "\"l3proto\"",
  "\"proto-src\"", "\"proto-dst\"", "\"zone\"", "\"direction\"",
  "\"event\"", "\"expectation\"", "\"expiration\"", "\"helper\"",
  "\"label\"", "\"state\"", "\"status\"", "\"original\"", "\"reply\"",
  "\"counter\"", "\"name\"", "\"packets\"", "\"bytes\"", "\"avgpkt\"",
  "\"counters\"", "\"quotas\"", "\"limits\"", "\"synproxys\"",
  "\"helpers\"", "\"log\"", "\"prefix\"", "\"group\"", "\"snaplen\"",
  "\"queue-threshold\"", "\"level\"", "\"limit\"", "\"rate\"", "\"burst\"",
  "\"over\"", "\"until\"", "\"quota\"", "\"used\"", "\"secmark\"",
  "\"secmarks\"", "\"second\"", "\"minute\"", "\"hour\"", "\"day\"",
  "\"week\"", "\"reject\"", "\"with\"", "\"icmpx\"", "\"snat\"",
  "\"dnat\"", "\"masquerade\"", "\"redirect\"", "\"random\"",
  "\"fully-random\"", "\"persistent\"", "\"queue\"", "\"num\"",
  "\"bypass\"", "\"fanout\"", "\"dup\"", "\"fwd\"", "\"numgen\"",
  "\"inc\"", "\"mod\"", "\"offset\"", "\"jhash\"", "\"symhash\"",
  "\"seed\"", "\"position\"", "\"index\"", "\"comment\"", "\"xml\"",
  "\"json\"", "\"vm\"", "\"notrack\"", "\"exists\"", "\"missing\"",
  "\"exthdr\"", "\"ipsec\"", "\"reqid\"", "\"spnum\"", "\"in\"", "\"out\"",
  "\"xt\"", "'='", "'{'", "'}'", "'('", "')'", "'|'", "'$'", "'['", "']'",
  "$accept", "input", "stmt_separator", "opt_newline", "close_scope_ah",
  "close_scope_arp", "close_scope_at", "close_scope_comp",
  "close_scope_ct", "close_scope_counter", "close_scope_dccp",
  "close_scope_dst", "close_scope_dup", "close_scope_esp",
  "close_scope_eth", "close_scope_export", "close_scope_fib",
  "close_scope_flags", "close_scope_frag", "close_scope_fwd",
  "close_scope_hash", "close_scope_hbh", "close_scope_ip",
  "close_scope_ip6", "close_scope_vlan", "close_scope_icmp",
  "close_scope_igmp", "close_scope_import", "close_scope_ipsec",
  "close_scope_list", "close_scope_limit", "close_scope_meta",
  "close_scope_mh", "close_scope_monitor", "close_scope_nat",
  "close_scope_numgen", "close_scope_osf", "close_scope_policy",
  "close_scope_quota", "close_scope_queue", "close_scope_reject",
  "close_scope_reset", "close_scope_rt", "close_scope_sctp",
  "close_scope_sctp_chunk", "close_scope_secmark", "close_scope_socket",
  "close_scope_tcp", "close_scope_tproxy", "close_scope_type",
  "close_scope_th", "close_scope_udp", "close_scope_udplite",
  "close_scope_log", "close_scope_synproxy", "close_scope_xt",
  "common_block", "line", "base_cmd", "add_cmd", "replace_cmd",
  "create_cmd", "insert_cmd", "table_or_id_spec", "chain_or_id_spec",
  "set_or_id_spec", "obj_or_id_spec", "delete_cmd", "get_cmd", "list_cmd",
  "basehook_device_name", "basehook_spec", "reset_cmd", "flush_cmd",
  "rename_cmd", "import_cmd", "export_cmd", "monitor_cmd", "monitor_event",
  "monitor_object", "monitor_format", "markup_format", "describe_cmd",
  "table_block_alloc", "table_options", "table_block", "chain_block_alloc",
  "chain_block", "subchain_block", "typeof_data_expr", "typeof_expr",
  "set_block_alloc", "set_block", "set_block_expr", "set_flag_list",
  "set_flag", "map_block_alloc", "map_block_obj_type", "map_block",
  "set_mechanism", "set_policy_spec", "flowtable_block_alloc",
  "flowtable_block", "flowtable_expr", "flowtable_list_expr",
  "flowtable_expr_member", "data_type_atom_expr", "data_type_expr",
  "obj_block_alloc", "counter_block", "quota_block", "ct_helper_block",
  "ct_timeout_block", "ct_expect_block", "limit_block", "secmark_block",
  "synproxy_block", "type_identifier", "hook_spec", "prio_spec",
  "extended_prio_name", "extended_prio_spec", "int_num", "dev_spec",
  "flags_spec", "policy_spec", "policy_expr", "chain_policy", "identifier",
  "string", "time_spec", "family_spec", "family_spec_explicit",
  "table_spec", "tableid_spec", "chain_spec", "chainid_spec",
  "chain_identifier", "set_spec", "setid_spec", "set_identifier",
  "flowtable_spec", "flowtableid_spec", "flowtable_identifier", "obj_spec",
  "objid_spec", "obj_identifier", "handle_spec", "position_spec",
  "index_spec", "rule_position", "ruleid_spec", "comment_spec",
  "ruleset_spec", "rule", "rule_alloc", "stmt_list", "stateful_stmt_list",
  "stateful_stmt", "stmt", "xt_stmt", "chain_stmt_type", "chain_stmt",
  "verdict_stmt", "verdict_map_stmt", "verdict_map_expr",
  "verdict_map_list_expr", "verdict_map_list_member_expr",
  "connlimit_stmt", "counter_stmt", "counter_stmt_alloc", "counter_args",
  "counter_arg", "log_stmt", "log_stmt_alloc", "log_args", "log_arg",
  "level_type", "log_flags", "log_flags_tcp", "log_flag_tcp", "limit_stmt",
  "quota_mode", "quota_unit", "quota_used", "quota_stmt", "limit_mode",
  "limit_burst_pkts", "limit_rate_pkts", "limit_burst_bytes",
  "limit_rate_bytes", "limit_bytes", "time_unit", "reject_stmt",
  "reject_stmt_alloc", "reject_with_expr", "reject_opts", "nat_stmt",
  "nat_stmt_alloc", "tproxy_stmt", "synproxy_stmt", "synproxy_stmt_alloc",
  "synproxy_args", "synproxy_arg", "synproxy_config", "synproxy_obj",
  "synproxy_ts", "synproxy_sack", "primary_stmt_expr", "shift_stmt_expr",
  "and_stmt_expr", "exclusive_or_stmt_expr", "inclusive_or_stmt_expr",
  "basic_stmt_expr", "concat_stmt_expr", "map_stmt_expr_set",
  "map_stmt_expr", "prefix_stmt_expr", "range_stmt_expr",
  "multiton_stmt_expr", "stmt_expr", "nat_stmt_args", "masq_stmt",
  "masq_stmt_alloc", "masq_stmt_args", "redir_stmt", "redir_stmt_alloc",
  "redir_stmt_arg", "dup_stmt", "fwd_stmt", "nf_nat_flags", "nf_nat_flag",
  "queue_stmt", "queue_stmt_compat", "queue_stmt_alloc", "queue_stmt_args",
  "queue_stmt_arg", "queue_expr", "queue_stmt_expr_simple",
  "queue_stmt_expr", "queue_stmt_flags", "queue_stmt_flag",
  "set_elem_expr_stmt", "set_elem_expr_stmt_alloc", "set_stmt",
  "set_stmt_op", "map_stmt", "meter_stmt", "flow_stmt_legacy_alloc",
  "flow_stmt_opts", "flow_stmt_opt", "meter_stmt_alloc", "match_stmt",
  "variable_expr", "symbol_expr", "set_ref_expr", "set_ref_symbol_expr",
  "integer_expr", "primary_expr", "fib_expr", "fib_result", "fib_flag",
  "fib_tuple", "osf_expr", "osf_ttl", "shift_expr", "and_expr",
  "exclusive_or_expr", "inclusive_or_expr", "basic_expr", "concat_expr",
  "prefix_rhs_expr", "range_rhs_expr", "multiton_rhs_expr", "map_expr",
  "expr", "set_expr", "set_list_expr", "set_list_member_expr",
  "meter_key_expr", "meter_key_expr_alloc", "set_elem_expr",
  "set_elem_key_expr", "set_elem_expr_alloc", "set_elem_options",
  "set_elem_option", "set_elem_expr_options", "set_elem_stmt_list",
  "set_elem_stmt", "set_elem_expr_option", "set_lhs_expr", "set_rhs_expr",
  "initializer_expr", "counter_config", "counter_obj", "quota_config",
  "quota_obj", "secmark_config", "secmark_obj", "ct_obj_type",
  "ct_cmd_type", "ct_l4protoname", "ct_helper_config", "timeout_states",
  "timeout_state", "ct_timeout_config", "ct_expect_config", "ct_obj_alloc",
  "limit_config", "limit_obj", "relational_expr", "list_rhs_expr",
  "rhs_expr", "shift_rhs_expr", "and_rhs_expr", "exclusive_or_rhs_expr",
  "inclusive_or_rhs_expr", "basic_rhs_expr", "concat_rhs_expr",
  "boolean_keys", "boolean_expr", "keyword_expr", "primary_rhs_expr",
  "relational_op", "verdict_expr", "chain_expr", "meta_expr", "meta_key",
  "meta_key_qualified", "meta_key_unqualified", "meta_stmt", "socket_expr",
  "socket_key", "offset_opt", "numgen_type", "numgen_expr", "xfrm_spnum",
  "xfrm_dir", "xfrm_state_key", "xfrm_state_proto_key", "xfrm_expr",
  "hash_expr", "nf_key_proto", "rt_expr", "rt_key", "ct_expr", "ct_dir",
  "ct_key", "ct_key_dir", "ct_key_proto_field", "ct_key_dir_optional",
  "symbol_stmt_expr", "list_stmt_expr", "ct_stmt", "payload_stmt",
  "payload_expr", "payload_raw_expr", "payload_base_spec", "eth_hdr_expr",
  "eth_hdr_field", "vlan_hdr_expr", "vlan_hdr_field", "arp_hdr_expr",
  "arp_hdr_field", "ip_hdr_expr", "ip_hdr_field", "ip_option_type",
  "ip_option_field", "icmp_hdr_expr", "icmp_hdr_field", "igmp_hdr_expr",
  "igmp_hdr_field", "ip6_hdr_expr", "ip6_hdr_field", "icmp6_hdr_expr",
  "icmp6_hdr_field", "auth_hdr_expr", "auth_hdr_field", "esp_hdr_expr",
  "esp_hdr_field", "comp_hdr_expr", "comp_hdr_field", "udp_hdr_expr",
  "udp_hdr_field", "udplite_hdr_expr", "udplite_hdr_field", "tcp_hdr_expr",
  "optstrip_stmt", "tcp_hdr_field", "tcp_hdr_option_kind_and_field",
  "tcp_hdr_option_sack", "tcp_hdr_option_type", "tcpopt_field_sack",
  "tcpopt_field_window", "tcpopt_field_tsopt", "tcpopt_field_maxseg",
  "tcpopt_field_mptcp", "dccp_hdr_expr", "dccp_hdr_field",
  "sctp_chunk_type", "sctp_chunk_common_field", "sctp_chunk_data_field",
  "sctp_chunk_init_field", "sctp_chunk_sack_field", "sctp_chunk_alloc",
  "sctp_hdr_expr", "sctp_hdr_field", "th_hdr_expr", "th_hdr_field",
  "exthdr_expr", "hbh_hdr_expr", "hbh_hdr_field", "rt_hdr_expr",
  "rt_hdr_field", "rt0_hdr_expr", "rt0_hdr_field", "rt2_hdr_expr",
  "rt2_hdr_field", "rt4_hdr_expr", "rt4_hdr_field", "frag_hdr_expr",
  "frag_hdr_field", "dst_hdr_expr", "dst_hdr_field", "mh_hdr_expr",
  "mh_hdr_field", "exthdr_exists_expr", "exthdr_key", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,    61,   123,   125,    40,    41,   124,
      36,    91,    93
};
# endif

#define YYPACT_NINF -1709

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-1709)))

#define YYTABLE_NINF -1004

#define yytable_value_is_error(Yytable_value) \
  0

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const yytype_int16 yypact[] =
{
   -1709,  7417, -1709,   708, -1709, -1709,   116,   173,   173,   173,
     919,   919,   919,   919,   919,   919,   919,   919, -1709, -1709,
    3306,   206,  2192,   234,  1784,   247,  4028,   487,  1124,   334,
    6884,   274,   282,   290, -1709, -1709, -1709, -1709,   459,   919,
     919,   919,   919, -1709, -1709, -1709,   993, -1709,   173, -1709,
     173,   121,  6207, -1709,   708, -1709,    31,    51,   708,   173,
   -1709,    61,    80,  6207,   173, -1709,   143, -1709,   173, -1709,
   -1709,   919, -1709,   919,   919,   919,   919,   919,   919,   919,
     517,   919,   919,   919,   919, -1709,   919, -1709,   919,   919,
     919,   919,   919,   919,   919,   919,   533,   919,   919,   919,
     919, -1709,   919, -1709,   919,   919,   919,   919,   919,   919,
    1417,   919,   919,   919,   919,   919,   721,   919,   919,   919,
     608,   919,  1514,  1610,  1934,  2019,   919,   919,   919,  2213,
   -1709,   919,  2238,  2386,   919, -1709,   919,   919,   919,   919,
     919,   442,   919, -1709,   919, -1709,   989,   593,   175,   399,
   -1709, -1709, -1709, -1709,   663,   695,  1123,  1561,  1234,   938,
     231,  2553,  1846,   962,   155,   749,   821,   803,  3015,   197,
     759,  1911,   310,   335,   483,   108,   666,   152,   889,  6428,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709,  4386, -1709, -1709,   205,  6467,   242,  1167,   633,  6884,
     173, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,   862, -1709, -1709,   252,
   -1709, -1709,   862, -1709, -1709, -1709, -1709,  1217, -1709, -1709,
   -1709,   919,   919,   919,   -69, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709,   500,   506,   545, -1709, -1709, -1709,   217,   333,
     983, -1709, -1709, -1709,   489, -1709, -1709, -1709,    70,    70,
   -1709,   177,   173,  7669,  3691,   409, -1709,   381,   531, -1709,
   -1709, -1709, -1709, -1709,   150,   601,   451, -1709,   603,   738,
   -1709,   419,  6207, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709,   551, -1709,   766, -1709, -1709, -1709,   466, -1709,
    4727, -1709, -1709,   184, -1709,   329, -1709,   426, -1709, -1709,
   -1709, -1709,   836, -1709,   125, -1709, -1709,   750, -1709, -1709,
   -1709,  1100,   830,   859,   537, -1709,   777, -1709,  5732, -1709,
   -1709, -1709,   848, -1709, -1709, -1709,   882, -1709, -1709,  6071,
    6071, -1709, -1709,   112,   583,   602, -1709, -1709,   622, -1709,
   -1709, -1709,   637, -1709,   646,   954,  6207, -1709,    61,    80,
   -1709,   143, -1709, -1709,   919,   919,   919,   726, -1709, -1709,
   -1709,  6207, -1709,   199, -1709, -1709, -1709,   213, -1709, -1709,
   -1709,   299, -1709, -1709, -1709, -1709,   575, -1709, -1709,   143,
   -1709,   629,   662, -1709, -1709, -1709, -1709,   919, -1709, -1709,
   -1709, -1709,   143, -1709, -1709, -1709,   977, -1709, -1709, -1709,
   -1709,   919, -1709, -1709, -1709, -1709, -1709, -1709,   919,   919,
   -1709, -1709, -1709,   997,  1022, -1709,   919,  1024, -1709,   919,
   -1709,   919, -1709,   919, -1709,   919, -1709, -1709, -1709, -1709,
     919, -1709, -1709, -1709,   919, -1709,   919, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709,   919, -1709,   173, -1709, -1709,
   -1709, -1709,  1026, -1709, -1709, -1709, -1709, -1709,  1071,   563,
   -1709, -1709,   773, -1709, -1709,   987,   133, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
     251,   281, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
    1177, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,  3536, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  4142, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,   158,
   -1709, -1709,   740, -1709, -1709, -1709, -1709, -1709, -1709,   751,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709,  2665, -1709, -1709, -1709, -1709,   801,   686,   805,
    1008, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
     791,   786, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,   862, -1709, -1709,
   -1709, -1709,   -63,   -28,    13,   250, -1709, -1709, -1709,  4928,
    1064,  7053,  6884,   995, -1709, -1709, -1709, -1709,  1152,  1154,
      83,  1127,  1129,  1131,   103,  1133,  2665,  1136,  7053,  7053,
     968,  7053, -1709, -1709,  1088,  6884,   839,  7053,  7053,  1110,
    1148, -1709,  5801,   130, -1709,  1148, -1709, -1709, -1709,   846,
   -1709,  1105,  1108,   551, -1709, -1709,   679,  1148,  1120,  1122,
    1130,  1148,   766, -1709, -1709,   216, -1709, -1709,  7053, -1709,
    5129,  1161,   695,  1123,  1561,  1234, -1709,  2553,   594, -1709,
   -1709, -1709,  1163, -1709, -1709, -1709, -1709,  7053, -1709,  1281,
    1232,  1237,   899,   985,   736, -1709, -1709, -1709, -1709,  1257,
    1052,  1259, -1709, -1709, -1709, -1709,  1263, -1709, -1709, -1709,
   -1709,   178, -1709, -1709,  1271,  1314, -1709, -1709, -1709,  1252,
    1267, -1709, -1709,   184, -1709, -1709,  1331, -1709, -1709, -1709,
   -1709,  1371, -1709, -1709,  5330, -1709,  1371, -1709, -1709, -1709,
      73, -1709, -1709,   836, -1709,  1386, -1709,   173, -1709,  1041,
   -1709,   173,   114, -1709,  7524,  7524,  7524,  7524,  7524,  6884,
     117,  7254, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  7524, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709,   696, -1709,  1284,  1382,  1383,  1047,
     670,  1402, -1709, -1709, -1709,  7254,  7053,  7053,  1316,   132,
     708,  1406, -1709,   924,   708,  1318, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709,  1395,  1086,  1091,  1104, -1709,
    1109,  1114, -1709, -1709, -1709, -1709,  1156,  1146,  1007,  1148,
   -1709, -1709,  1351,  1355,  1370,  1378, -1709,  1380,  1132, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  1381, -1709, -1709, -1709,
   -1709, -1709,   919, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1388,
     593, -1709, -1709, -1709, -1709,  1389, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709,   873, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709,  1397, -1709,  1305, -1709, -1709,  1302, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  1155, -1709,  1160,  1368,
   -1709, -1709,   973,  1089,  1169,  1169, -1709, -1709, -1709,  1275,
   -1709, -1709, -1709, -1709,  1274,  1276, -1709,  1282,  1273,  1285,
     569, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
    1412, -1709, -1709, -1709,  1420, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1270, -1709,  1272,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1421,  1428,  1199,
   -1709, -1709, -1709, -1709, -1709,  1432,   515, -1709, -1709, -1709,
    1184,  1188,  1191,  1438, -1709, -1709,   968, -1709, -1709, -1709,
    1445, -1709, -1709, -1709, -1709,  7053,  1234,  2553,  1543,  5531,
   -1709,   125,   101,  1542,  3824,  1148,  1148,  1449,  6884,  7053,
    7053,  7053, -1709,  1450,  7053,  1502,  7053, -1709, -1709, -1709,
   -1709,  1453, -1709,    95,  1536, -1709, -1709,   612,   693,   686,
   -1709,   382,   496,  1386,  1518, -1709,  7053, -1709, -1709,   738,
    1400,   371,   111, -1709,  1039,  1402,   738, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709,  1414,   183, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,   923,  1030, -1709,  1033,
   -1709, -1709,  7053,  1565,  7053, -1709, -1709, -1709,   552,   577,
    7053, -1709, -1709,  1214, -1709, -1709,  7053,  7053,  7053,  7053,
    7053,  1475,  7053,  7053,   142,  7053,  1371,  7053,  1494,  1571,
    1496,  2308,  2308, -1709, -1709, -1709,  7053,  1052,  7053,  1052,
   -1709,  1562,  1575, -1709,   839, -1709,  6884, -1709,  6884, -1709,
   -1709, -1709,  1284,  1382,  1383, -1709,   738, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,  1223,  7524,  7524,  7524,  7524,  7524,  7524,
    7524,  7524,  7628,  7524,  7524,   763, -1709,   974, -1709, -1709,
   -1709, -1709, -1709,  1481, -1709,   724,   200, -1709,  2868,  3441,
     428,   852,   417, -1709, -1709, -1709, -1709, -1709, -1709,  1245,
    1249,  1254, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  1592, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709,  3824, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1253,  1264, -1709,
   -1709, -1709, -1709, -1709, -1709,  1199,   226,  1505, -1709, -1709,
   -1709, -1709, -1709,  1311, -1709, -1709, -1709,  1323,  1559, -1709,
    1453,  1098, -1709,   293,    95, -1709,  1922, -1709, -1709,  7053,
    7053,  1620, -1709,  1524,  1524, -1709,   101, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  1277,  1542,  6207,   101,
   -1709, -1709, -1709, -1709, -1709, -1709,  7053, -1709, -1709,   151,
    1325,  1326,  1611, -1709, -1709, -1709,  1330,    73, -1709,    98,
    7053,  1595, -1709,  7476, -1709,  1454,  1357,  1343,   371, -1709,
    1524,  1524, -1709,   682, -1709,  5801, -1709,  4459, -1709, -1709,
   -1709, -1709,  1642, -1709, -1709, -1709,  1328, -1709, -1709,  1328,
   -1709,  1580,  1328, -1709, -1709,  7053, -1709, -1709, -1709, -1709,
   -1709,  1281,  1232,  1237, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709,  1646,  7053,  1488,  7053, -1709, -1709, -1709, -1709,  1052,
   -1709,  1052,  1371, -1709, -1709,   214,  6207,  5849,   135, -1709,
   -1709, -1709,  1406,  1647, -1709, -1709,  1284,  1382,  1383, -1709,
     136,  1406, -1709, -1709,  1039,  7524,  7628, -1709,  1554,  1622,
   -1709, -1709, -1709, -1709, -1709,   173,   173,   173,   173,   173,
    1576,   566,   173,   173,   173,   173, -1709, -1709, -1709,   708,
   -1709,    89, -1709,  1567, -1709, -1709, -1709,   708,   708,   708,
     708,   708,  6884, -1709,  1524,  1524,  1312,  1342,  1572,   651,
    1065,  1497, -1709, -1709, -1709,   708,   708,   303, -1709,  6884,
    1524,  1333,   651,  1065, -1709, -1709, -1709,   708,   708,   303,
    1577,  1334,  1596, -1709, -1709, -1709, -1709, -1709,  3072,  3786,
    2370,  3212,  1491, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
    2182, -1709, -1709,  1591, -1709, -1709, -1709,  1693, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1599, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  1102,   436,   642,  1603,
   -1709, -1709, -1709, -1709, -1709,  1325,  1326, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1330, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709,  7053, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,  6884,  1352,   101, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,  1195,  1687, -1709,  1615, -1709,  1616, -1709,
    1195,  1623, -1709, -1709, -1709, -1709,  6884,    73, -1709,  7053,
      70,    70,   738,  1402, -1709,   167,  1624, -1709,   968, -1709,
   -1709, -1709,   371, -1709, -1709, -1709,   708, -1709,   183, -1709,
   -1709, -1709, -1709, -1709, -1709,  7053, -1709,  1638, -1709,  1371,
    1371,  6884, -1709,   237,  1374,  1719,   738, -1709,  1406,  1406,
    1544,  1629, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,   173,   173,   173, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709,  1630, -1709, -1709, -1709,
   -1709, -1709, -1709,  1023, -1709,   708,   708,   143, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1080,
   -1709, -1709, -1709, -1709, -1709,  1153, -1709, -1709, -1709, -1709,
   -1709,   815,   708,   143,   909,  1153, -1709, -1709, -1709,  1584,
     516,   708, -1709, -1709, -1709, -1709, -1709, -1709,  1663,   799,
    2525, -1709, -1709,  1634, -1709,  1199, -1709, -1709,  1384,   719,
     919, -1709, -1709, -1709, -1709, -1709,  1524,  1635,   719,  1639,
     919, -1709, -1709, -1709, -1709, -1709,  1636,   919, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709,  6207, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709,  1455, -1709,   122, -1709, -1709, -1709,    95, -1709, -1709,
   -1709, -1709, -1709, -1709,  1643,  1456,  1453, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709,  7053,  1392,  6884, -1709, -1709,  1137,
    5849, -1709, -1709,  1564,   708,  1398,  1399,  1403,  1410,  1415,
   -1709, -1709, -1709, -1709,  1416,  1422,  1425,  1426, -1709,  1709,
   -1709,  6884, -1709, -1709, -1709, -1709, -1709,   651, -1709,  1065,
   -1709,  6715, -1709, -1709,  2733, -1709,   148,   708,   149,   708,
   -1709, -1709, -1709, -1709, -1709, -1709,  1748, -1709,  1430, -1709,
   -1709,   708,   708, -1709,   708,   708,   708,   708,   708, -1709,
    1628,   708, -1709,  1427, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709,  1655,  1325,  1326, -1709, -1709, -1709, -1709,  1431,   738,
   -1709, -1709,  1544, -1709, -1709, -1709, -1709, -1709,  1433,  1442,
    1443, -1709, -1709, -1709, -1709,  1690, -1709, -1709, -1709, -1709,
   -1709,  6884,   708,  1764,  1791, -1709,   651, -1709, -1709, -1709,
   -1709,   708,  1080, -1709,  1698, -1709, -1709, -1709,   951, -1709,
   -1709, -1709, -1709, -1709, -1709,   137, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,  1701, -1709,  1707, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709,   719, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709,  1564,  1763,  4131,  2727,  3902,  2191,
   -1709, -1709, -1709,  1563,  2777,  2046,  2264,  1401,  1023, -1709,
    6884, -1709,  1080, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
    1702,  1711,   141, -1709, -1709,  1806,   140, -1709,   708, -1709,
   -1709, -1709, -1709,   708,   708,   708,   708,   708,  2574,  1185,
    2737,   708,   708,   708,   708,   163,  1461,  1584, -1709,  1809,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,  1716,  1707,   708,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709,   516, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,   708,   708,   708, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       2,     0,     1,     0,     4,     5,     0,     0,     0,     0,
     396,   396,   396,   396,   396,   396,   396,   396,   400,   403,
     396,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   207,   402,     9,    26,    27,     0,   396,
     396,   396,   396,    66,    65,     3,     0,    69,     0,   397,
       0,   421,     0,    64,     0,   391,     0,     0,     0,     0,
     568,    84,    86,     0,     0,   258,     0,   280,     0,   304,
      70,   396,    71,   396,   396,   396,   396,   396,   396,   396,
       0,   396,   396,   396,   396,    72,   396,    73,   396,   396,
     396,   396,   396,   396,   396,   396,     0,   396,   396,   396,
     396,    74,   396,    75,   396,   427,   396,   427,   396,   427,
     427,   396,   396,   427,   396,   427,     0,   396,   427,   427,
       0,   396,   427,   427,   427,   427,   396,   396,   396,   427,
      33,   396,   427,   427,   396,    45,   396,   396,   396,   396,
     427,     0,   396,    78,   396,    79,     0,     0,     0,   725,
     696,   392,   393,   394,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,   905,   906,   907,   908,   909,   910,   911,   912,   913,
     914,   915,   916,   917,   918,   919,   920,   921,   922,   923,
     925,     0,   927,   926,     0,     0,     0,     0,    32,     0,
       0,    83,   692,   691,   697,   698,   222,   708,   709,   702,
     895,   703,   706,   710,   707,   704,   705,   699,  1011,  1012,
    1013,  1014,  1015,  1016,  1017,  1018,  1019,  1020,  1021,  1022,
    1023,  1024,    51,  1026,  1027,  1028,   700,  1237,  1238,  1239,
    1240,  1241,  1242,  1243,  1244,   701,     0,   219,   220,     0,
      31,   203,     0,    19,   205,   208,    37,   209,   401,   398,
     399,   396,   396,   396,    13,   819,   792,   794,    68,    67,
     404,   406,     0,     0,     0,   423,   422,   424,     0,   558,
       0,   676,   677,   678,     0,   886,   887,   888,   463,   464,
     891,   683,     0,     0,     0,   479,   487,     0,   511,   536,
     548,   549,   625,   631,   652,     0,     0,   931,     0,     7,
      89,   429,   431,   444,   432,    59,   242,   459,   440,   467,
     439,    13,   477,    57,   485,   437,   438,    44,   539,    38,
       0,    52,    58,   556,    38,   624,    38,   630,    16,    23,
     450,    43,   650,   456,     0,   457,   442,     0,   682,   441,
     727,   730,   732,   734,   736,   737,   744,   746,     0,   745,
     689,   466,   895,   445,   451,   443,   699,   460,    60,     0,
       0,    63,   415,     0,     0,     0,    88,   409,     0,    92,
     273,   272,     0,   412,     0,     0,     0,   568,   109,   111,
     258,     0,   280,   304,   396,   396,   396,    13,   819,   792,
     794,     0,    58,     0,   133,   134,   135,     0,   127,   128,
     136,     0,   129,   130,   137,   138,     0,   131,   132,     0,
     139,     0,   141,   142,   796,   797,   795,   396,    13,    34,
      42,    49,     0,    58,   184,   428,   186,   151,   152,   153,
     154,   396,   155,   157,   181,   180,   179,   173,   396,   427,
     177,   176,   178,   796,   797,   798,   396,     0,    13,   396,
     158,   396,   161,   396,   164,   396,   170,    34,    42,    49,
     396,   167,    76,    13,   396,   188,   396,   191,    42,    77,
     194,   195,   196,   197,   200,   396,   199,     0,  1033,  1030,
    1031,    54,     0,   716,   717,   718,   719,   720,   722,     0,
     936,   938,     0,   937,    50,     0,     0,  1235,  1236,    54,
    1035,  1036,    53,    18,    53,  1039,  1040,  1041,  1042,    28,
       0,     0,  1045,  1046,  1047,  1048,  1049,     9,  1067,  1068,
    1062,  1057,  1058,  1059,  1060,  1061,  1063,  1064,  1065,  1066,
       0,    26,    53,  1082,  1081,  1080,  1083,  1084,  1085,    29,
      53,  1088,  1089,  1090,    30,  1099,  1100,  1092,  1093,  1094,
    1096,  1095,  1097,  1098,    27,    53,  1107,  1104,  1103,  1108,
    1106,  1105,  1109,    29,  1112,  1115,  1111,  1113,  1114,     8,
    1118,  1117,    17,  1120,    21,  1122,    11,  1126,  1127,  1124,
    1125,    55,  1132,  1129,  1130,  1131,    56,  1146,  1140,  1143,
      21,  1138,  1139,  1141,  1142,  1145,  1147,     0,  1133,    53,
    1179,  1180,    14,  1233,  1230,  1231,     0,  1232,    47,    53,
      26,  1250,   963,    27,  1249,  1252,   961,   962,    32,     0,
      46,    46,     0,    46,  1256,    46,    21,  1258,  1260,     0,
      46,  1247,  1246,    25,  1268,  1265,  1263,  1264,  1266,  1267,
      22,  1271,  1270,    15,    53,  1274,  1277,  1273,  1276,    36,
      35,   899,   900,   901,    49,   902,    32,    35,   897,   898,
     978,   979,   985,   971,   972,   970,   980,   981,  1001,   974,
     983,   976,   977,   982,   973,   975,   968,   969,   999,   998,
    1000,    49,     0,    12,   986,   942,   941,     0,   744,     0,
       0,    46,    25,    22,    15,    36,  1278,   946,   947,   924,
     945,     0,   690,  1025,   202,   221,    80,   204,    81,    82,
     210,   211,   213,   212,   215,   216,   214,   217,   816,   816,
     816,    94,     0,     0,   511,     0,   418,   419,   420,     0,
       0,     0,     0,     0,   893,   892,   889,   890,     0,     0,
       0,    35,    35,     0,     0,     0,     0,    12,     0,     0,
     520,     0,   509,   510,     0,     0,     0,     0,     0,     0,
       0,     6,     0,     0,   748,     0,   430,   433,   461,     0,
     436,     0,     0,   478,   481,   446,     0,     0,     0,     0,
       0,     0,   486,   488,   447,     0,   535,   448,     0,    45,
       0,     0,    18,    28,     9,    26,   857,    27,     0,   861,
     859,   860,     0,    38,    38,   847,   848,     0,   586,   589,
     591,   593,   595,   596,   601,   606,   604,   605,   607,   609,
     547,   573,   574,   584,   849,   575,   582,   576,   583,   579,
     580,     0,   577,   578,     0,   608,   581,   449,   458,     0,
       0,   565,   564,   557,   560,   452,     0,   643,   644,   645,
     623,   628,   641,   453,     0,   629,   634,   454,   455,   646,
       0,   668,   669,   651,   653,   656,   666,     0,   694,     0,
     693,     0,     0,   684,     0,     0,     0,     0,     0,     0,
       0,     0,   879,   880,   881,   882,   883,   884,   885,    18,
      28,     9,    26,    29,   872,    27,    29,     8,    17,    11,
      55,    56,    51,    14,    47,    38,     0,   862,   832,   863,
     741,   742,   844,   831,   821,   820,   836,   838,   840,   842,
     843,   830,   864,   865,   833,     0,     0,     0,     0,     7,
       0,   786,   785,   843,     0,     0,   360,    58,   226,   243,
     259,   286,   305,   425,   108,     0,     0,     0,     0,   115,
       0,     0,   816,   816,   816,   117,     0,     0,   511,     0,
     126,   149,     0,     0,     0,     0,   140,     0,     0,   816,
     144,   147,   145,   148,   150,   172,     0,   187,   156,   175,
     174,    12,   396,   160,   159,   162,   165,   171,   166,   163,
     169,   168,   190,   189,   192,   193,   198,   201,  1032,     0,
       0,    53,   713,   714,    20,     0,   934,   726,    40,    40,
    1234,  1037,  1034,  1043,  1038,    18,    26,    18,    26,  1044,
    1069,  1070,  1071,  1072,    26,  1054,  1079,  1078,  1087,  1086,
    1091,  1102,  1101,  1110,  1116,  1121,  1119,  1123,  1128,  1144,
      10,  1164,  1170,  1168,  1159,  1160,  1163,  1165,  1154,  1155,
    1156,  1157,  1158,  1166,  1161,  1162,  1167,  1135,  1169,  1134,
    1181,  1178,  1185,  1182,  1183,  1184,  1186,  1187,  1188,  1189,
    1190,  1191,  1192,  1193,  1194,  1195,  1196,  1197,  1198,  1199,
    1216,    48,  1228,  1251,   957,   958,   964,    46,   959,  1248,
       0,  1253,  1255,  1259,     0,  1257,  1245,  1262,  1269,  1275,
    1272,   896,   903,   894,   984,   987,   988,     0,   990,     0,
     989,   991,   992,    12,    12,   993,   965,     0,     0,   939,
    1280,  1279,  1281,  1282,  1283,     0,     0,   711,   206,   218,
       0,     0,     0,     0,   325,    13,   520,   350,    34,   330,
       0,    42,   355,   793,    49,     0,    26,    27,   550,     0,
     559,     0,   670,   672,     0,     0,     0,     0,     0,     0,
       0,     0,    12,     0,     0,   993,     0,   480,    34,   518,
     519,     0,    42,     0,     0,   665,    43,   660,   659,     0,
     664,   662,   663,    21,   637,   639,     0,   462,   761,     7,
       7,   763,   757,   760,   843,   782,     7,   747,   426,   251,
     483,   484,   482,   501,    18,     0,     0,   499,    21,   490,
     491,   492,   493,   496,   494,   489,     0,     0,    51,     0,
     615,   858,     0,   610,     0,   850,   853,   854,   851,   852,
       0,   856,   855,     0,   573,   582,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   617,     0,     0,     0,
       0,     0,     0,   562,   563,   561,     0,     0,     0,   632,
     655,   660,   659,   654,     0,    10,     0,   686,     0,   685,
     728,   729,   731,   733,   735,   738,     7,   468,   470,   743,
     851,   871,   852,   873,   870,   869,   874,   867,   868,   866,
     875,   876,   877,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   827,   826,   843,   929,  1010,
     788,   787,    61,     0,    62,     0,     0,   106,     0,     0,
       0,     0,     0,    58,   226,   243,   259,   286,   305,     0,
       0,     0,    13,    34,    42,    49,   416,   405,   407,   410,
     413,   305,    12,   185,   182,    12,     0,   721,   715,   712,
      50,   723,   724,  1050,  1052,  1051,  1053,    53,  1074,  1076,
    1075,  1077,  1056,    26,     0,  1176,  1148,  1173,  1150,  1177,
    1153,  1174,  1175,  1151,  1171,  1172,  1149,  1152,  1213,  1212,
    1214,  1215,  1221,  1203,  1204,  1205,  1206,  1218,  1207,  1208,
    1209,  1210,  1211,  1219,  1220,  1222,  1223,  1224,  1225,  1226,
    1227,    53,  1202,    21,  1217,    47,   960,     0,     0,    26,
      26,    27,    27,   966,   967,   939,   939,     0,    24,   944,
     948,   949,    32,     0,   340,   345,   335,     0,     0,    95,
       0,     0,   102,     0,     0,    97,     0,   104,   552,     0,
       0,   551,   673,     0,     0,   768,   671,   764,  1164,  1168,
    1163,  1167,  1169,    51,    10,    10,     0,   756,     0,   754,
      35,    35,    12,   475,    12,    12,     0,    12,   508,     0,
     521,   524,     0,   517,   513,   512,   514,     0,   647,     0,
       0,     0,   751,     0,   752,     0,    13,     0,   762,   771,
       0,     0,   781,   758,   769,   750,   749,     0,   500,    26,
     504,   505,    51,   503,   495,   537,     0,   541,   538,     0,
     543,     0,     0,   545,   616,     0,   620,   622,   585,   587,
     588,   590,   592,   594,   602,   603,   597,   600,   599,   598,
     612,   611,     0,     0,     0,  1002,  1003,  1004,  1005,   626,
     642,   633,   635,   667,   695,     0,     0,     0,     0,   471,
     878,   829,   823,     0,   834,   835,   837,   839,   841,   828,
     739,   822,   740,   845,   846,     0,     0,   739,     0,     0,
      58,   362,   361,   364,   363,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    85,   228,   227,     0,
     225,     0,    53,     0,    87,   245,   244,     0,     0,     0,
       0,     0,     0,   269,     0,     0,     0,     0,     0,     0,
       0,     0,    90,   261,   260,     0,     0,     0,   434,     0,
       0,     0,     0,     0,    91,   288,   287,     0,     0,     0,
       0,     0,     0,    13,    93,   307,   306,   125,     0,     0,
       0,     0,     0,   340,   345,   335,   118,   123,   119,   124,
       0,   146,   183,     0,   935,  1073,  1055,     0,  1200,  1201,
    1229,  1254,  1261,   994,   995,   996,   997,    39,     0,    24,
     940,   956,   952,   951,   950,    32,     0,     0,     0,     0,
      13,   327,   326,   329,   328,   521,   524,    34,   352,   351,
     354,   353,    42,   332,   331,   334,   333,   514,    49,   357,
     356,   359,   358,   553,   555,     0,   395,   766,   767,   765,
    1137,   933,   932,     0,     0,   755,   930,   928,  1007,   476,
    1008,    12,  1006,     0,   526,   528,     0,    34,     0,    34,
       0,     0,    42,   661,   657,   658,     0,     0,   638,     0,
       0,     0,     7,   783,   784,     0,     0,   773,   520,   772,
     779,   780,   759,   770,   465,   252,     0,   498,     0,   497,
      53,    53,    45,    53,   613,     0,   619,     0,   621,   627,
     636,     0,   674,     0,     0,     0,     7,   469,   825,   824,
     569,     0,   107,   417,   324,   408,   242,   411,   258,   280,
     414,   304,    21,     0,     0,     0,   324,   324,   324,   324,
     229,   389,   390,    41,   388,   387,     0,    21,   246,   248,
     247,   250,   249,     0,   256,     0,     0,     0,   303,   302,
      41,   301,   365,   367,   368,   366,   321,   369,   322,     0,
     320,   276,   277,   279,   278,     0,   275,   270,   271,   267,
     435,     0,     0,     0,     0,     0,   299,   298,   296,     0,
       0,     0,   310,   110,   112,   113,   114,   116,     0,     0,
       0,   143,    10,     0,   943,   939,   955,   953,     0,     0,
       0,    12,   342,   341,   344,   343,     0,     0,     0,     0,
       0,    12,   347,   346,   349,   348,     0,     0,    12,   337,
     336,   339,   338,   789,    96,   817,   818,   103,    98,   791,
     105,   554,     0,   687,  1009,   530,   531,   532,   533,   534,
     523,     0,   506,     0,   525,   507,   527,     0,   516,    43,
      43,   640,   753,    12,     0,     0,     0,   253,   502,    29,
      29,   546,   544,   614,     0,     0,     0,   675,   681,     0,
     473,   472,   570,   571,     0,     0,     0,     0,     0,     0,
     224,   324,   324,   324,     0,     0,     0,     0,   386,     0,
     385,     0,   263,   265,   266,   268,   300,     0,    53,     0,
      21,     0,   289,   297,     0,    21,     0,     0,     0,     0,
     313,    21,    12,    12,    12,  1029,     0,    24,     0,    55,
      51,     0,     0,   100,     0,     0,     0,     0,     0,   101,
       0,     0,    99,     0,   522,   529,   515,   648,   649,   777,
      12,     0,   521,   524,   540,   542,   618,   679,     0,     7,
     572,   566,   569,   360,   243,   259,   286,   305,     0,     0,
       0,   325,   350,   330,   355,     0,   257,   323,   262,   274,
     264,     0,     0,     0,   254,    58,     0,    13,    34,    42,
      49,     0,     0,   295,     0,   379,   373,   372,   376,   371,
     374,   375,   308,   318,   317,     0,   314,   319,   309,   311,
     121,   122,   120,     0,   954,     0,   802,   801,   808,   810,
     813,   814,   811,   812,   815,     0,   804,   688,   778,    13,
      34,    34,   680,   474,   571,     0,     0,     0,     0,     0,
     340,   345,   335,     0,     0,     0,     0,   384,     0,   292,
       0,   285,     0,   281,   283,   282,   284,    53,    53,   380,
       0,     0,     7,   312,  1136,     0,     0,   805,     0,   774,
     775,   776,   567,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   293,   255,
      53,   294,   290,   378,   377,   316,   315,     0,     0,     0,
      53,    58,   230,   231,   232,   233,    12,    12,    12,    13,
      34,    42,    49,   381,   382,     0,   370,   291,   807,   806,
      41,   803,   241,     0,     0,     0,   234,   239,   235,   240,
     383,   809,   237,   238,   236
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1709, -1709,    -1, -1112,   902,    52, -1193,   901,   613,  -281,
     900,  1111, -1709,   904,  -463, -1709, -1709,  -566,  1113, -1709,
   -1534,  1112,    -4,   -15,  1298,  -564, -1709, -1709,  -608, -1709,
    -470,  -629,  1126, -1709,  -238, -1709,   813, -1708,  -468, -1153,
   -1709,  -776,  -526,  -829, -1709,  -464,   473,  -891, -1709,  -386,
    1336,  -892,   931, -1709,  -403, -1709,    17, -1709, -1709,  1824,
   -1709, -1709, -1709, -1709, -1709, -1709,  1244, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709,    15, -1709,  1459, -1709,   509,  -323, -1293, -1709, -1709,
   -1516,  -394, -1285,  -352,   215,  -130,  -381, -1709, -1277, -1299,
   -1709,  -377, -1282,  -335, -1709,  -279,  -125, -1524,  -896,  -185,
    -184, -1565, -1558, -1555,  -180,  -179,  -167, -1709, -1709,  -287,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,   113,  -694,
   -1295,  1792,   -51,  3182, -1709,  1003, -1709, -1709,   119, -1709,
     296,   780, -1709, -1709,   207, -1709,  -641,  1503, -1709, -1709,
     201,  1800,   988,  3274,   -36, -1709, -1709, -1302, -1257,  -310,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709,    87, -1709, -1709,
   -1709, -1709,  1107, -1709, -1709, -1709,  1099, -1709, -1709, -1709,
     126, -1709,  1598, -1353,   192, -1709, -1093, -1556, -1354, -1550,
   -1351,   162,   161, -1709, -1709, -1079, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709,  1049,  -308,  1516,  -122,  -196,  -327,   664,
     671,   661, -1709,  -711, -1709, -1709, -1709, -1709, -1709, -1709,
    1885, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
    -311,   648, -1709, -1709, -1709, -1709,  1046,   435,  -842,   179,
    1157,   653, -1192, -1709, -1709,  1651, -1709, -1709, -1709, -1709,
    1050, -1709, -1709,   -58,   -29,  -775,  -317,   991,   -26, -1709,
   -1709, -1709,   925,   -17, -1709, -1709, -1709, -1709, -1709,  -124,
    -188, -1709, -1709,   619,  -746,  1741,   -55, -1709,   737, -1178,
   -1709, -1455, -1709, -1709,   477, -1304, -1709,   444, -1344,   445,
   -1709, -1709,  1586,  -559,  1553,  -558,  1568,  -554,  1558,  1850,
   -1709, -1704, -1709, -1709,  -207, -1709, -1709,   -14,  -511,  1573,
   -1709,  -303,  -280,  -769,  -751,  -759, -1709,  -266,  -758, -1709,
       9,  1669,  -764, -1709, -1392,  -294,   243,  1670, -1709,   -38,
   -1709,   285, -1709, -1307, -1709,   528, -1709, -1709, -1709, -1709,
   -1709,   628,  -247,   769,  1344,  1055,  1668,  1678, -1709, -1709,
    -430,   204, -1709, -1709, -1709,  1093, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
    1367,  -975, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709,   905, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709,
   -1709, -1709, -1709, -1709, -1709, -1709, -1709, -1709
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,  1655,   782,  1053,  1247,  1384,  1056,  1136,   741,
    1081,  1118,   877,  1054,  1245,   728,  1369,  1055,  1117,   878,
    1691,  1116,  1300,  1302,  1246,  1047,  1049,   726,   719,   482,
     991,  1121,  1120,   729,   807,  1884,  1371,  1978,   992,   879,
     804,   489,  1108,  1102,  1425,   993,  1026,   723,   857,  1031,
    1018,  1057,  1058,   795,   858,   788,  1656,    45,    46,    47,
      72,    85,    87,   416,   420,   425,   412,   101,   103,   130,
     997,   444,   135,   143,   145,   260,   263,   266,   267,   737,
    1148,   261,   211,   384,  1609,  1338,   385,  1339,  1517,  2062,
    1833,   388,  1340,   389,  1855,  1856,   392,  2071,  1341,  1635,
    1840,   394,  1342,  1999,  2085,  2086,  1848,  1849,  1965,  1448,
    1453,  1698,  1696,  1697,  1451,  1456,  1336,  1850,  1617,  1997,
    2078,  2079,  2080,  2167,  1618,  1619,  1823,  1824,  1803,   212,
    1727,    48,    49,    59,   419,    51,   423,  1806,    65,   428,
    1808,    69,   433,  1811,   414,   415,  1804,   285,   286,   287,
      52,   396,  1465,   446,  1621,   321,   322,  1637,   323,   324,
     325,   326,   327,   328,   329,  1297,  1568,  1569,   330,   331,
     332,   793,   794,   333,   334,   802,   803,  1234,  1228,  1522,
    1523,   335,  1160,  1496,  1752,   336,  1191,  1747,  1490,  1749,
    1491,  1492,  1930,   337,   338,  1527,   806,   339,   340,   341,
     342,   343,   863,   864,  1594,   383,  1963,  2041,   828,   829,
     830,   831,   832,   833,   834,  1547,   835,   836,   837,   838,
     839,   840,   344,   345,   870,   346,   347,   875,   348,   349,
     871,   872,   350,   351,   352,   883,   884,  1194,  1195,  1196,
     885,   886,  1171,  1172,   353,   354,   355,   356,   357,   892,
     893,   358,   359,   213,   841,   889,   928,   842,   360,   217,
    1024,   508,   509,   843,   516,   361,   362,   363,   364,   365,
     366,   930,   931,   932,   367,   368,   369,   783,   784,  1478,
    1479,  1210,  1211,  1212,  1466,  1467,  1513,  1508,  1509,  1514,
    1213,  1762,   950,  1704,   742,  1716,   744,  1722,   745,   437,
     467,  2011,  1912,  2146,  2147,  1895,  1905,  1150,  1711,   743,
     370,   951,   952,   936,   937,   938,   939,  1214,   941,   844,
     845,   846,   944,   945,   371,   756,   847,   677,   678,   220,
     373,   848,   514,  1438,   707,   849,  1146,   720,  1442,  1695,
     223,   850,   639,   852,   640,   853,   702,   703,  1133,  1134,
     704,   854,   855,   374,   375,   856,   228,   502,   229,   523,
     230,   529,   231,   537,   232,   551,  1044,  1383,   233,   559,
     234,   564,   235,   574,   236,   583,   237,   589,   238,   592,
     239,   596,   240,   601,   241,   606,   242,   377,   618,  1077,
    1472,  1079,  1396,  1388,  1393,  1386,  1390,   243,   622,  1100,
    1424,  1407,  1413,  1402,  1101,   244,   628,   245,   519,   246,
     247,   653,   248,   641,   249,   643,   250,   645,   251,   650,
     252,   660,   253,   663,   254,   669,   255,   716
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      43,   214,    53,   789,   216,   757,   968,  1008,   390,   981,
    1009,   391,   787,   218,   372,  1010,   320,   708,    44,  1052,
    1015,   970,   270,   214,  1215,   372,   971,   386,  1307,  1200,
    1106,  1309,   269,  1241,   214,   218,   876,   890,  1280,  1649,
     995,   750,  1647,  1498,  1059,   279,   218,   264,  1123,   969,
     790,  1163,  1659,   378,   445,   988,   445,   381,   445,   445,
    1032,  1660,   445,  1450,   445,   934,  1662,   445,   445,   779,
    1661,   445,   445,   445,   445,   957,   967,   986,   445,  1670,
    1113,   445,   445,  1638,  1638,   721,  1207,   268,   935,   445,
     994,  1218,  1564,   851,  1565,  1311,  1705,  1502,  1504,  1706,
    1880,  1717,   940,  1229,  1515,  1878,   865,  1233,   873,  1879,
    1566,  1764,  1795,   953,   953,  1109,  1253,  1111,  1864,  1112,
      56,    57,    58,  1861,  1115,  1298,   975,  1292,  1687,  1689,
    1290,  1291,  1986,  1123,    66,    67,   781,  1216,  1033,  1294,
     887,   679,  1796,  -696,  2142,   781,  1293,  2178,   887,  1915,
     955,  -696,  -696,  -696,  -696,  1886,  1916,   990,  1530,   891,
    1533,   280,  1729,   281,  1769,   887,  1046,  1821,  1822,  1728,
    2074,  1743,   382,    55,  1048,   150,   214,   387,   282,  1177,
     214,   393,  1756,  1155,  1567,  1140,  1161,  1003,   218,  1051,
    1463,  1164,   218,  1464,  2016,   400,   401,   402,  1494,  1473,
    1510,     3,  1012,  1511,     4,  1182,     5,   510,   511,   512,
    1122,   427,   429,   430,    63,  1770,  1771,    60,  -790,  1791,
      54,   442,   859,   860,  1153,  2025,     6,     7,     8,     9,
     453,   454,  1158,  1080,   775,   651,   460,  1124,   955,   758,
     755,   755,  1956,  1103,  2083,  2084,   274,   275,   276,   277,
    2075,  2076,  2083,  2084,  1744,    71,   982,   492,   493,  1028,
     652,   496,  1267,  1793,  1268,   679,   151,   152,   153,  1943,
     983,   724,  1135,   219,  1156,   759,    55,   727,  1119,   661,
     397,  1731,  1732,    86,   372,  1163,  -790,   411,   407,   408,
     409,   410,  1154,   214,     3,   219,   888,     4,   590,     5,
     102,   749,    55,   632,   662,   218,   219,     4,  1638,     5,
     619,   443,   776,   933,   591,   221,    55,   772,   773,     6,
       7,     8,     9,   722,   933,   933,  1520,  1157,   468,  1835,
    1836,  1521,   256,   477,   478,   479,  1185,   221,   483,   927,
     262,   488,   630,   390,   560,  1862,   391,  1531,   221,  1301,
     927,   927,  1303,   151,   152,   153,   984,  1236,   372,  1649,
     964,  1035,  1647,   620,   621,   561,   633,   214,  1159,   861,
    1237,   390,   862,   372,   391,   980,  1036,   942,   562,   218,
    1860,   144,   214,  1495,   390,   379,  1238,   391,   942,   942,
    -706,  1037,  1860,   265,   218,  -511,  1462,  -706,  -706,  -706,
    -706,  2148,    55,  1638,  1638,   380,  1038,  1183,   445,  1677,
    1745,   754,   754,   866,  1269,   760,  -223,  1352,     3,  1029,
    1354,     4,   513,     5,  1757,  1355,   636,   637,  1769,     3,
     210,  1729,     4,   210,     5,  -242,  -706,     3,  1178,  1745,
       4,   785,     5,     6,     7,     8,     9,  1780,   219,   210,
    1781,   785,   219,  1783,     6,     7,     8,     9,  1650,   283,
     284,  1651,     6,     7,     8,     9,  1353,   956,  1622,  1288,
    2072,  1944,  1296,  2094,  1270,  2063,  2110,   210,   738,   739,
     740,  1474,  1475,  2111,  1631,   210,  1217,   495,  1331,  1548,
     221,  1797,  2211,  2143,   221,  -696,  2179,   319,   319,   305,
    2077,   210,   210,   210,  -707,  1795,   638,  1631,   210,   210,
     874,  -707,  -707,  -707,  -707,   307,  1623,  1624,  1625,  1626,
     308,  1627,   305,   210,  1628,  1896,   382,   705,   563,  1266,
     280,   515,  1897,  1239,   281,   778,  1860,   706,   307,   387,
     785,  1629,  2132,   308,   393,  2128,   642,  1045,   271,  1576,
    -707,  1545,  1574,  1575,  1337,  1922,  1590,  2160,   222,  1050,
    1437,  1578,  2158,  1688,  1173,   219,  2159,  2039,  1577,  1898,
    1792,   644,  1373,  1631,  1375,   710,   630,   999,  2007,  1652,
     222,  1426,  1730,   890,  2026,  1251,  1252,  1199,   305,  1039,
    1630,   222,  2032,  1957,   725,  2033,  1680,   772,   773,  1955,
     633,  2014,   746,  1899,   307,  1162,   404,   221,   747,   308,
    1017,   972,   973,   974,  1016,   257,   258,   259,  1105,   751,
    -691,  1299,   434,   257,   258,   259,  1104,  -691,  -691,  -691,
    -691,  1779,   985,   785,  -657,  1368,  -957,  1499,  -957,   219,
     630,  1505,  1325,     3,   989,   646,     4,   748,     5,  1712,
    1942,   867,   868,   869,   219,  1813,  1506,  1343,   224,   753,
    1313,  -958,  1524,  -958,   633,  1326,  -691,   769,     6,     7,
       8,     9,  1507,  1001,  1440,  1946,  1021,  1321,    55,  1327,
     224,   221,  1421,   770,  1960,   777,   987,  1312,  1452,  2005,
    1322,   224,  1323,  1455,   899,   768,   221,   463,  1631,  1422,
    1457,  -698,  1653,  1314,   503,   504,   780,  1900,  -698,  -698,
    -698,  -698,     4,   305,     5,  -658,  1315,  1197,  1488,   630,
     647,   648,   649,   214,  1493,  1151,  1152,  1209,     4,   307,
       5,  1423,    55,   222,   308,   218,   272,   222,   273,   632,
     901,  -706,   781,   633,  1263,  1763,   214,  -698,   867,   868,
     869,  2116,  1149,   927,  1842,  1906,  1223,  1215,   218,   785,
    2117,  1518,  1163,  1588,  2038,  2119,   458,   459,   785,  2118,
    1314,  1510,   131,  1654,  1511,  1295,   785,   132,   133,  1843,
    1844,   654,   805,  1585,  1632,   899,  2027,  2028,  -957,  1224,
    1264,   942,  1901,   134,   405,   891,   406,   655,  1254,   225,
       3,   900,  1249,     4,  1225,     5,   520,   521,   522,  1215,
     435,  1248,   436,  -958,  1022,  1023,  1649,   771,   656,  1647,
    1991,   225,  1281,  1981,   657,     6,     7,     8,     9,   517,
     518,   901,   225,   224,  1692,   772,   773,   224,   791,   792,
     505,   506,   888,  1814,   507,  1815,   933,   896,  -957,  1226,
     222,  1736,  1737,     3,   890,  -707,     4,  1679,     5,   403,
    1638,  1638,   636,   637,  1441,   927,   927,   927,   927,   927,
     214,  1998,   927,  -958,  1449,   432,   210,   897,     6,     7,
       8,     9,   218,  1667,  2009,   464,  1668,   436,  1896,  2010,
     933,  1669,  1639,   623,   456,  1897,   898,   927,  1845,  1443,
     946,   593,   465,   942,   942,   942,   942,   942,   658,   659,
     942,   594,   595,  1907,  1994,  1940,   927,  1987,  1846,  1847,
    1974,  1975,  1976,  1977,   222,   624,   625,  2113,   796,  1539,
    1540,  1321,  1898,  1227,   947,   942,  1546,   602,   958,   222,
    1657,  1640,   638,  1641,  1333,  1627,  1323,   890,  1628,  1332,
     224,   597,  1505,  1334,   942,   598,   626,   959,  1349,  1350,
    1351,  1816,  1817,  1818,  1819,  1642,  1899,  1506,  1562,   603,
     604,  -691,   605,  2140,   225,  1362,  2141,   960,   225,    18,
      19,  1321,   785,  1507,   717,   718,  1377,   599,   600,   627,
    1477,  1675,   961,   278,  1586,   219,  1323,     4,  1908,     5,
    1285,   962,   664,  1378,  1287,  1261,  1951,  1262,  1379,  1380,
    1200,   282,  1572,  -790,  1643,    62,   665,  -304,   219,  1581,
     996,   215,   785,   666,   224,   150,  1525,     4,    34,     5,
    2175,  1981,  1374,  1019,  1376,  1678,  1526,   221,    35,   224,
    1382,   667,  -799,   215,    36,   291,   292,   668,  1571,  1573,
     293,   552,  -698,   553,   215,  1579,  1573,  1582,  1584,  1333,
     221,  1323,   797,   798,   799,   800,   801,  -800,    37,  1002,
    1900,  1666,   554,  1025,   395,  2048,  2049,  2050,   399,  1020,
     555,   556,   557,   558,     4,   226,     5,  1887,  1987,   584,
    1027,   225,   498,   422,   395,   499,   500,   501,  1173,     3,
    1477,  1110,     4,     3,     5,   585,     4,   226,     5,  1381,
    1139,   449,  1114,   888,   586,   894,   895,  2096,   226,  2097,
     587,   588,  1631,   227,     6,     7,     8,     9,     6,     7,
       8,     9,   150,  1525,  1137,   150,  1525,   305,  1138,   785,
     491,  1145,   219,  1529,  1147,   376,  1532,   497,  1169,   214,
    1851,  1852,  1853,   307,  1854,  2003,   376,     4,   308,     5,
    1989,   218,   880,   881,   882,   225,   881,   882,  1734,   136,
    1174,   137,  1971,  1972,  1973,  1175,   138,  1176,   139,  1179,
     225,  1180,   140,  1181,   221,  1184,     3,  1802,  1186,     4,
    1193,     5,   785,  1398,  1206,  1888,   215,  1399,  1400,  1401,
     215,  1219,  1215,   257,   258,   259,   888,  1220,  1644,  1549,
    1221,     6,     7,     8,     9,   295,   296,   297,  1760,  1761,
     300,   141,  1230,   142,  1231,  1767,  1826,  1254,  1254,  1254,
    1254,  1254,  1232,  1254,  1254,  1889,   524,  1917,   525,   526,
     527,   528,  1555,  1555,  1918,  1244,  1970,  1250,  1789,  1258,
    1790,   151,   152,   153,  1920,  1259,  1794,   214,  1260,   214,
     226,  1980,  1265,   730,   226,   731, -1002,   732,   733,   218,
   -1003,   218,  1189,  1190,  1896,   734,   735,  1932,  1271,  1935,
     222,  1897,  1798,  1799,  1938,   927,   927,   927,   927,   927,
     927,   927,   927,   927,   927,   927,  1256,  1257,   227,  1316,
    1317,   372,   227,  1201,  1403,  1404,  1405,  1406,   736,   786,
     214,   772,   773,   215,  1040,  1041,  1042,  1043,  1898,  1573,
    1573,  1272,   218,   942,   942,   942,   942,   942,   942,   942,
     942,   942,   942,   942,  1589,  1591,  1276,  1607,  1615,  1633,
    1645,   438,   439,   440,   441,   538,   539,  1391,  1392,   540,
    1394,  1395,  1899,  1592,  1273,  1608,  1616,  1634,  1646,   929,
     541,   542,   543,   544,   545,   546,   547,   548,   549,  1274,
     929,   929,  1872,  1890,   867,   868,   869,   226,  1277,  1676,
     224,  1429,  1430,  1431,  1432,  2034,  2035,   215,  1408,  1409,
    1410,  1411,  1412,  1284,  1949,  1950,  1286,  1952,   711,  1318,
    1156,  1319,   215,  1202,   781,  1503,  1320,   712,   713,   550,
    1324,   714,   715,  1314,  1967,   376,  1685,  1686,  1330,  1914,
    1335,   219,  1693,  1694,  2060,  1683,  1684,   222,  1968,  2073,
     150,  1525,  1163,   955,  1969,  2089,  1838,  1839,   785,  1754,
     372,  1344,   785,  1153,  2165,  2166,  1345,  1701,  1156,   214,
    1708,   226,  1713,  1356,  1707,  1719,  1900,  1357,  1891,  1346,
    1209,   218,   451,   221,  1347,  1702,   226,   757,  1709,  1348,
    1714,  2193,  1358,  1720,   927,  1557,  1558,    18,    19,   372,
    1359,  1776,  1360,  1966,  1363,  1985,   927,  1361,   214,   376,
    1366,  1370,     3,  1385,  1387,     4,  1389,     5,  1397,  1415,
     218,  1416,  1419,  1417,   376,  1925,  1926,  1927,  1928,  1929,
    1418,  1993,   942,  1420,  1427,  1777,  1775,     6,     7,     8,
       9,   225,  1428,  1435,   942,   785,    34,   224,   372,   219,
    1436,   219,  1650,  1437,  1439,  1651,    35,   214,   927,  1444,
    1447,  2187,    36,  1445,   225,  1477,  1446,  1454,  1459,   218,
     899,  1476,  1484,  1825,  1486,  1489,   927,   927,  1497,   469,
       3,  1500,  1519,     4,     3,     5,    37,     4,  1199,     5,
    1535,   221,  1538,   221,    18,    19,   942,  1544,  1552,  1553,
    1554,  1570,   219,  1587,  -657,     6,     7,     8,     9,     6,
       7,     8,     9,   214,   942,   942,  1834,  -658,  2134,  1673,
    1663,  2135,  2058,  1173,  1664,   218,  2136,  1690,  1820,  1665,
     214,  1699,  2023,  1834,  1364,  1681,  1828,  1829,  1830,  1831,
    1832,   372,   218,    34,   221,  1725,  1682,  1726,  1746,  1748,
     214,  1750,  1733,    35,  1857,  1858,  1859,  1751,  1759,    36,
    2150,  2151,   218,  1765,  1766,  1768,  1866,  1867,  1868,  1778,
    1782,  1785,  1787,  1652,  1321,   471,  1800,  1607,  1615,  1633,
    1645,  1801,  2131,    37,     3,  1827,  1837,     4,   225,     5,
      18,    19,   530,   531,  1841,  1608,  1616,  1634,  1646,  1812,
    1869,   532,   533,   534,   535,   536,   764,  1863,  1870,     6,
       7,     8,     9,  1882,  1871,  1892,  1902,  1909,  1197,  1281,
    1883,  1885,   755,   755,   214,  1913,   222,  -529,  1923,  1805,
    1807,  1807,  1810,  1893,  1903,  1910,   218,  1931,  1933,    34,
    2207,   219,  1954,  2208,  1959,  1937,  1945,   214,  2209,    35,
    1958,  1964,  1962,  1979,  1996,    36,  2006,  2015,  2008,   218,
    2020,  2017,  2024,   215,  2031,  2030,  1433,  1434,  2037,  2040,
    2055,  2171,  2172,  2043,  2044,  2093,  1888,  2109,  2045,    37,
     219,  2105,   214,   221,     3,  2046,  1198,     4,  1173,     5,
    2047,  2051,  2130,   929,   218,  1947,  1653,  2052,  2202,   390,
    2053,  2054,   391,  2107,  2197,  2095,  2133,  2112,  2120,     6,
       7,     8,     9,  2127,  2201,  1483,  1889,  2121,  2122,  -256,
    2139,   955,   221,  2144,  2173,   390,   224,   226,   391,   219,
    2145,  2177,  2000,  2174,   222,  2195,   222,  -257,  2198,  1304,
    1306,    88,  1305,  1310,  1141,  1143,  1142,  1034,  2149,    89,
     226,    90,  1982,    91,  1983,  1984,    92,    93,    94,  2012,
      95,  1144,  1372,  1674,    70,   227,  1153,  1877,  1988,  2018,
    1153,   221,  1308,  1658,  1990,  1030,  2021,   966,  1865,  2059,
    2210,  1992,  2057,  2176,  1995,   219,  2123,   222,   227,  2125,
    2001,  1282,  2124,   754,   754,  2126,  2115,  1892,  1902,  1909,
    2196,   417,   219,  1961,   372,   929,   929,   929,   929,   929,
     215,   424,   929,   214,  1809,  1893,  1903,  1910,   963,   785,
    1222,  1235,   219,   785,  1948,   218,   774,   221,  2206,  1919,
    1934,  1936,  1275,   965,   224,  1700,   224,   929,  2152,  2161,
    2114,  1543,  1541,     3,   221,  1560,     4,   214,     5,  1283,
    1542,   927,  1753,  1203,  1890,  1939,   929,  1563,  2081,   218,
    2087,   752,  1289,  1583,   221,  1367,   709,   225,     6,     7,
       8,     9,   214,  1516,   226,  2056,  1735,  1772,  1773,   575,
     976,   576,   214,  2042,   218,  2064,   954,   224,   979,   942,
     466,  2199,   766,   762,   218,  1671,   219,   978,  1672,   473,
     577,   977,   767,  1107,  1078,     0,     0,     0,   578,   579,
    1414,   580,   227,     0,    18,    19,  2082,     0,  2088,   219,
       0,   581,   582,   785,     0,     0,   222,     0,     0,     0,
    2098,  2099,     0,  2100,  2101,  2102,  2103,  2104,   221,  2002,
    2106,     0,     0,     0,   629,   151,   152,   153,     0,     0,
       0,     0,   214,     0,   219,  1834,   630,   943,   631,     0,
       0,   221,     0,    34,   218,   222,     0,     3,   943,   943,
       4,     0,     5,    35,    96,   225,   632,   225,     0,    36,
     633,  2129,     0,   634,   475,     0,     0,     0,     0,    97,
    2137,  2138,     6,     7,     8,     9,   221,     0,   372,    18,
      19,     0,     0,    37,  2087,    98,     0,   214,     0,     0,
      99,     0,   100,     0,   222,  1738,     0,  1739,  1740,   218,
    1742,   214,     0,   785,  2169,     0,   224,  2194,   225,     0,
       0,     0,     0,   218,  1591,  1615,  1633,  1645,     0,  2153,
       0,     0,  1701,  1708,  1713,  1719,     0,  2168,    34,     0,
       0,  2170,  1592,  1616,  1634,  1646,     0,  2000,    35,     0,
    1702,  1709,  1714,  1720,    36,   224,   635,  2180,  -511,     0,
     222,     0,  2181,  2182,  2183,  2184,  2185,  1892,  1902,  1909,
    2189,  2190,  2191,  2192,     0,   219,     0,   222,    37,   215,
       0,     0,     0,     0,     0,  1893,  1903,  1910,  2200,   636,
     637,     0,     0,     3,     0,     0,     4,   222,     5,     0,
       0,     0,     3,     0,   224,     4,     0,     5,     0,   219,
    1512,     0,  2212,  2213,  2214,     0,     0,   221,     6,     7,
       8,     9,     0,     0,     0,     0,     0,     6,     7,     8,
       9,     0,     0,  1650,   219,     0,  1651,  1528,  1528,    73,
    1528,     0,  1650,   226,   219,  1651,     0,    74,     0,    75,
       0,   221,     0,     0,    76,    77,    78,   225,    79,     0,
     224,     0,     0,     0,     0,     0,     0,     0,   480,   638,
       0,   222,   785,     0,     0,     3,   221,   224,     4,     0,
       5,   227,     0,    18,    19,     0,   221,   215,  1718,   215,
       0,     0,     0,   484,  1201,     0,   225,   224,     0,     0,
       6,     7,     8,     9,     0,     0,     0,     0,    18,    19,
       0,     0,     0,     0,   219,   929,   929,   929,   929,   929,
     929,   929,   929,   929,   929,   929,     0,     0,     0,   222,
       0,     0,    34,     0,  1593,     0,  1610,  1620,  1636,  1648,
     215,     0,    35,     0,     0,   225,     0,     0,    36,     0,
       0,   226,     0,   226,  1652,     0,   221,    34,     0,     0,
     772,   773,     0,  1652,  1924,     0,     0,    35,     0,   219,
       0,   224,    37,    36,     0,     0,     0,   151,   152,   153,
       0,     3,     0,   219,     4,     0,     5,     0,   809,   227,
       0,   227,     0,     0,  1202,     0,   785,    37,     0,     0,
       0,   225,     0,     0,   226,     0,     6,     7,     8,     9,
       0,   221,  2163,     0,     0,     0,     0,     0,   225,     0,
    1622,   151,   152,   153,     0,   221,     0,     0,   909,   224,
       0,     0,   910,     0,     0,     0,     0,   911,   225,     0,
       0,   486,   376,   912,     0,     0,  1703,   816,     0,  1710,
       0,  1715,     0,     0,  1721,     0,    18,    19,     0,     0,
     222,   943,     0,     0,     0,     0,     0,   915,  1623,  1624,
    1625,  1626,    80,  1627,     0,     0,  1628,  1653,     0,   215,
       0,     0,     0,     0,     0,     0,  1653,    81,     0,     0,
       0,     0,     0,  1629,   222,     0,     0,     0,  1755,     0,
       0,     0,     0,    82,   929,    34,  1255,     0,    83,     0,
      84,  1512,   225,     0,  2013,    35,   929,     0,   215,   222,
       0,    36,     0,     0,  2019,     0,     0,  1528,     0,   222,
    1528,  2022,     0,  1528,     0,   225,     3,     0,     0,     4,
       0,     5,  1630,   226,     0,    37,     0,     0,  1881,     0,
       0,     0,     0,     0,     0,     0,     0,  2157,     0,     0,
     224,     6,     7,     8,     9,     0,  2029,   215,   929,     0,
     225,     0,     0,   943,   943,   943,   943,   943,     0,     0,
     943,   376,   226,     0,     0,     3,   929,   929,     4,     0,
       5,     0,     0,     0,   224,     0,     0,     0,   819,   222,
       0,   820,   821,     0,     0,   943,     0,     0,     0,     0,
       6,     7,     8,     9,   785,     0,     0,     0,     0,   224,
     376,     0,     0,   215,   943,  2090,  2091,  2092,     0,   224,
    2164,   226,     0,     0,     0,     0,   823,   824,     0,     0,
     215,     0,     0,     0,  1168,     0,  1170,     0,  1906,     0,
    1631,     0,     0,  2108,   222,     0,  1610,  1620,  1636,  1648,
     215,     0,     0,  1187,  1188,   305,  1192,     0,   222,   376,
       0,     0,  1204,  1205,   565,   566,     0,  1888,   210,     0,
       0,   307,     0,     0,     0,     0,   308,   226,     0,   567,
       0,   568,   569,   570,  1894,  1904,  1911,     0,     0,   224,
       0,   225,     0,  1240,   226,  1243,     0,     0,     0,     0,
       0,     0,     0,     0,   571,   572,   573,  1889,     0,     0,
     785,     0,     0,     0,   226,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   215,   225,  1875,     0,     3,     0,
       0,     4,   227,     5,     0,     0,     0,     0,     3,     0,
       0,     4,     0,     5,   224,     0,     0,  1198,  1282,     0,
     225,     0,   376,     6,     7,     8,     9,     0,   224,  1279,
     225,     0,     0,     6,     7,     8,     9,  1622,     0,     0,
    2065,     0,     0,     0,     0,     0,  1125,  1126,     3,     0,
       0,     4,   215,     5,     0,     0,     0,     0,   226,     0,
    1127,     0,     0,     0,     0,     0,  1907,     0,  1128,  2203,
    2204,  2205,     0,     6,     7,     8,     9,     0,     0,     0,
       0,   226,     0,     0,  1129,  1623,  1624,  1625,  1626,  2066,
    1627,     0,     0,  1628,     0,     0,   227,     0,     0,     0,
     225,  1328,  1329,     0,     0,     0,  1842,     0,     0,     0,
    1629,     0,     0,     0,     0,  1890,   226,     0,     0,   227,
    1906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1843,  1844,     0,     0,   785,  1894,  1904,  1911,     3,
       0,     0,     4,     0,     5,     0,     0,     0,     0,     0,
       0,  2004,     0,     0,   227,   225,     0,     0,     0,  1630,
       0,     0,     0,     0,     6,     7,     8,     9,     0,   225,
       0,     0,     0,     0,     0,  1595,     0,     0,     0,     0,
       0,     0,     0,   215,   785,  1596,     0,     0,     0,     0,
    1597,     0,  1598,     0,  1599,  1255,  1255,  1255,  1255,  1255,
    2186,  1255,  1255,     0,     0,     0,  1130,  1131,  1132,   688,
    1556,  1556,     0,     0,     0,     0,     0,   215,     0,     0,
       0,   929,   698,   699,   700,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   215,     0,     0,     0,     0,   226,     0,     0,
    1845,     0,   215,   943,   943,   943,   943,   943,   943,   943,
     943,   943,   943,   943,     0,     0,     0,  1631,     0,     0,
    1846,  1847,     0,     0,     0,     0,     0,     0,  1907,     0,
       0,   226,   305,     0,     0,   376,     0,     0,  2067,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   307,     0,
    1600,     0,     0,   308,  2068,     0,   226,     0,     0,  2069,
       0,  2070,     0,     0,     0,     0,   226,     0,     0,   227,
    1458,     0,   215,     0,  1461,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1480,  1481,  1482,   785,     0,  1485,
       0,  1487,     0,     3,   227,     0,     4,   785,     5,  1156,
       0,     0,     0,  2155,   227,     0,     0,     0,     0,     0,
       0,  1501,     0,  2188,     0,     0,     0,     0,     6,     7,
       8,     9,     0,  1593,  1620,  1636,  1648,   215,     0,  1595,
       0,  1703,  1710,  1715,  1721,     0,   226,   785,     0,  1596,
       0,   215,     0,     0,  1597,     0,  1598,  1534,  1599,  1536,
       0,     0,     0,  2162,     0,  1537,     0,     0,  1601,     0,
       0,     0,     0,     0,     0,     0,  1894,  1904,  1911,   607,
    1550,     0,  1551,  1602,   227,     0,     0,     0,   608,     0,
       0,  1559,     0,  1561,     0,     0,     0,     0,     0,  1603,
       0,   226,   943,   609,  1604,     0,  1605,   610,     0,     0,
       0,   611,   612,    50,   943,   226,   613,   614,   615,   616,
     617,     0,     0,    61,    50,    50,    64,    64,    64,    68,
       0,     0,    50,     0,     0,     0,     0,     0,   785,   376,
       0,     0,     0,     3,     0,     0,     4,     0,     5,     0,
       0,     0,     0,   227,  1606,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1600,     0,   943,     0,     6,     7,
       8,     9,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1639,    50,   943,   943,   398,    50,    64,    64,
      64,    68,     0,     0,     0,     0,     0,     0,    50,     0,
     413,   418,   421,    50,   426,    64,    64,   431,     0,   413,
     413,   413,   413,     0,    64,     0,     0,     0,   447,     0,
      50,     0,     0,    64,    64,     0,    68,     0,     0,    64,
       0,  1640,     0,  1641,     0,  1627,     0,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   490,    50,
      64,    64,     0,     0,    64,  1642,    50,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1601,    10,  1723,  1724,     0,     0,     0,     0,
       0,    11,     0,    12,     0,    13,     0,  1602,    14,    15,
      16,     0,    17,     0,     0,     0,    18,    19,     0,     0,
       0,  1741,     0,  1603,  1643,     0,     0,     0,  1604,     0,
    1605,   448,     0,   450,   452,  1758,     0,   455,     0,   457,
       0,     0,   461,   462,     0,     0,   470,   472,   474,   476,
       0,     0,     0,   481,     0,     0,   485,   487,     0,     0,
       0,     0,   785,     0,   494,    34,     0,     0,     0,     0,
    1784,     0,     0,     0,     0,    35,     0,     0,  1873,     0,
       0,    36,     0,     0,     0,     0,     0,  1786,     0,  1788,
       0,     0,     3,     0,     0,     4,     0,     5,     0,     0,
       0,     0,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,   146,     0,     0,     6,     7,     8,
       9,   147,   148,     0,     0,     0,   288,   149,   289,     0,
       0,     0,  1631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   290,     0,     0,     0,   305,     0,     0,
       0,     0,     0,   291,   292,     0,     0,     0,   293,     0,
       0,   294,     0,   307,     0,     0,     0,     0,   308,   295,
     296,   297,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1611,     0,     0,     0,   301,     0,
     302,     0,     0,   150,   151,   152,   153,     0,     0,   154,
       0,   155,   785,     0,  1612,   156,     0,     0,     0,  1060,
     157,     0,     0,     0,     0,     0,   158,     0,  1876,     0,
       0,     0,     0,     0,  1061,     0,    38,     0,     0,     0,
       0,     0,   159,     0,     0,     0,     0,   160,     0,     0,
     161,    39,     0,     0,     0,   162,     0,     0,   163,     0,
       0,   164,   165,  1613,     0,     0,   166,    40,     0,   167,
    1921,   168,    41,     0,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   943,
       0,     0,     0,   998,     0,     0,   169,   170,  1062,     0,
      64,     0,     0,     0,  1941,     0,     0,     0,     0,     0,
       0,  1004,     0,  1005,     0,  1006,     0,  1007,     0,     0,
       0,     0,  1011,     0,     0,     0,  1013,     0,  1014,     0,
    1953,     0,   171,   172,   173,   174,     0,    64,     0,     0,
       0,   175,   176,     0,     0,   177,   178,   303,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,  1063,
       0,   304,  1064,  1065,  1066,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,  1075,  1076,     0,   305,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,   306,     0,     0,     0,
       0,     0,   307,     0,     0,     0,     0,   308,     0,     0,
       0,     0,     0,   202,   203,     0,   309,     0,     0,   310,
     311,   312,   313,     0,     0,     0,   314,     0,     0,     0,
     315,   316,   204,     0,     0,     0,   205,   206,     0,     0,
     763,   785,     0,     0,     0,   317,     0,     3,   207,   208,
       4,     0,     5,     0,   318,     0,   319,  1614,   209,     0,
       0,   210,   680,   681,     0,     0,   682,     0,     0,   146,
       0,     0,     6,     7,     8,     9,   147,   148,     0,     0,
       0,   288,   149,   289,   683,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   290,  2036,
       0,     0,     0,     0,     0,     0,     0,     0,   291,   292,
       0,     0,     0,   293,     0,     0,   294,     0,     0,     0,
       0,     0,  1468,     0,   295,   296,   297,   298,   299,   300,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1611,
     764,     0,     0,   301,     0,   302,     0,     0,   150,   151,
     152,   153,     0,     0,   154,     0,   155,     0,     0,  1612,
     156,     0,     0,     3,     0,   157,     4,     0,     5,     0,
       0,   158,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1062,   159,     6,     7,
       8,     9,   160,     0,     0,   161,     0,     0,   684,     0,
     162,     0,  1639,   163,     0,     0,   164,   165,  1613,     0,
       0,   166,     0,     0,   167,     0,   168,     0,     0,     0,
       0,     0,   685,   686,   687,   688,   689,   690,   765,   691,
     692,   693,   694,   695,   696,   697,     0,     0,   698,   699,
     700,   169,   170,     0,     0,     0,     0,     0,     0,     0,
       0,  1640,     0,  1641,     0,  1627,     0,  1469,  1628,   701,
    1064,  1065,  1470,  1067,  1068,  1069,  1070,  1071,  1072,  1073,
    1074,  1075,  1471,     0,     0,  1642,     0,   171,   172,   173,
     174,     0,     0,     0,     0,     0,   175,   176,     0,     0,
     177,   178,   303,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,     0,     0,   304,     0,     0,     0,
       0,     0,     0,     0,  1643,   104,     0,     0,     0,     0,
     105,   305,     0,   106,   107,   108,   109,     0,     0,   110,
     111,   306,   112,   113,   114,     0,   115,   307,     0,     0,
       0,     0,   308,     0,     0,     0,     0,     0,   202,   203,
       0,   309,     0,     0,   310,   311,   312,   313,     0,     0,
       0,   314,     0,     0,     0,   315,   316,   204,     0,     0,
       0,   205,   206,     0,     0,   116,   785,   117,   118,   119,
     317,     0,     3,   207,   208,     4,     0,     5,     0,   318,
       0,   319,  1874,   209,     0,     0,   210,     0,     0,     0,
       0,     0,     0,     0,   146,     0,     0,     6,     7,     8,
       9,   147,   148,     0,     0,     0,   288,   149,   289,     0,
       0,     0,  1631,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   290,  1365,     0,     0,   305,     0,     0,
       0,     0,     0,   291,   292,     0,     0,     0,   293,     0,
       0,   294,     0,   307,     0,     0,     0,     0,   308,   295,
     296,   297,   298,   299,   300,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1611,     0,     0,     0,   301,     0,
     302,     0,     0,   150,   151,   152,   153,     0,     0,   154,
       0,   155,   785,     0,  1612,   156,     0,     0,     0,     0,
     157,     0,     0,     0,     0,     0,   158,     0,  2156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   159,     0,     0,     0,     0,   160,     0,     0,
     161,     0,     0,     0,     0,   162,     0,     0,   163,     0,
       0,   164,   165,  1613,     0,     0,   166,     0,   120,   167,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   121,     0,     0,     0,     0,   122,   123,
     124,   125,  1082,     0,     0,     0,   169,   170,     0,   126,
       0,     0,     0,     0,   127,     0,   128,   129,     0,     0,
    1083,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,  1092,
    1093,  1094,  1095,  1096,  1097,  1098,  1099,     0,     0,     0,
       0,     0,   171,   172,   173,   174,     0,     0,     0,     0,
       0,   175,   176,     0,     0,   177,   178,   303,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,     0,
       0,   304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   305,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   306,     0,     0,     0,
       0,     0,   307,     0,     0,     0,     0,   308,     0,     0,
       0,     0,     0,   202,   203,     0,   309,     0,     0,   310,
     311,   312,   313,     0,     0,     0,   314,     0,     0,     0,
     315,   316,   204,     4,     0,     5,   205,   206,     0,     0,
       0,   785,     0,     0,     0,   317,     0,     0,   207,   208,
       0,     0,   146,     0,   318,     0,   319,  2154,   209,   147,
     148,   210,     0,     0,   288,   149,   289,   680,   681,     0,
       0,   682,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   290,     0,     0,     0,     0,     0,     0,     0,   683,
       0,   291,   292,     0,     0,     0,   293,     0,     0,   294,
       0,     0,     0,     0,     0,     0,     0,   295,   296,   297,
     298,   299,   300,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   301,     0,   302,     0,
       0,   150,   151,   152,   153,     0,     0,   154,     0,   155,
       0,     0,     0,   156,     0,     0,     0,     0,   157,     0,
       0,     0,     0,     0,   158,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     159,     0,     0,     0,     0,   160,     0,     0,   161,     0,
       0,     0,     0,   162,     0,     0,   163,     0,     0,   164,
     165,     0,     0,     0,   166,     0,     0,   167,     0,   168,
       0,     0,     0,   684,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   169,   170,     0,   685,   686,   687,
     688,   689,   690,     0,   691,   692,   693,   694,   695,   696,
     697,     0,     0,   698,   699,   700,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     171,   172,   173,   174,   701,     0,     0,     0,     0,   175,
     176,     0,     0,   177,   178,   303,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,   304,
       0,     0,   808,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   305,     0,     0,     0,     0,     0,
     146,     0,     0,     0,   306,     0,     0,     0,   148,     0,
     307,     0,     0,   149,     0,   308,     0,     0,     0,     0,
       0,   202,   203,     0,   309,     0,     0,   310,   311,   312,
     313,     0,     0,     0,   314,     0,     0,     0,   315,   316,
     204,     0,     0,     0,   205,   206,     0,   809,     0,     0,
       0,     0,     0,   317,     0,     0,   207,   208,     0,     0,
       0,   810,   318,   811,   319,  1774,   209,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   150,
     151,   152,   153,     0,     0,   154,     0,   812,     0,     0,
       0,   813,     0,     0,     0,     0,   814,     0,     0,     0,
       0,     0,   815,     0,     0,     0,   816,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   159,     0,
       0,     0,     0,   160,     0,     0,   817,     0,     0,     0,
       0,   162,     0,     0,   163,     0,     0,   164,   165,     0,
       0,     0,   166,     0,     0,   167,     0,   168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1165,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   146,     0,     0,     0,     0,     0,     0,   818,   148,
       0,     0,     0,     0,   149,     0,     0,     0,     0,     0,
       0,     0,     0,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,   201,   809,     0,
       0,     0,     0,     0,     0,     0,     0,   819,     0,     0,
     820,   821,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   822,     0,     0,     0,     0,     0,     0,
     150,   151,   152,   153,     0,     0,   154,     0,   812,   202,
     203,     0,   813,     0,     0,   823,   824,   814,     0,     0,
       0,     0,     0,  1166,     0,     0,     0,   816,   204,     0,
       0,     0,   205,   206,     0,     0,     0,     0,     0,   159,
       0,     0,   825,   826,   160,   676,     0,  1167,     0,     0,
       0,     0,   162,     0,   827,   163,     0,   210,   164,   165,
       0,     0,     0,   166,     0,     0,   167,     0,   168,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   169,   170,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1242,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   146,     0,     0,     0,     0,     0,     0,   818,
     148,     0,     0,     0,     0,   149,     0,     0,     0,     0,
       0,     0,     0,     0,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,     0,     0,   201,   809,
       0,     0,     0,     0,     0,     0,     0,     0,   819,     0,
       0,   820,   821,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   150,   151,   152,   153,     0,     0,   154,     0,   812,
     202,   203,     0,   813,     0,     0,   823,   824,   814,     0,
       0,     0,     0,     0,  1166,     0,     0,     0,   816,   204,
       0,     0,     0,   205,   206,     0,     0,     0,     0,     0,
     159,     0,     0,   825,   826,   160,   676,     0,  1167,     0,
       0,     0,     0,   162,     0,   827,   163,     0,   210,   164,
     165,     0,     0,     0,   166,     0,     0,   167,     0,   168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   169,   170,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1278,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   146,     0,     0,     0,     0,     0,     0,
     818,   148,     0,     0,     0,     0,   149,     0,     0,     0,
       0,     0,     0,     0,     0,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,   201,
     809,     0,     0,     0,     0,     0,     0,     0,     0,   819,
       0,     0,   820,   821,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   150,   151,   152,   153,     0,     0,   154,     0,
     812,   202,   203,     0,   813,     0,     0,   823,   824,   814,
       0,     0,     0,     0,     0,  1166,     0,     0,     0,   816,
     204,     0,     0,     0,   205,   206,     0,     0,     0,     0,
       0,   159,     0,     0,   825,   826,   160,   676,     0,  1167,
       0,     0,     0,     0,   162,     0,   827,   163,     0,   210,
     164,   165,     0,     0,     0,   166,     0,     0,   167,     0,
     168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   169,   170,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1460,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   146,     0,     0,     0,     0,     0,
       0,   818,   148,     0,     0,     0,     0,   149,     0,     0,
       0,     0,     0,     0,     0,     0,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,     0,     0,
     201,   809,     0,     0,     0,     0,     0,     0,     0,     0,
     819,     0,     0,   820,   821,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   150,   151,   152,   153,     0,     0,   154,
       0,   812,   202,   203,     0,   813,     0,     0,   823,   824,
     814,     0,     0,     0,     0,     0,  1166,     0,     0,     0,
     816,   204,     0,     0,     0,   205,   206,     0,     0,     0,
       0,     0,   159,     0,     0,   825,   826,   160,   676,     0,
    1167,     0,     0,     0,     0,   162,     0,   827,   163,     0,
     210,   164,   165,     0,     0,     0,   166,     0,     0,   167,
       0,   168,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   169,   170,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   902,   903,   904,   905,   906,   907,     0,     0,     0,
       0,   908,     0,     0,     0,   887,     0,     0,     0,     0,
       0,     0,   818,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,     0,
       0,   201,   809,     0,     0,     0,     0,     0,     0,     0,
       0,   819,     0,     0,   820,   821,     0,     0,     0,     0,
       0,     0,  1208,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   150,   151,   152,   153,     0,     0,
       0,     0,   909,   202,   203,     0,   910,     0,     0,   823,
     824,   911,     0,     0,     0,     0,     0,   912,     0,     0,
       0,   816,   204,     0,     0,     0,   205,   206,     0,     0,
    1208,   809,     0,   913,     0,     0,   825,   826,   914,   676,
       0,   915,     0,     0,     0,     0,   916,     0,   827,   917,
       0,   210,   918,   919,     0,     0,     0,   920,     0,     0,
     921,     0,   922,   150,   151,   152,   153,     0,     0,     0,
       0,   909,     0,     0,     0,   910,     0,     0,     0,   809,
     911,     0,     0,     0,     0,     0,   912,   923,   924,     0,
     816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   913,     0,     0,     0,     0,   914,     0,     0,
     915,   150,   151,   152,   153,   916,     0,     0,   917,   909,
       0,   918,   919,   910,     0,     0,   920,     0,   911,   921,
       0,   922,     0,     0,   912,     0,     0,     0,   816,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     913,     0,     0,     0,     0,   914,   923,   924,   915,     0,
       0,     0,     0,   916,     0,     0,   917,     0,     0,   918,
     919,     0,   819,     0,   920,   820,   821,   921,     0,   922,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   923,   924,     0,     0,     0,     0,
     823,   824,     0,   925,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   825,   826,     0,
       0,   819,     0,     0,   820,   821,     0,   319,     0,   926,
       0,     0,   210,   948,   887,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   823,
     824,     0,   925,     0,     0,     0,     0,     0,     0,   819,
       0,     0,   820,   821,     0,     0,     0,     0,     0,     0,
       0,   809,     0,     0,     0,     0,   825,   826,     0,     0,
       0,     0,     0,     0,     0,     0,   319,     0,   926,     0,
       0,   210,     0,     0,     0,     0,     0,   823,   824,     0,
     925,     0,     0,   150,   151,   152,   153,     0,     0,     0,
       0,   909,     0,     0,     0,   910,     0,     0,     0,     0,
     911,     0,     0,     0,   825,   826,   912,     0,     0,     0,
     816,     0,     0,     0,     0,     0,   926,     0,     0,   210,
       0,     0,   913,     0,     0,     0,     0,   914,     0,     0,
     915,     0,     0,     0,     0,   916,     0,     0,   917,     0,
     146,   918,   919,     0,     0,     0,   920,   147,   148,   921,
       0,   922,   288,   149,   289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   290,
       0,     0,     0,     0,     0,     0,   923,   924,     0,   291,
     292,     0,     0,     0,   293,     0,     0,   294,     0,     0,
       0,     0,     0,     0,     0,   295,   296,   297,   298,   299,
     300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   301,     0,   302,     0,     0,   150,
     151,   152,   153,     0,     0,   154,     0,   155,     0,     0,
       0,   156,     0,     0,     0,     0,   157,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   159,     0,
       0,   819,     0,   160,   820,   821,   161,     0,     0,     0,
       0,   162,     0,     0,   163,     0,     0,   164,   165,     0,
       0,     0,   166,     0,     0,   167,     0,   168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   823,
     824,     0,   925,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   825,   826,     0,     0,
       0,     0,     0,     0,     0,     0,   949,     0,   926,     0,
       0,   210,     0,     0,     0,     0,     0,     0,   171,   172,
     173,   174,     0,     0,     0,     0,     0,   175,   176,     0,
       0,   177,   178,   303,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,     0,   304,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     146,     0,   305,     0,     0,     0,     0,   147,   148,     0,
       0,     0,   306,   149,     0,     0,     0,     0,   307,     0,
       0,     0,     0,   308,     0,     0,     0,     0,     0,   202,
     203,     0,   309,     0,     0,   310,   311,   312,   313,     0,
       0,   670,   314,     0,     0,     0,   315,   316,   204,     0,
       0,     0,   205,   206,     0,     0,     0,     0,     0,     0,
       0,   317,     0,     0,   207,   208,     0,     0,   671,     0,
     318,   672,   319,     0,   209,     0,     0,   210,     0,   150,
     151,   152,   153,     0,     0,   154,     0,   155,   673,     0,
       0,   156,     0,     0,     0,     0,   157,     0,     0,     0,
       0,     0,   158,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   159,     0,
       0,     0,     0,   160,     0,     0,   161,     0,     0,     0,
       0,   162,     0,     0,   163,     0,     0,   164,   165,     0,
       0,     0,   166,     0,     0,   167,     0,   168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,   170,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,     0,     0,   171,   172,
     173,   174,     0,     0,     0,     0,     0,   175,   176,     0,
       0,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,     0,   674,   201,   146,     0,
     202,   203,     0,     0,     0,   147,   148,     0,     0,     0,
     675,   149,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   676,     0,     0,   202,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   204,     0,
       0,  2061,   205,   206,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   207,   208,     0,   150,   151,   152,
     153,     0,   319,   154,   209,   155,     0,   210,     0,   156,
       0,     0,     0,     0,   157,     0,     0,     0,     0,     0,
     158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   159,     0,     0,     0,
       0,   160,     0,     0,   161,     0,     0,     0,     0,   162,
       0,     0,   163,     0,     0,   164,   165,     0,     0,     0,
     166,     0,     0,   167,     0,   168,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   146,     0,     0,
     169,   170,     0,     0,   147,   148,     0,     0,     0,     0,
     149,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   171,   172,   173,   174,
       0,     0,     0,     0,     0,   175,   176,     0,     0,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,     0,     0,   201,   150,   151,   152,   153,
       0,     0,   154,     0,   155,     0,     0,     0,   156,     0,
       0,     0,     0,   157,     0,     0,     0,     0,     0,   158,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   159,     0,   202,   203,     0,
     160,     0,     0,   161,     0,     0,     0,     0,   162,     0,
       0,   163,     0,     0,   164,   165,   204,     0,     0,   166,
     205,   206,   167,     0,   168,     0,     0,     0,     0,     0,
       0,     0,   207,   208,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,   210,   146,     0,     0,   169,
     170,     0,     0,     0,   148,     0,     0,     0,     0,   149,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   171,   172,   173,   174,     0,
       0,     0,     0,   809,   175,   176,     0,     0,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,     0,     0,   201,   150,   151,   152,   153,     0,
       0,   154,     0,   812,     0,     0,     0,   813,     0,     0,
       0,     0,   814,     0,     0,     0,     0,     0,  1166,     0,
       0,     0,   816,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   159,     0,   202,   203,     0,   160,
       0,     0,  1167,     0,     0,     0,     0,   162,     0,     0,
     163,     0,     0,   164,   165,   204,     0,     0,   166,   205,
     206,   167,     0,   168,     0,     0,     0,     0,     0,     0,
       0,   207,   208,     0,     0,     0,     0,     0,     0,     0,
       0,   209,     0,     0,   210,     0,     0,     0,   169,   170,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   887,     0,     0,
       0,     0,     0,     0,   818,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,     0,     0,   201,   809,     0,     0,     0,     0,     0,
       0,     0,     0,   819,     0,     0,   820,   821,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   150,   151,   152,   153,
       0,     0,     0,     0,   909,   202,   203,     0,   910,     0,
       0,   823,   824,   911,     0,     0,     0,     0,     0,   912,
       0,     0,     0,   816,   204,     0,     0,     0,   205,   206,
       0,     0,     0,     0,     0,   913,     0,     0,   825,   826,
     914,   676,     0,   915,     0,     0,     0,     0,   916,     0,
     827,   917,     0,   210,   918,   919,     0,     2,     3,   920,
       0,     4,   921,     5,   922,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     8,     9,     0,     0,   923,
     924,     0,     0,     0,    10,     0,     0,     0,     0,     0,
       0,     0,    11,     0,    12,     0,    13,     0,     0,    14,
      15,    16,     0,    17,     0,     0,     0,    18,    19,    20,
       0,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    -396,     0,     0,     0,     0,     0,    34,     0,     0,     0,
       0,     0,     0,     0,   819,     0,    35,   820,   821,     0,
       0,     0,    36,     0,     0,     0,   809,     0,     0,     0,
       0,     0,     0,     0,   295,   296,   297,  1760,  1761,   300,
       0,     0,     0,     0,     0,     0,    37,     0,     0,     0,
       0,     0,   823,   824,     0,   925,     0,     0,   150,   151,
     152,   153,     0,     0,     0,     0,   909,     0,     0,     0,
     910,     0,     0,     0,   809,   911,     0,     0,     0,   825,
     826,   912,     0,     0,     0,   816,     0,     0,     0,   319,
       0,   926,     0,     0,   210,     0,     0,   913,     0,     0,
       0,     0,   914,     0,     0,   915,   150,   151,   152,   153,
     916,     0,     0,   917,   909,     0,   918,   919,   910,     0,
       0,   920,     0,   911,   921,     0,   922,     0,     0,   912,
       0,     0,     0,   816,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   913,     0,     0,     0,     0,
     914,   923,   924,   915,     0,     0,     0,     0,   916,     0,
       0,   917,     0,     0,   918,   919,     0,    38,     0,   920,
       0,     0,   921,     0,   922,     0,     0,     0,   809,     0,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    40,   923,
     924,     0,     0,    41,     0,    42,     0,     0,     0,     0,
    1580,   151,   152,   153,     0,     0,     0,     0,   909,     0,
       0,     0,   910,     0,     0,     0,     0,   911,     0,     0,
       0,     0,     0,   912,     0,     0,   819,   816,     0,   820,
     821,     0,     0,     0,     0,     0,     0,     0,     0,   913,
       0,     0,   761,     0,   914,     0,     0,   915,     0,     0,
       0,     0,   916,     0,     0,   917,     0,     0,   918,   919,
       0,     0,     0,   920,   823,   824,   921,   925,   922,   671,
       0,     0,   672,     0,   819,     0,     0,   820,   821,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
       0,   825,   826,   923,   924,     0,     0,     0,     0,     0,
       0,     0,     0,   926,     0,     0,   210,     0,     0,     0,
       0,     0,   823,   824,     0,   925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   825,
     826,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   926,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   819,     0,
       0,   820,   821,     0,     0,     0,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   823,   824,     0,   925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   825,   826,     0,     0,   674,     0,     0,
       0,   202,   203,     0,     0,   926,     0,     0,   210,     0,
       0,   675,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   676
};

static const yytype_int16 yycheck[] =
{
       1,    30,     3,   326,    30,   299,   400,   477,    66,   412,
     478,    66,   322,    30,    52,   479,    52,   205,     1,   583,
     488,   402,    37,    52,   782,    63,   403,    63,   920,   775,
     638,   922,    36,   809,    63,    52,   347,   354,   880,  1341,
     443,   288,  1341,  1196,   610,    46,    63,    32,   677,   401,
     331,   745,  1345,    54,   105,   432,   107,    58,   109,   110,
     523,  1346,   113,  1156,   115,   368,  1348,   118,   119,   316,
    1347,   122,   123,   124,   125,   383,   399,   429,   129,  1361,
     646,   132,   133,  1340,  1341,   209,   780,    35,   368,   140,
     442,   785,  1285,   340,  1286,   924,  1450,  1209,  1210,  1450,
    1665,  1454,   368,   797,  1216,  1663,   344,   801,   346,  1664,
    1288,  1503,  1567,   379,   380,   641,   827,   643,  1642,   645,
       7,     8,     9,  1639,   650,   900,   407,   896,  1435,  1436,
     894,   895,  1840,   762,    15,    16,     4,     7,   524,   898,
      23,   179,     7,     7,     7,     4,   897,     7,    23,  1705,
      38,    15,    16,    17,    18,  1689,  1706,   438,  1237,    45,
    1239,    48,  1466,    50,  1508,    23,   552,    78,    79,  1464,
      22,    20,    59,   103,   560,   102,   205,    64,    57,    96,
     209,    68,    84,   742,  1296,   711,   744,   468,   205,   575,
      89,   745,   209,    92,  1898,    76,    77,    78,   103,  1174,
      89,     1,   483,    92,     4,   102,     6,    32,    33,    34,
     674,    92,    93,    94,    13,  1510,  1511,    10,   287,     5,
     104,   102,    38,    39,   287,   103,    26,    27,    28,    29,
     111,   112,   743,   619,    84,   127,   117,   701,    38,    62,
     298,   299,     5,   629,   103,   104,    39,    40,    41,    42,
     102,   103,   103,   104,   103,    49,    57,   138,   139,   126,
     152,   142,    84,  1565,    86,   303,   103,   104,   105,   102,
      57,   256,   702,    30,   302,    98,   103,   262,   664,   127,
      73,  1474,  1475,    49,   322,   979,   355,    86,    81,    82,
      83,    84,   355,   322,     1,    52,   354,     4,   143,     6,
      53,    84,   103,   145,   152,   322,    63,     4,  1565,     6,
     113,   104,   162,   368,   159,    30,   103,   304,   305,    26,
      27,    28,    29,   210,   379,   380,   143,   355,   121,  1624,
    1625,   148,    58,   126,   127,   128,   766,    52,   131,   368,
      58,   134,   125,   401,   113,  1640,   401,  1238,    63,   913,
     379,   380,   916,   103,   104,   105,    57,   141,   396,  1661,
     396,   110,  1661,   166,   167,   134,   149,   396,   355,   185,
     154,   429,   188,   411,   429,   411,   125,   368,   147,   396,
    1637,    47,   411,   288,   442,   354,   170,   442,   379,   380,
       8,   110,  1649,   103,   411,   102,  1171,    15,    16,    17,
      18,  2105,   103,  1660,  1661,   354,   125,   304,   459,  1384,
     288,   298,   299,    84,   236,   302,   355,   976,     1,   286,
     978,     4,   247,     6,   326,   979,   268,   269,  1772,     1,
     360,  1735,     4,   360,     6,   355,    54,     1,   355,   288,
       4,   340,     6,    26,    27,    28,    29,  1526,   205,   360,
    1529,   340,   209,  1532,    26,    27,    28,    29,    41,   338,
     339,    44,    26,    27,    28,    29,   977,   355,    40,   355,
    1994,   304,   355,  2007,   296,  1991,  2032,   360,   271,   272,
     273,  1175,  1176,  2033,   270,   360,   356,    45,   356,  1264,
     205,   356,  2200,   356,   209,   359,   356,   355,   355,   285,
     352,   360,   360,   360,     8,  1960,   348,   270,   360,   360,
      84,    15,    16,    17,    18,   301,    88,    89,    90,    91,
     306,    93,   285,   360,    96,    89,   413,   322,   297,   840,
     417,   132,    96,   317,   421,    84,  1793,   332,   301,   426,
     340,   113,  2066,   306,   431,  2061,   236,   551,    89,  1318,
      54,  1262,  1316,  1317,   957,  1733,   356,  2122,    30,   574,
     334,  1320,  2120,   337,   752,   322,  2121,  1959,  1319,   133,
     356,   236,  1035,   270,  1037,   333,   125,   458,  1885,   162,
      52,  1107,  1473,   900,  1937,   823,   824,   775,   285,   537,
     162,    63,  1946,   356,   342,  1946,  1425,   304,   305,  1791,
     149,  1896,   102,   167,   301,   355,    89,   322,   102,   306,
     497,   404,   405,   406,   495,   341,   342,   343,   633,   286,
       8,   901,    89,   341,   342,   343,   630,    15,    16,    17,
      18,  1522,    57,   340,    22,  1021,    84,  1203,    86,   396,
     125,   270,   945,     1,   437,   162,     4,   102,     6,   356,
    1762,   322,   323,   324,   411,    89,   285,   965,    30,   170,
     926,    84,  1228,    86,   149,   945,    54,   286,    26,    27,
      28,    29,   301,   466,   159,  1768,   113,     7,   103,   945,
      52,   396,   113,   302,  1796,    84,    57,   925,  1158,  1882,
      20,    63,    22,  1161,     8,   286,   411,    89,   270,   130,
    1164,     8,   285,     7,   111,   112,   103,   271,    15,    16,
      17,    18,     4,   285,     6,    22,    20,   775,  1188,   125,
     237,   238,   239,   752,  1192,   739,   740,   782,     4,   301,
       6,   162,   103,   205,   306,   752,   277,   209,   279,   145,
      54,   359,     4,   149,     8,  1503,   775,    54,   322,   323,
     324,  2044,   737,   782,   103,   113,    77,  1515,   775,   340,
    2045,  1224,  1456,    39,  1956,  2047,    45,    46,   340,  2046,
       7,    89,   285,   356,    92,   899,   340,   290,   291,   128,
     129,   115,   316,    20,   356,     8,  1939,  1940,   236,   110,
      54,   782,   356,   306,   277,    45,   279,   131,   827,    30,
       1,    24,   817,     4,   125,     6,   111,   112,   113,  1567,
     277,   815,   279,   236,   251,   252,  2118,   286,   152,  2118,
       5,    52,   880,     8,   158,    26,    27,    28,    29,   166,
     167,    54,    63,   205,  1442,   304,   305,   209,   287,   288,
     247,   248,   900,   277,   251,   279,   901,    17,   296,   170,
     322,  1480,  1481,     1,  1171,   359,     4,  1423,     6,    79,
    2117,  2118,   268,   269,   349,   894,   895,   896,   897,   898,
     899,   355,   901,   296,  1155,    95,   360,    18,    26,    27,
      28,    29,   899,  1353,   165,   277,  1354,   279,    89,   170,
     945,  1355,    40,   134,   114,    96,   359,   926,   247,  1146,
      52,   152,   294,   894,   895,   896,   897,   898,   242,   243,
     901,   162,   163,   271,     5,  1757,   945,     8,   267,   268,
    1816,  1817,  1818,  1819,   396,   166,   167,  2039,   162,  1256,
    1257,     7,   133,   254,    52,   926,  1263,   134,   355,   411,
    1343,    89,   348,    91,    20,    93,    22,  1264,    96,   950,
     322,   130,   270,   954,   945,   134,   197,   355,   972,   973,
     974,  1602,  1603,  1604,  1605,   113,   167,   285,  1279,   166,
     167,   359,   169,    22,   205,   989,    25,   355,   209,    60,
      61,     7,   340,   301,   351,   352,   113,   166,   167,   230,
    1178,  1377,   355,     0,    20,   752,    22,     4,   356,     6,
     887,   355,   113,   130,   891,    20,  1782,    22,   135,   136,
    1756,    57,  1315,   287,   162,    12,   127,   355,   775,  1322,
      43,    30,   340,   134,   396,   102,   103,     4,   109,     6,
    2142,     8,  1036,     7,  1038,  1421,   113,   752,   119,   411,
    1044,   152,    45,    52,   125,    62,    63,   158,  1314,  1315,
      67,   113,   359,   115,    63,  1321,  1322,  1323,  1324,    20,
     775,    22,   296,   297,   298,   299,   300,    45,   149,    45,
     271,  1352,   134,   300,    71,  1971,  1972,  1973,    75,     8,
     142,   143,   144,   145,     4,    30,     6,  1695,     8,   127,
     103,   322,   103,    90,    91,   106,   107,   108,  1286,     1,
    1288,   361,     4,     1,     6,   143,     4,    52,     6,   236,
     102,   108,   361,  1171,   152,    15,    16,  2009,    63,  2010,
     158,   159,   270,    30,    26,    27,    28,    29,    26,    27,
      28,    29,   102,   103,   333,   102,   103,   285,   333,   340,
     137,   350,   899,   113,   358,    52,   113,   144,    84,  1178,
      85,    86,    87,   301,    89,   356,    63,     4,   306,     6,
       7,  1178,   326,   327,   328,   396,   327,   328,  1478,    45,
     175,    47,  1813,  1814,  1815,    23,    52,    23,    54,    52,
     411,    52,    58,    52,   899,    52,     1,  1590,    52,     4,
     102,     6,   340,   220,    84,    93,   205,   224,   225,   226,
     209,   355,  1960,   341,   342,   343,  1264,   102,   356,  1264,
     102,    26,    27,    28,    29,    78,    79,    80,    81,    82,
      83,    97,   102,    99,   102,  1506,  1612,  1256,  1257,  1258,
    1259,  1260,   102,  1262,  1263,   133,   113,  1707,   115,   116,
     117,   118,  1271,  1272,  1712,    84,  1812,    84,  1559,    17,
    1561,   103,   104,   105,  1718,    18,  1566,  1286,   359,  1288,
     205,  1827,     5,    46,   209,    48,     7,    50,    51,  1286,
       7,  1288,   304,   305,    89,    58,    59,  1747,     7,  1749,
     752,    96,  1585,  1586,  1752,  1314,  1315,  1316,  1317,  1318,
    1319,  1320,  1321,  1322,  1323,  1324,    15,    16,   205,    15,
      16,  1339,   209,   775,   215,   216,   217,   218,    91,   321,
    1339,   304,   305,   322,   137,   138,   139,   140,   133,  1585,
    1586,     7,  1339,  1314,  1315,  1316,  1317,  1318,  1319,  1320,
    1321,  1322,  1323,  1324,  1335,  1336,     5,  1338,  1339,  1340,
    1341,    97,    98,    99,   100,   111,   112,   192,   193,   115,
     190,   191,   167,  1336,   102,  1338,  1339,  1340,  1341,   368,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   102,
     379,   380,  1653,   271,   322,   323,   324,   322,     7,  1383,
     752,   111,   112,   111,   112,  1949,  1950,   396,   219,   220,
     221,   222,   223,     7,  1780,  1781,   355,  1783,   231,    17,
     302,    18,   411,   775,     4,     5,   359,   240,   241,   175,
       8,   244,   245,     7,  1808,   322,  1431,  1432,   102,  1700,
     102,  1178,   111,   112,  1990,  1429,  1430,   899,  1809,  1995,
     102,   103,  2126,    38,  1811,  2001,    94,    95,   340,  1497,
    1478,   355,   340,   287,    43,    44,   355,  1448,   302,  1478,
    1451,   396,  1453,   102,   356,  1456,   271,   102,   356,   355,
    1515,  1478,    45,  1178,   355,  1448,   411,  1761,  1451,   355,
    1453,  2165,   102,  1456,  1503,  1271,  1272,    60,    61,  1517,
     102,  1517,   102,  1806,   103,  1837,  1515,   355,  1517,   396,
     102,   102,     1,    96,   189,     4,   194,     6,   130,   224,
    1517,   227,   229,   227,   411,   310,   311,   312,   313,   314,
     228,  1863,  1503,   228,   102,  1519,  1517,    26,    27,    28,
      29,   752,   102,   102,  1515,   340,   109,   899,  1566,  1286,
     102,  1288,    41,   334,   102,    44,   119,  1566,  1567,   355,
     102,   356,   125,   355,   775,  1733,   355,   102,     5,  1566,
       8,   102,   102,  1611,    52,   102,  1585,  1586,    22,    45,
       1,    43,   148,     4,     1,     6,   149,     4,  1756,     6,
       5,  1286,   358,  1288,    60,    61,  1567,   102,    84,     8,
      84,   358,  1339,   102,    22,    26,    27,    28,    29,    26,
      27,    28,    29,  1622,  1585,  1586,  1622,    22,  2068,     7,
     355,  2069,  1988,  1791,   355,  1622,  2070,   102,  1609,   355,
    1639,   288,  1922,  1639,  1001,   362,  1617,  1618,  1619,  1620,
    1621,  1659,  1639,   109,  1339,     5,   362,   103,   303,   303,
    1659,    20,   355,   119,  1635,  1636,  1637,   307,    43,   125,
    2110,  2111,  1659,   189,   287,   302,  1647,  1648,  1649,     7,
      70,     5,   164,   162,     7,    45,   102,  1658,  1659,  1660,
    1661,    39,  2065,   149,     1,    98,   354,     4,   899,     6,
      60,    61,   111,   112,   102,  1658,  1659,  1660,  1661,   103,
     103,   120,   121,   122,   123,   124,   189,   354,   354,    26,
      27,    28,    29,   102,    98,  1696,  1697,  1698,  1756,  1757,
       7,   102,  1760,  1761,  1733,   102,  1178,    20,   356,  1596,
    1597,  1598,  1599,  1696,  1697,  1698,  1733,   102,   102,   109,
    2190,  1478,    84,  2191,     5,   102,   102,  1756,  2192,   119,
     356,   102,   188,   103,   150,   125,   102,   102,   354,  1756,
     104,   102,   287,   752,   288,   102,  1133,  1134,   356,   185,
      41,  2137,  2138,   355,   355,     7,    93,   102,   355,   149,
    1517,   133,  1791,  1478,     1,   355,   775,     4,  1956,     6,
     355,   355,     8,   782,  1791,  1776,   285,   355,  2181,  1837,
     355,   355,  1837,   356,  2170,   355,  2067,   356,   355,    26,
      27,    28,    29,   103,  2180,  1182,   133,   355,   355,     8,
     102,    38,  1517,   102,   102,  1863,  1178,   752,  1863,  1566,
     103,     5,  1870,   102,  1286,   354,  1288,     8,   102,   917,
     919,    37,   918,   923,   712,   714,   713,   529,  2109,    45,
     775,    47,  1833,    49,  1835,  1836,    52,    53,    54,  1890,
      56,   715,  1029,  1370,    20,   752,   287,   356,  1849,  1900,
     287,  1566,   921,  1344,  1855,   519,  1907,   398,  1643,  1989,
    2195,  1862,  1987,  2142,  1865,  1622,  2051,  1339,   775,  2053,
    1871,   880,  2052,  1760,  1761,  2054,  2043,  1878,  1879,  1880,
    2167,    89,  1639,  1796,  1922,   894,   895,   896,   897,   898,
     899,    91,   901,  1922,  1598,  1878,  1879,  1880,   395,   340,
     793,   802,  1659,   340,  1778,  1922,   308,  1622,  2189,  1717,
    1748,  1750,   863,   397,  1286,   356,  1288,   926,  2114,   356,
    2042,  1260,  1258,     1,  1639,  1277,     4,  1956,     6,   883,
    1259,  1960,  1497,   776,   271,  1756,   945,  1284,  1996,  1956,
    1998,   290,   892,  1324,  1659,  1020,   205,  1178,    26,    27,
      28,    29,  1981,  1216,   899,  1981,  1479,  1513,  1513,   113,
     407,   115,  1991,  1964,  1981,  1991,   380,  1339,   410,  1960,
     120,  2178,   304,   303,  1991,  1362,  1733,   409,  1365,    45,
     134,   408,   304,   639,   617,    -1,    -1,    -1,   142,   143,
    1085,   145,   899,    -1,    60,    61,  1997,    -1,  1999,  1756,
      -1,   155,   156,   340,    -1,    -1,  1478,    -1,    -1,    -1,
    2011,  2012,    -1,  2014,  2015,  2016,  2017,  2018,  1733,   356,
    2021,    -1,    -1,    -1,   113,   103,   104,   105,    -1,    -1,
      -1,    -1,  2061,    -1,  1791,  2061,   125,   368,   127,    -1,
      -1,  1756,    -1,   109,  2061,  1517,    -1,     1,   379,   380,
       4,    -1,     6,   119,   270,  1286,   145,  1288,    -1,   125,
     149,  2062,    -1,   152,    45,    -1,    -1,    -1,    -1,   285,
    2071,  2072,    26,    27,    28,    29,  1791,    -1,  2116,    60,
      61,    -1,    -1,   149,  2142,   301,    -1,  2116,    -1,    -1,
     306,    -1,   308,    -1,  1566,  1482,    -1,  1484,  1485,  2116,
    1487,  2130,    -1,   340,  2130,    -1,  1478,  2165,  1339,    -1,
      -1,    -1,    -1,  2130,  2115,  2116,  2117,  2118,    -1,   356,
      -1,    -1,  2123,  2124,  2125,  2126,    -1,  2128,   109,    -1,
      -1,  2132,  2115,  2116,  2117,  2118,    -1,  2195,   119,    -1,
    2123,  2124,  2125,  2126,   125,  1517,   235,  2148,   102,    -1,
    1622,    -1,  2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,
    2161,  2162,  2163,  2164,    -1,  1922,    -1,  1639,   149,  1178,
      -1,    -1,    -1,    -1,    -1,  2158,  2159,  2160,  2179,   268,
     269,    -1,    -1,     1,    -1,    -1,     4,  1659,     6,    -1,
      -1,    -1,     1,    -1,  1566,     4,    -1,     6,    -1,  1956,
    1212,    -1,  2203,  2204,  2205,    -1,    -1,  1922,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    26,    27,    28,
      29,    -1,    -1,    41,  1981,    -1,    44,  1236,  1237,    37,
    1239,    -1,    41,  1178,  1991,    44,    -1,    45,    -1,    47,
      -1,  1956,    -1,    -1,    52,    53,    54,  1478,    56,    -1,
    1622,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,   348,
      -1,  1733,   340,    -1,    -1,     1,  1981,  1639,     4,    -1,
       6,  1178,    -1,    60,    61,    -1,  1991,  1286,   356,  1288,
      -1,    -1,    -1,    45,  1756,    -1,  1517,  1659,    -1,    -1,
      26,    27,    28,    29,    -1,    -1,    -1,    -1,    60,    61,
      -1,    -1,    -1,    -1,  2061,  1314,  1315,  1316,  1317,  1318,
    1319,  1320,  1321,  1322,  1323,  1324,    -1,    -1,    -1,  1791,
      -1,    -1,   109,    -1,  1336,    -1,  1338,  1339,  1340,  1341,
    1339,    -1,   119,    -1,    -1,  1566,    -1,    -1,   125,    -1,
      -1,  1286,    -1,  1288,   162,    -1,  2061,   109,    -1,    -1,
     304,   305,    -1,   162,  1741,    -1,    -1,   119,    -1,  2116,
      -1,  1733,   149,   125,    -1,    -1,    -1,   103,   104,   105,
      -1,     1,    -1,  2130,     4,    -1,     6,    -1,    70,  1286,
      -1,  1288,    -1,    -1,  1756,    -1,   340,   149,    -1,    -1,
      -1,  1622,    -1,    -1,  1339,    -1,    26,    27,    28,    29,
      -1,  2116,   356,    -1,    -1,    -1,    -1,    -1,  1639,    -1,
      40,   103,   104,   105,    -1,  2130,    -1,    -1,   110,  1791,
      -1,    -1,   114,    -1,    -1,    -1,    -1,   119,  1659,    -1,
      -1,    45,  1339,   125,    -1,    -1,  1448,   129,    -1,  1451,
      -1,  1453,    -1,    -1,  1456,    -1,    60,    61,    -1,    -1,
    1922,   782,    -1,    -1,    -1,    -1,    -1,   149,    88,    89,
      90,    91,   270,    93,    -1,    -1,    96,   285,    -1,  1478,
      -1,    -1,    -1,    -1,    -1,    -1,   285,   285,    -1,    -1,
      -1,    -1,    -1,   113,  1956,    -1,    -1,    -1,  1497,    -1,
      -1,    -1,    -1,   301,  1503,   109,   827,    -1,   306,    -1,
     308,  1513,  1733,    -1,  1891,   119,  1515,    -1,  1517,  1981,
      -1,   125,    -1,    -1,  1901,    -1,    -1,  1526,    -1,  1991,
    1529,  1908,    -1,  1532,    -1,  1756,     1,    -1,    -1,     4,
      -1,     6,   162,  1478,    -1,   149,    -1,    -1,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   356,    -1,    -1,
    1922,    26,    27,    28,    29,    -1,  1943,  1566,  1567,    -1,
    1791,    -1,    -1,   894,   895,   896,   897,   898,    -1,    -1,
     901,  1478,  1517,    -1,    -1,     1,  1585,  1586,     4,    -1,
       6,    -1,    -1,    -1,  1956,    -1,    -1,    -1,   280,  2061,
      -1,   283,   284,    -1,    -1,   926,    -1,    -1,    -1,    -1,
      26,    27,    28,    29,   340,    -1,    -1,    -1,    -1,  1981,
    1517,    -1,    -1,  1622,   945,  2002,  2003,  2004,    -1,  1991,
     356,  1566,    -1,    -1,    -1,    -1,   318,   319,    -1,    -1,
    1639,    -1,    -1,    -1,   749,    -1,   751,    -1,   113,    -1,
     270,    -1,    -1,  2030,  2116,    -1,  1658,  1659,  1660,  1661,
    1659,    -1,    -1,   768,   769,   285,   771,    -1,  2130,  1566,
      -1,    -1,   777,   778,   111,   112,    -1,    93,   360,    -1,
      -1,   301,    -1,    -1,    -1,    -1,   306,  1622,    -1,   126,
      -1,   128,   129,   130,  1696,  1697,  1698,    -1,    -1,  2061,
      -1,  1922,    -1,   808,  1639,   810,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   151,   152,   153,   133,    -1,    -1,
     340,    -1,    -1,    -1,  1659,  1622,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1733,  1956,   356,    -1,     1,    -1,
      -1,     4,  1639,     6,    -1,    -1,    -1,    -1,     1,    -1,
      -1,     4,    -1,     6,  2116,    -1,    -1,  1756,  1757,    -1,
    1981,    -1,  1659,    26,    27,    28,    29,    -1,  2130,   874,
    1991,    -1,    -1,    26,    27,    28,    29,    40,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    -1,   111,   112,     1,    -1,
      -1,     4,  1791,     6,    -1,    -1,    -1,    -1,  1733,    -1,
     125,    -1,    -1,    -1,    -1,    -1,   271,    -1,   133,  2186,
    2187,  2188,    -1,    26,    27,    28,    29,    -1,    -1,    -1,
      -1,  1756,    -1,    -1,   149,    88,    89,    90,    91,    86,
      93,    -1,    -1,    96,    -1,    -1,  1733,    -1,    -1,    -1,
    2061,   946,   947,    -1,    -1,    -1,   103,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,   271,  1791,    -1,    -1,  1756,
     113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   128,   129,    -1,    -1,   340,  1878,  1879,  1880,     1,
      -1,    -1,     4,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,   356,    -1,    -1,  1791,  2116,    -1,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    26,    27,    28,    29,    -1,  2130,
      -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1922,   340,    47,    -1,    -1,    -1,    -1,
      52,    -1,    54,    -1,    56,  1256,  1257,  1258,  1259,  1260,
     356,  1262,  1263,    -1,    -1,    -1,   271,   272,   273,   274,
    1271,  1272,    -1,    -1,    -1,    -1,    -1,  1956,    -1,    -1,
      -1,  1960,   287,   288,   289,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1981,    -1,    -1,    -1,    -1,  1922,    -1,    -1,
     247,    -1,  1991,  1314,  1315,  1316,  1317,  1318,  1319,  1320,
    1321,  1322,  1323,  1324,    -1,    -1,    -1,   270,    -1,    -1,
     267,   268,    -1,    -1,    -1,    -1,    -1,    -1,   271,    -1,
      -1,  1956,   285,    -1,    -1,  1922,    -1,    -1,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   301,    -1,
     162,    -1,    -1,   306,   301,    -1,  1981,    -1,    -1,   306,
      -1,   308,    -1,    -1,    -1,    -1,  1991,    -1,    -1,  1956,
    1165,    -1,  2061,    -1,  1169,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1179,  1180,  1181,   340,    -1,  1184,
      -1,  1186,    -1,     1,  1981,    -1,     4,   340,     6,   302,
      -1,    -1,    -1,   356,  1991,    -1,    -1,    -1,    -1,    -1,
      -1,  1206,    -1,   356,    -1,    -1,    -1,    -1,    26,    27,
      28,    29,    -1,  2115,  2116,  2117,  2118,  2116,    -1,    37,
      -1,  2123,  2124,  2125,  2126,    -1,  2061,   340,    -1,    47,
      -1,  2130,    -1,    -1,    52,    -1,    54,  1242,    56,  1244,
      -1,    -1,    -1,   356,    -1,  1250,    -1,    -1,   270,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2158,  2159,  2160,   134,
    1265,    -1,  1267,   285,  2061,    -1,    -1,    -1,   143,    -1,
      -1,  1276,    -1,  1278,    -1,    -1,    -1,    -1,    -1,   301,
      -1,  2116,  1503,   158,   306,    -1,   308,   162,    -1,    -1,
      -1,   166,   167,     1,  1515,  2130,   171,   172,   173,   174,
     175,    -1,    -1,    11,    12,    13,    14,    15,    16,    17,
      -1,    -1,    20,    -1,    -1,    -1,    -1,    -1,   340,  2116,
      -1,    -1,    -1,     1,    -1,    -1,     4,    -1,     6,    -1,
      -1,    -1,    -1,  2130,   356,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    -1,  1567,    -1,    26,    27,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    71,  1585,  1586,    74,    75,    76,    77,
      78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    86,    -1,
      88,    89,    90,    91,    92,    93,    94,    95,    -1,    97,
      98,    99,   100,    -1,   102,    -1,    -1,    -1,   106,    -1,
     108,    -1,    -1,   111,   112,    -1,   114,    -1,    -1,   117,
      -1,    89,    -1,    91,    -1,    93,    -1,    -1,    96,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   136,   137,
     138,   139,    -1,    -1,   142,   113,   144,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   270,    37,  1459,  1460,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    47,    -1,    49,    -1,   285,    52,    53,
      54,    -1,    56,    -1,    -1,    -1,    60,    61,    -1,    -1,
      -1,  1486,    -1,   301,   162,    -1,    -1,    -1,   306,    -1,
     308,   107,    -1,   109,   110,  1500,    -1,   113,    -1,   115,
      -1,    -1,   118,   119,    -1,    -1,   122,   123,   124,   125,
      -1,    -1,    -1,   129,    -1,    -1,   132,   133,    -1,    -1,
      -1,    -1,   340,    -1,   140,   109,    -1,    -1,    -1,    -1,
    1535,    -1,    -1,    -1,    -1,   119,    -1,    -1,   356,    -1,
      -1,   125,    -1,    -1,    -1,    -1,    -1,  1552,    -1,  1554,
      -1,    -1,     1,    -1,    -1,     4,    -1,     6,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    35,    36,    37,    -1,
      -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,
      -1,    70,    -1,   301,    -1,    -1,    -1,    -1,   306,    78,
      79,    80,    81,    82,    83,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    -1,
      99,    -1,    -1,   102,   103,   104,   105,    -1,    -1,   108,
      -1,   110,   340,    -1,   113,   114,    -1,    -1,    -1,    23,
     119,    -1,    -1,    -1,    -1,    -1,   125,    -1,   356,    -1,
      -1,    -1,    -1,    -1,    38,    -1,   270,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,   285,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,
      -1,   160,   161,   162,    -1,    -1,   165,   301,    -1,   168,
    1725,   170,   306,    -1,   308,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1960,
      -1,    -1,    -1,   451,    -1,    -1,   195,   196,   102,    -1,
     458,    -1,    -1,    -1,  1759,    -1,    -1,    -1,    -1,    -1,
      -1,   469,    -1,   471,    -1,   473,    -1,   475,    -1,    -1,
      -1,    -1,   480,    -1,    -1,    -1,   484,    -1,   486,    -1,
    1785,    -1,   231,   232,   233,   234,    -1,   495,    -1,    -1,
      -1,   240,   241,    -1,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   173,
      -1,   270,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,   459,    -1,    -1,   295,    -1,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,    -1,
      -1,    -1,    -1,   312,   313,    -1,   315,    -1,    -1,   318,
     319,   320,   321,    -1,    -1,    -1,   325,    -1,    -1,    -1,
     329,   330,   331,    -1,    -1,    -1,   335,   336,    -1,    -1,
      89,   340,    -1,    -1,    -1,   344,    -1,     1,   347,   348,
       4,    -1,     6,    -1,   353,    -1,   355,   356,   357,    -1,
      -1,   360,   111,   112,    -1,    -1,   115,    -1,    -1,    23,
      -1,    -1,    26,    27,    28,    29,    30,    31,    -1,    -1,
      -1,    35,    36,    37,   133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,  1954,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    62,    63,
      -1,    -1,    -1,    67,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    78,    79,    80,    81,    82,    83,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
     189,    -1,    -1,    97,    -1,    99,    -1,    -1,   102,   103,
     104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,   113,
     114,    -1,    -1,     1,    -1,   119,     4,    -1,     6,    -1,
      -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   141,    26,    27,
      28,    29,   146,    -1,    -1,   149,    -1,    -1,   247,    -1,
     154,    -1,    40,   157,    -1,    -1,   160,   161,   162,    -1,
      -1,   165,    -1,    -1,   168,    -1,   170,    -1,    -1,    -1,
      -1,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,    -1,    -1,   287,   288,
     289,   195,   196,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    89,    -1,    91,    -1,    93,    -1,   173,    96,   308,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,    -1,   113,    -1,   231,   232,   233,
     234,    -1,    -1,    -1,    -1,    -1,   240,   241,    -1,    -1,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,    -1,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,    37,    -1,    -1,    -1,    -1,
      42,   285,    -1,    45,    46,    47,    48,    -1,    -1,    51,
      52,   295,    54,    55,    56,    -1,    58,   301,    -1,    -1,
      -1,    -1,   306,    -1,    -1,    -1,    -1,    -1,   312,   313,
      -1,   315,    -1,    -1,   318,   319,   320,   321,    -1,    -1,
      -1,   325,    -1,    -1,    -1,   329,   330,   331,    -1,    -1,
      -1,   335,   336,    -1,    -1,    97,   340,    99,   100,   101,
     344,    -1,     1,   347,   348,     4,    -1,     6,    -1,   353,
      -1,   355,   356,   357,    -1,    -1,   360,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    26,    27,    28,
      29,    30,    31,    -1,    -1,    -1,    35,    36,    37,    -1,
      -1,    -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    52,  1002,    -1,    -1,   285,    -1,    -1,
      -1,    -1,    -1,    62,    63,    -1,    -1,    -1,    67,    -1,
      -1,    70,    -1,   301,    -1,    -1,    -1,    -1,   306,    78,
      79,    80,    81,    82,    83,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    -1,
      99,    -1,    -1,   102,   103,   104,   105,    -1,    -1,   108,
      -1,   110,   340,    -1,   113,   114,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,    -1,    -1,   125,    -1,   356,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,
      -1,   160,   161,   162,    -1,    -1,   165,    -1,   270,   168,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,   290,   291,
     292,   293,   180,    -1,    -1,    -1,   195,   196,    -1,   301,
      -1,    -1,    -1,    -1,   306,    -1,   308,   309,    -1,    -1,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,    -1,    -1,    -1,
      -1,    -1,   231,   232,   233,   234,    -1,    -1,    -1,    -1,
      -1,   240,   241,    -1,    -1,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
      -1,   270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   295,    -1,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,   306,    -1,    -1,
      -1,    -1,    -1,   312,   313,    -1,   315,    -1,    -1,   318,
     319,   320,   321,    -1,    -1,    -1,   325,    -1,    -1,    -1,
     329,   330,   331,     4,    -1,     6,   335,   336,    -1,    -1,
      -1,   340,    -1,    -1,    -1,   344,    -1,    -1,   347,   348,
      -1,    -1,    23,    -1,   353,    -1,   355,   356,   357,    30,
      31,   360,    -1,    -1,    35,    36,    37,   111,   112,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   133,
      -1,    62,    63,    -1,    -1,    -1,    67,    -1,    -1,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    79,    80,
      81,    82,    83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,
      -1,   102,   103,   104,   105,    -1,    -1,   108,    -1,   110,
      -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,    -1,    -1,   146,    -1,    -1,   149,    -1,
      -1,    -1,    -1,   154,    -1,    -1,   157,    -1,    -1,   160,
     161,    -1,    -1,    -1,   165,    -1,    -1,   168,    -1,   170,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,   271,   272,   273,
     274,   275,   276,    -1,   278,   279,   280,   281,   282,   283,
     284,    -1,    -1,   287,   288,   289,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     231,   232,   233,   234,   308,    -1,    -1,    -1,    -1,   240,
     241,    -1,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,    -1,   270,
      -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,
      23,    -1,    -1,    -1,   295,    -1,    -1,    -1,    31,    -1,
     301,    -1,    -1,    36,    -1,   306,    -1,    -1,    -1,    -1,
      -1,   312,   313,    -1,   315,    -1,    -1,   318,   319,   320,
     321,    -1,    -1,    -1,   325,    -1,    -1,    -1,   329,   330,
     331,    -1,    -1,    -1,   335,   336,    -1,    70,    -1,    -1,
      -1,    -1,    -1,   344,    -1,    -1,   347,   348,    -1,    -1,
      -1,    84,   353,    86,   355,   356,   357,    -1,    -1,   360,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   102,
     103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,   125,    -1,    -1,    -1,   129,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,   146,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,   157,    -1,    -1,   160,   161,    -1,
      -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,   231,    31,
      -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,    -1,   270,    70,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,    -1,
     283,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   296,    -1,    -1,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,    -1,    -1,   108,    -1,   110,   312,
     313,    -1,   114,    -1,    -1,   318,   319,   119,    -1,    -1,
      -1,    -1,    -1,   125,    -1,    -1,    -1,   129,   331,    -1,
      -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   345,   346,   146,   348,    -1,   149,    -1,    -1,
      -1,    -1,   154,    -1,   357,   157,    -1,   360,   160,   161,
      -1,    -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,   231,
      31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,    -1,   270,    70,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   102,   103,   104,   105,    -1,    -1,   108,    -1,   110,
     312,   313,    -1,   114,    -1,    -1,   318,   319,   119,    -1,
      -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,   129,   331,
      -1,    -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,   345,   346,   146,   348,    -1,   149,    -1,
      -1,    -1,    -1,   154,    -1,   357,   157,    -1,   360,   160,
     161,    -1,    -1,    -1,   165,    -1,    -1,   168,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,    -1,
     231,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,    -1,   270,
      70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   102,   103,   104,   105,    -1,    -1,   108,    -1,
     110,   312,   313,    -1,   114,    -1,    -1,   318,   319,   119,
      -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,   129,
     331,    -1,    -1,    -1,   335,   336,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,   345,   346,   146,   348,    -1,   149,
      -1,    -1,    -1,    -1,   154,    -1,   357,   157,    -1,   360,
     160,   161,    -1,    -1,    -1,   165,    -1,    -1,   168,    -1,
     170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   195,   196,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,    -1,
      -1,   231,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,    -1,
     270,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     280,    -1,    -1,   283,   284,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   102,   103,   104,   105,    -1,    -1,   108,
      -1,   110,   312,   313,    -1,   114,    -1,    -1,   318,   319,
     119,    -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,    -1,
     129,   331,    -1,    -1,    -1,   335,   336,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,   345,   346,   146,   348,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,   357,   157,    -1,
     360,   160,   161,    -1,    -1,    -1,   165,    -1,    -1,   168,
      -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     9,    10,    11,    12,    13,    14,    -1,    -1,    -1,
      -1,    19,    -1,    -1,    -1,    23,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
      -1,   270,    70,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   280,    -1,    -1,   283,   284,    -1,    -1,    -1,    -1,
      -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   102,   103,   104,   105,    -1,    -1,
      -1,    -1,   110,   312,   313,    -1,   114,    -1,    -1,   318,
     319,   119,    -1,    -1,    -1,    -1,    -1,   125,    -1,    -1,
      -1,   129,   331,    -1,    -1,    -1,   335,   336,    -1,    -1,
      21,    70,    -1,   141,    -1,    -1,   345,   346,   146,   348,
      -1,   149,    -1,    -1,    -1,    -1,   154,    -1,   357,   157,
      -1,   360,   160,   161,    -1,    -1,    -1,   165,    -1,    -1,
     168,    -1,   170,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,    70,
     119,    -1,    -1,    -1,    -1,    -1,   125,   195,   196,    -1,
     129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,   102,   103,   104,   105,   154,    -1,    -1,   157,   110,
      -1,   160,   161,   114,    -1,    -1,   165,    -1,   119,   168,
      -1,   170,    -1,    -1,   125,    -1,    -1,    -1,   129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,    -1,    -1,    -1,   146,   195,   196,   149,    -1,
      -1,    -1,    -1,   154,    -1,    -1,   157,    -1,    -1,   160,
     161,    -1,   280,    -1,   165,   283,   284,   168,    -1,   170,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,    -1,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   345,   346,    -1,
      -1,   280,    -1,    -1,   283,   284,    -1,   355,    -1,   357,
      -1,    -1,   360,    22,    23,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,   280,
      -1,    -1,   283,   284,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    70,    -1,    -1,    -1,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   355,    -1,   357,    -1,
      -1,   360,    -1,    -1,    -1,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   102,   103,   104,   105,    -1,    -1,    -1,
      -1,   110,    -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,
     119,    -1,    -1,    -1,   345,   346,   125,    -1,    -1,    -1,
     129,    -1,    -1,    -1,    -1,    -1,   357,    -1,    -1,   360,
      -1,    -1,   141,    -1,    -1,    -1,    -1,   146,    -1,    -1,
     149,    -1,    -1,    -1,    -1,   154,    -1,    -1,   157,    -1,
      23,   160,   161,    -1,    -1,    -1,   165,    30,    31,   168,
      -1,   170,    35,    36,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,    62,
      63,    -1,    -1,    -1,    67,    -1,    -1,    70,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    79,    80,    81,    82,
      83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    99,    -1,    -1,   102,
     103,   104,   105,    -1,    -1,   108,    -1,   110,    -1,    -1,
      -1,   114,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,   280,    -1,   146,   283,   284,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,   157,    -1,    -1,   160,   161,    -1,
      -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   345,   346,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   355,    -1,   357,    -1,
      -1,   360,    -1,    -1,    -1,    -1,    -1,    -1,   231,   232,
     233,   234,    -1,    -1,    -1,    -1,    -1,   240,   241,    -1,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,    -1,   270,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      23,    -1,   285,    -1,    -1,    -1,    -1,    30,    31,    -1,
      -1,    -1,   295,    36,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,   306,    -1,    -1,    -1,    -1,    -1,   312,
     313,    -1,   315,    -1,    -1,   318,   319,   320,   321,    -1,
      -1,   103,   325,    -1,    -1,    -1,   329,   330,   331,    -1,
      -1,    -1,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   344,    -1,    -1,   347,   348,    -1,    -1,   130,    -1,
     353,   133,   355,    -1,   357,    -1,    -1,   360,    -1,   102,
     103,   104,   105,    -1,    -1,   108,    -1,   110,   150,    -1,
      -1,   114,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,    -1,    -1,   146,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,   157,    -1,    -1,   160,   161,    -1,
      -1,    -1,   165,    -1,    -1,   168,    -1,   170,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,    -1,   231,   232,
     233,   234,    -1,    -1,    -1,    -1,    -1,   240,   241,    -1,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,    -1,   308,   270,    23,    -1,
     312,   313,    -1,    -1,    -1,    30,    31,    -1,    -1,    -1,
     322,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   348,    -1,    -1,   312,
     313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   331,    -1,
      -1,    86,   335,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   347,   348,    -1,   102,   103,   104,
     105,    -1,   355,   108,   357,   110,    -1,   360,    -1,   114,
      -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
     125,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,
      -1,   146,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,
      -1,    -1,   157,    -1,    -1,   160,   161,    -1,    -1,    -1,
     165,    -1,    -1,   168,    -1,   170,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
     195,   196,    -1,    -1,    30,    31,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   231,   232,   233,   234,
      -1,    -1,    -1,    -1,    -1,   240,   241,    -1,    -1,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,    -1,   270,   102,   103,   104,   105,
      -1,    -1,   108,    -1,   110,    -1,    -1,    -1,   114,    -1,
      -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,   125,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,   312,   313,    -1,
     146,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,
      -1,   157,    -1,    -1,   160,   161,   331,    -1,    -1,   165,
     335,   336,   168,    -1,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   357,    -1,    -1,   360,    23,    -1,    -1,   195,
     196,    -1,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   231,   232,   233,   234,    -1,
      -1,    -1,    -1,    70,   240,   241,    -1,    -1,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,    -1,   270,   102,   103,   104,   105,    -1,
      -1,   108,    -1,   110,    -1,    -1,    -1,   114,    -1,    -1,
      -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,   125,    -1,
      -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   141,    -1,   312,   313,    -1,   146,
      -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,    -1,
     157,    -1,    -1,   160,   161,   331,    -1,    -1,   165,   335,
     336,   168,    -1,   170,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   347,   348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,    -1,    -1,   360,    -1,    -1,    -1,   195,   196,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    23,    -1,    -1,
      -1,    -1,    -1,    -1,   231,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,    -1,   270,    70,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   280,    -1,    -1,   283,   284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   102,   103,   104,   105,
      -1,    -1,    -1,    -1,   110,   312,   313,    -1,   114,    -1,
      -1,   318,   319,   119,    -1,    -1,    -1,    -1,    -1,   125,
      -1,    -1,    -1,   129,   331,    -1,    -1,    -1,   335,   336,
      -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,   345,   346,
     146,   348,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,
     357,   157,    -1,   360,   160,   161,    -1,     0,     1,   165,
      -1,     4,   168,     6,   170,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    26,    27,    28,    29,    -1,    -1,   195,
     196,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    47,    -1,    49,    -1,    -1,    52,
      53,    54,    -1,    56,    -1,    -1,    -1,    60,    61,    62,
      -1,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     103,    -1,    -1,    -1,    -1,    -1,   109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   280,    -1,   119,   283,   284,    -1,
      -1,    -1,   125,    -1,    -1,    -1,    70,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    79,    80,    81,    82,    83,
      -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   102,   103,
     104,   105,    -1,    -1,    -1,    -1,   110,    -1,    -1,    -1,
     114,    -1,    -1,    -1,    70,   119,    -1,    -1,    -1,   345,
     346,   125,    -1,    -1,    -1,   129,    -1,    -1,    -1,   355,
      -1,   357,    -1,    -1,   360,    -1,    -1,   141,    -1,    -1,
      -1,    -1,   146,    -1,    -1,   149,   102,   103,   104,   105,
     154,    -1,    -1,   157,   110,    -1,   160,   161,   114,    -1,
      -1,   165,    -1,   119,   168,    -1,   170,    -1,    -1,   125,
      -1,    -1,    -1,   129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,
     146,   195,   196,   149,    -1,    -1,    -1,    -1,   154,    -1,
      -1,   157,    -1,    -1,   160,   161,    -1,   270,    -1,   165,
      -1,    -1,   168,    -1,   170,    -1,    -1,    -1,    70,    -1,
      -1,    -1,   285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   301,   195,
     196,    -1,    -1,   306,    -1,   308,    -1,    -1,    -1,    -1,
     102,   103,   104,   105,    -1,    -1,    -1,    -1,   110,    -1,
      -1,    -1,   114,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,   125,    -1,    -1,   280,   129,    -1,   283,
     284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,
      -1,    -1,   103,    -1,   146,    -1,    -1,   149,    -1,    -1,
      -1,    -1,   154,    -1,    -1,   157,    -1,    -1,   160,   161,
      -1,    -1,    -1,   165,   318,   319,   168,   321,   170,   130,
      -1,    -1,   133,    -1,   280,    -1,    -1,   283,   284,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,   345,   346,   195,   196,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   357,    -1,    -1,   360,    -1,    -1,    -1,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   345,
     346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   357,    -1,    -1,   360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   280,    -1,
      -1,   283,   284,    -1,    -1,    -1,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   345,   346,    -1,    -1,   308,    -1,    -1,
      -1,   312,   313,    -1,    -1,   357,    -1,    -1,   360,    -1,
      -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   348
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   364,     0,     1,     4,     6,    26,    27,    28,    29,
      37,    45,    47,    49,    52,    53,    54,    56,    60,    61,
      62,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,   109,   119,   125,   149,   270,   285,
     301,   306,   308,   365,   419,   420,   421,   422,   494,   495,
     496,   498,   513,   365,   104,   103,   491,   491,   491,   496,
     507,   496,   498,   513,   496,   501,   501,   501,   496,   504,
     422,    49,   423,    37,    45,    47,    52,    53,    54,    56,
     270,   285,   301,   306,   308,   424,    49,   425,    37,    45,
      47,    49,    52,    53,    54,    56,   270,   285,   301,   306,
     308,   430,    53,   431,    37,    42,    45,    46,    47,    48,
      51,    52,    54,    55,    56,    58,    97,    99,   100,   101,
     270,   285,   290,   291,   292,   293,   301,   306,   308,   309,
     432,   285,   290,   291,   306,   435,    45,    47,    52,    54,
      58,    97,    99,   436,    47,   437,    23,    30,    31,    36,
     102,   103,   104,   105,   108,   110,   114,   119,   125,   141,
     146,   149,   154,   157,   160,   161,   165,   168,   170,   195,
     196,   231,   232,   233,   234,   240,   241,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   270,   312,   313,   331,   335,   336,   347,   348,   357,
     360,   445,   492,   616,   617,   620,   621,   622,   626,   689,
     692,   694,   698,   703,   704,   706,   708,   718,   719,   721,
     723,   725,   727,   731,   733,   735,   737,   739,   741,   743,
     745,   747,   749,   760,   768,   770,   772,   773,   775,   777,
     779,   781,   783,   785,   787,   789,    58,   341,   342,   343,
     438,   444,    58,   439,   444,   103,   440,   441,   368,   385,
     386,    89,   277,   279,   507,   507,   507,   507,     0,   365,
     491,   491,    57,   338,   339,   510,   511,   512,    35,    37,
      52,    62,    63,    67,    70,    78,    79,    80,    81,    82,
      83,    97,    99,   246,   270,   285,   295,   301,   306,   315,
     318,   319,   320,   321,   325,   329,   330,   344,   353,   355,
     517,   518,   519,   521,   522,   523,   524,   525,   526,   527,
     531,   532,   533,   536,   537,   544,   548,   556,   557,   560,
     561,   562,   563,   564,   585,   586,   588,   589,   591,   592,
     595,   596,   597,   607,   608,   609,   610,   611,   614,   615,
     621,   628,   629,   630,   631,   632,   633,   637,   638,   639,
     673,   687,   692,   693,   716,   717,   718,   750,   365,   354,
     354,   365,   491,   568,   446,   449,   517,   491,   454,   456,
     616,   639,   459,   491,   464,   498,   514,   507,   496,   498,
     501,   501,   501,   504,    89,   277,   279,   507,   507,   507,
     507,   513,   429,   496,   507,   508,   426,   494,   496,   497,
     427,   496,   498,   499,   514,   428,   496,   501,   502,   501,
     501,   496,   504,   505,    89,   277,   279,   662,   429,   429,
     429,   429,   501,   507,   434,   495,   516,   496,   516,   498,
     516,    45,   516,   501,   501,   516,   504,   516,    45,    46,
     501,   516,   516,    89,   277,   294,   662,   663,   507,    45,
     516,    45,   516,    45,   516,    45,   516,   507,   507,   507,
      45,   516,   392,   507,    45,   516,    45,   516,   507,   404,
     496,   498,   501,   501,   516,    45,   501,   498,   103,   106,
     107,   108,   720,   111,   112,   247,   248,   251,   624,   625,
      32,    33,    34,   247,   695,   132,   627,   166,   167,   771,
     111,   112,   113,   722,   113,   115,   116,   117,   118,   724,
     111,   112,   120,   121,   122,   123,   124,   726,   111,   112,
     115,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     175,   728,   113,   115,   134,   142,   143,   144,   145,   732,
     113,   134,   147,   297,   734,   111,   112,   126,   128,   129,
     130,   151,   152,   153,   736,   113,   115,   134,   142,   143,
     145,   155,   156,   738,   127,   143,   152,   158,   159,   740,
     143,   159,   742,   152,   162,   163,   744,   130,   134,   166,
     167,   746,   134,   166,   167,   169,   748,   134,   143,   158,
     162,   166,   167,   171,   172,   173,   174,   175,   751,   113,
     166,   167,   761,   134,   166,   167,   197,   230,   769,   113,
     125,   127,   145,   149,   152,   235,   268,   269,   348,   705,
     707,   776,   236,   778,   236,   780,   162,   237,   238,   239,
     782,   127,   152,   774,   115,   131,   152,   158,   242,   243,
     784,   127,   152,   786,   113,   127,   134,   152,   158,   788,
     103,   130,   133,   150,   308,   322,   348,   690,   691,   692,
     111,   112,   115,   133,   247,   271,   272,   273,   274,   275,
     276,   278,   279,   280,   281,   282,   283,   284,   287,   288,
     289,   308,   709,   710,   713,   322,   332,   697,   633,   638,
     333,   231,   240,   241,   244,   245,   790,   351,   352,   391,
     700,   632,   491,   410,   444,   342,   390,   444,   378,   396,
      46,    48,    50,    51,    58,    59,    91,   442,   507,   507,
     507,   372,   657,   672,   659,   661,   102,   102,   102,    84,
     705,   286,   608,   170,   491,   616,   688,   688,    62,    98,
     491,   103,   690,    89,   189,   277,   709,   710,   286,   286,
     302,   286,   304,   305,   545,    84,   162,    84,    84,   705,
     103,     4,   366,   640,   641,   340,   515,   522,   418,   449,
     372,   287,   288,   534,   535,   416,   162,   296,   297,   298,
     299,   300,   538,   539,   403,   316,   559,   397,     5,    70,
      84,    86,   110,   114,   119,   125,   129,   149,   231,   280,
     283,   284,   296,   318,   319,   345,   346,   357,   571,   572,
     573,   574,   575,   576,   577,   579,   580,   581,   582,   583,
     584,   617,   620,   626,   682,   683,   684,   689,   694,   698,
     704,   705,   706,   708,   714,   715,   718,   411,   417,    38,
      39,   185,   188,   565,   566,   397,    84,   322,   323,   324,
     587,   593,   594,   397,    84,   590,   593,   375,   382,   402,
     326,   327,   328,   598,   599,   603,   604,    23,   616,   618,
     619,    45,   612,   613,    15,    16,    17,    18,   359,     8,
      24,    54,     9,    10,    11,    12,    13,    14,    19,   110,
     114,   119,   125,   141,   146,   149,   154,   157,   160,   161,
     165,   168,   170,   195,   196,   321,   357,   617,   619,   620,
     634,   635,   636,   639,   674,   675,   676,   677,   678,   679,
     680,   681,   683,   684,   685,   686,    52,    52,    22,   355,
     655,   674,   675,   680,   655,    38,   355,   567,   355,   355,
     355,   355,   355,   510,   517,   568,   446,   449,   454,   456,
     459,   464,   507,   507,   507,   372,   657,   672,   659,   661,
     517,   417,    57,    57,    57,    57,   456,    57,   464,   507,
     372,   393,   401,   408,   456,   417,    43,   433,   496,   501,
     516,   507,    45,   372,   496,   496,   496,   496,   393,   401,
     408,   496,   372,   496,   496,   401,   501,   491,   413,     7,
       8,   113,   251,   252,   623,   300,   409,   103,   126,   286,
     413,   412,   377,   412,   387,   110,   125,   110,   125,   368,
     137,   138,   139,   140,   729,   385,   412,   388,   412,   389,
     386,   412,   388,   367,   376,   380,   370,   414,   415,   380,
      23,    38,   102,   173,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   752,   753,   754,
     412,   373,   180,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     762,   767,   406,   412,   385,   386,   391,   707,   405,   405,
     361,   405,   405,   380,   361,   405,   384,   381,   374,   412,
     395,   394,   408,   394,   408,   111,   112,   125,   133,   149,
     271,   272,   273,   711,   712,   713,   371,   333,   333,   102,
     405,   384,   381,   374,   395,   350,   699,   358,   443,   444,
     670,   670,   670,   287,   355,   656,   302,   355,   671,   355,
     545,   658,   355,   492,   660,     5,   125,   149,   583,    84,
     583,   605,   606,   633,   175,    23,    23,    96,   355,    52,
      52,    52,   102,   304,    52,   713,    52,   583,   583,   304,
     305,   549,   583,   102,   600,   601,   602,   616,   620,   633,
     637,   698,   704,   603,   583,   583,    84,   492,    21,   639,
     644,   645,   646,   653,   680,   681,     7,   356,   492,   355,
     102,   102,   535,    77,   110,   125,   170,   254,   541,   492,
     102,   102,   102,   492,   540,   539,   141,   154,   170,   317,
     583,   404,     5,   583,    84,   377,   387,   368,   385,   386,
      84,   397,   397,   576,   617,   684,    15,    16,    17,    18,
     359,    20,    22,     8,    54,     5,   593,    84,    86,   236,
     296,     7,     7,   102,   102,   566,     5,     7,     5,   583,
     601,   616,   620,   599,     7,   491,   355,   491,   355,   613,
     685,   685,   676,   677,   678,   632,   355,   528,   618,   675,
     385,   388,   386,   388,   367,   376,   370,   414,   415,   410,
     373,   406,   397,   680,     7,    20,    15,    16,    17,    18,
     359,     7,    20,    22,     8,   674,   675,   680,   583,   583,
     102,   356,   365,    20,   365,   102,   479,   417,   448,   450,
     455,   461,   465,   567,   355,   355,   355,   355,   355,   670,
     670,   670,   656,   671,   658,   660,   102,   102,   102,   102,
     102,   355,   670,   103,   371,   496,   102,   625,   412,   379,
     102,   399,   399,   377,   385,   377,   385,   113,   130,   135,
     136,   236,   385,   730,   369,    96,   758,   189,   756,   194,
     759,   192,   193,   757,   190,   191,   755,   130,   220,   224,
     225,   226,   766,   215,   216,   217,   218,   764,   219,   220,
     221,   222,   223,   765,   765,   224,   227,   227,   228,   229,
     228,   113,   130,   162,   763,   407,   405,   102,   102,   111,
     112,   111,   112,   371,   371,   102,   102,   334,   696,   102,
     159,   349,   701,   705,   355,   355,   355,   102,   472,   372,
     549,   477,   393,   473,   102,   401,   478,   408,   583,     5,
       5,   583,   618,    89,    92,   515,   647,   648,    38,   173,
     178,   188,   753,   754,   492,   492,   102,   633,   642,   643,
     583,   583,   583,   371,   102,   583,    52,   583,   393,   102,
     551,   553,   554,   401,   103,   288,   546,    22,   402,   380,
      43,   583,   366,     5,   366,   270,   285,   301,   650,   651,
      89,    92,   515,   649,   652,   366,   641,   451,   377,   148,
     143,   148,   542,   543,   380,   103,   113,   558,   620,   113,
     558,   410,   113,   558,   583,     5,   583,   583,   358,   571,
     571,   572,   573,   574,   102,   576,   571,   578,   618,   639,
     583,   583,    84,     8,    84,   617,   684,   714,   714,   583,
     594,   583,   593,   604,   369,   605,   642,   366,   529,   530,
     358,   680,   674,   680,   685,   685,   676,   677,   678,   680,
     102,   674,   680,   636,   680,    20,    20,   102,    39,   365,
     356,   365,   419,   515,   567,    37,    47,    52,    54,    56,
     162,   270,   285,   301,   306,   308,   356,   365,   419,   447,
     515,    93,   113,   162,   356,   365,   419,   481,   487,   488,
     515,   517,    40,    88,    89,    90,    91,    93,    96,   113,
     162,   270,   356,   365,   419,   462,   515,   520,   521,    40,
      89,    91,   113,   162,   356,   365,   419,   462,   515,   520,
      41,    44,   162,   285,   356,   365,   419,   417,   448,   450,
     455,   461,   465,   355,   355,   355,   372,   393,   401,   408,
     465,   371,   371,     7,   409,   412,   385,   754,   412,   380,
     406,   362,   362,   385,   385,   386,   386,   696,   337,   696,
     102,   383,   391,   111,   112,   702,   475,   476,   474,   288,
     356,   365,   419,   515,   656,   551,   553,   356,   365,   419,
     515,   671,   356,   365,   419,   515,   658,   546,   356,   365,
     419,   515,   660,   583,   583,     5,   103,   493,   493,   648,
     410,   369,   369,   355,   522,   647,   394,   394,   371,   371,
     371,   583,   371,    20,   103,   288,   303,   550,   303,   552,
      20,   307,   547,   600,   616,   620,    84,   326,   583,    43,
      81,    82,   654,   681,   687,   189,   287,   372,   302,   651,
     493,   493,   650,   652,   356,   365,   517,   385,     7,   410,
     558,   558,    70,   558,   583,     5,   583,   164,   583,   593,
     593,     5,   356,   520,   522,   644,     7,   356,   674,   674,
     102,    39,   417,   491,   509,   491,   500,   491,   503,   503,
     491,   506,   103,    89,   277,   279,   509,   509,   509,   509,
     365,    78,    79,   489,   490,   616,   412,    98,   365,   365,
     365,   365,   365,   453,   621,   493,   493,   354,    94,    95,
     463,   102,   103,   128,   129,   247,   267,   268,   469,   470,
     480,    85,    86,    87,    89,   457,   458,   365,   365,   365,
     521,   453,   493,   354,   470,   457,   365,   365,   365,   103,
     354,    98,   372,   356,   356,   356,   356,   356,   475,   476,
     474,   356,   102,     7,   398,   102,   383,   391,    93,   133,
     271,   356,   365,   419,   515,   668,    89,    96,   133,   167,
     271,   356,   365,   419,   515,   669,   113,   271,   356,   365,
     419,   515,   665,   102,   372,   550,   552,   393,   401,   547,
     408,   583,   642,   356,   371,   310,   311,   312,   313,   314,
     555,   102,   393,   102,   554,   393,   555,   102,   401,   602,
     601,   583,   366,   102,   304,   102,   549,   365,   543,   412,
     412,   404,   412,   583,    84,   605,     5,   356,   356,     5,
     366,   530,   188,   569,   102,   471,   449,   454,   459,   464,
     380,   509,   509,   509,   471,   471,   471,   471,   400,   103,
     380,     8,   365,   365,   365,   456,   400,     8,   365,     7,
     365,     5,   365,   456,     5,   365,   150,   482,   355,   466,
     616,   365,   356,   356,   356,   369,   102,   696,   354,   165,
     170,   664,   495,   371,   493,   102,   664,   102,   495,   371,
     104,   495,   371,   522,   287,   103,   546,   402,   402,   371,
     102,   288,   551,   553,   388,   388,   583,   356,   605,   687,
     185,   570,   365,   355,   355,   355,   355,   355,   471,   471,
     471,   355,   355,   355,   355,    41,   621,   469,   412,   458,
     380,    86,   452,   453,   621,    37,    86,   285,   301,   306,
     308,   460,   470,   380,    22,   102,   103,   352,   483,   484,
     485,   616,   365,   103,   104,   467,   468,   616,   365,   380,
     371,   371,   371,     7,   383,   355,   414,   410,   365,   365,
     365,   365,   365,   365,   365,   133,   365,   356,   371,   102,
     550,   552,   356,   366,   569,   479,   450,   455,   461,   465,
     355,   355,   355,   472,   477,   473,   478,   103,   453,   365,
       8,   417,   470,   372,   393,   401,   408,   365,   365,   102,
      22,    25,     7,   356,   102,   103,   666,   667,   664,   372,
     393,   393,   570,   356,   356,   356,   356,   356,   475,   476,
     474,   356,   356,   356,   356,    43,    44,   486,   365,   621,
     365,   412,   412,   102,   102,   366,   468,     5,     7,   356,
     365,   365,   365,   365,   365,   365,   356,   356,   356,   365,
     365,   365,   365,   492,   616,   354,   482,   412,   102,   667,
     365,   412,   417,   371,   371,   371,   372,   393,   401,   408,
     466,   400,   365,   365,   365
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   363,   364,   364,   365,   365,   366,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   419,   419,   419,   419,   420,   420,   420,   420,   421,
     421,   421,   421,   421,   421,   421,   421,   421,   421,   421,
     421,   421,   421,   421,   422,   422,   422,   422,   422,   422,
     422,   422,   422,   422,   422,   422,   422,   422,   422,   422,
     422,   422,   422,   422,   422,   422,   422,   422,   423,   424,
     424,   424,   424,   424,   424,   424,   424,   424,   424,   424,
     424,   424,   424,   424,   424,   424,   425,   426,   426,   427,
     427,   428,   428,   429,   429,   430,   430,   430,   430,   430,
     430,   430,   430,   430,   430,   430,   430,   430,   430,   430,
     431,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   432,   432,   432,   432,   432,
     432,   432,   432,   432,   432,   433,   434,   434,   435,   435,
     435,   435,   435,   435,   436,   436,   436,   436,   436,   436,
     436,   437,   438,   438,   439,   439,   440,   441,   441,   442,
     442,   442,   442,   442,   442,   442,   442,   443,   443,   444,
     444,   444,   445,   446,   447,   447,   448,   448,   448,   448,
     448,   448,   448,   448,   448,   448,   448,   448,   448,   448,
     448,   448,   449,   450,   450,   450,   450,   450,   450,   450,
     450,   451,   451,   451,   452,   452,   453,   453,   454,   455,
     455,   455,   455,   455,   455,   455,   455,   455,   455,   455,
     455,   455,   456,   456,   457,   457,   458,   458,   458,   458,
     459,   460,   460,   460,   460,   460,   461,   461,   461,   461,
     461,   461,   461,   461,   461,   461,   461,   461,   461,   461,
     462,   462,   463,   463,   464,   465,   465,   465,   465,   465,
     465,   465,   466,   466,   467,   467,   467,   468,   468,   468,
     469,   469,   470,   470,   471,   472,   472,   472,   472,   472,
     473,   473,   473,   473,   473,   474,   474,   474,   474,   474,
     475,   475,   475,   475,   475,   476,   476,   476,   476,   476,
     477,   477,   477,   477,   477,   478,   478,   478,   478,   478,
     479,   479,   479,   479,   479,   480,   480,   480,   480,   480,
     481,   482,   483,   483,   484,   484,   484,   484,   484,   485,
     485,   486,   486,   486,   486,   487,   488,   489,   489,   490,
     490,   491,   492,   492,   492,   493,   494,   494,   495,   495,
     495,   495,   495,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   513,   513,   513,   514,   515,   516,   516,   517,
     517,   518,   519,   519,   520,   520,   521,   521,   521,   521,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   522,   522,
     522,   522,   523,   524,   524,   525,   526,   526,   527,   528,
     528,   529,   529,   529,   530,   531,   531,   532,   532,   533,
     533,   534,   534,   535,   535,   536,   536,   537,   538,   538,
     539,   539,   539,   539,   539,   539,   540,   541,   541,   541,
     541,   541,   542,   542,   543,   543,   544,   544,   544,   545,
     545,   545,   546,   546,   547,   547,   548,   548,   549,   549,
     549,   550,   550,   551,   552,   552,   553,   553,   554,   554,
     555,   555,   555,   555,   555,   556,   557,   558,   558,   559,
     559,   559,   559,   559,   559,   559,   559,   560,   561,   561,
     562,   562,   562,   562,   562,   562,   563,   563,   564,   564,
     565,   565,   566,   566,   566,   566,   567,   567,   568,   569,
     569,   570,   570,   571,   571,   571,   571,   571,   571,   571,
     571,   571,   571,   571,   571,   571,   572,   572,   572,   573,
     573,   574,   574,   575,   575,   576,   577,   577,   578,   578,
     579,   579,   580,   581,   582,   582,   583,   583,   583,   584,
     584,   584,   584,   584,   584,   584,   584,   584,   584,   584,
     584,   584,   584,   585,   585,   586,   587,   587,   587,   588,
     588,   589,   590,   590,   590,   590,   590,   591,   591,   592,
     592,   593,   593,   594,   594,   594,   595,   595,   595,   595,
     596,   596,   597,   598,   598,   599,   599,   600,   600,   601,
     601,   601,   602,   602,   602,   602,   603,   603,   604,   604,
     605,   605,   606,   607,   607,   607,   608,   608,   608,   609,
     609,   610,   610,   611,   612,   612,   613,   614,   614,   615,
     616,   617,   617,   618,   618,   619,   620,   621,   621,   621,
     621,   621,   621,   621,   621,   621,   621,   621,   621,   621,
     621,   621,   622,   623,   623,   623,   624,   624,   624,   624,
     624,   625,   625,   626,   626,   627,   627,   628,   628,   628,
     629,   629,   630,   630,   631,   631,   632,   633,   633,   634,
     635,   636,   636,   637,   638,   638,   638,   639,   640,   640,
     640,   641,   641,   641,   642,   642,   643,   644,   644,   644,
     645,   645,   646,   646,   647,   647,   648,   648,   648,   649,
     649,   650,   650,   651,   651,   651,   651,   651,   651,   652,
     652,   652,   653,   654,   654,   655,   655,   655,   655,   656,
     657,   658,   659,   660,   661,   662,   662,   662,   663,   663,
     663,   664,   664,   665,   665,   666,   666,   667,   668,   668,
     668,   669,   669,   669,   669,   669,   670,   671,   671,   672,
     673,   673,   673,   673,   673,   673,   673,   673,   674,   674,
     675,   675,   675,   676,   676,   676,   677,   677,   678,   678,
     679,   679,   680,   681,   681,   681,   681,   682,   682,   683,
     684,   684,   684,   684,   684,   684,   684,   684,   684,   684,
     684,   684,   685,   685,   685,   685,   685,   685,   685,   685,
     685,   685,   685,   685,   685,   685,   685,   685,   685,   686,
     686,   686,   686,   686,   686,   686,   687,   687,   687,   687,
     687,   687,   688,   688,   689,   689,   689,   690,   690,   691,
     691,   691,   691,   691,   692,   692,   692,   692,   692,   692,
     692,   692,   692,   692,   692,   692,   692,   692,   692,   692,
     692,   692,   692,   692,   692,   692,   692,   692,   693,   693,
     693,   693,   693,   693,   694,   694,   695,   695,   695,   696,
     696,   697,   697,   698,   699,   699,   700,   700,   701,   701,
     702,   702,   703,   703,   704,   704,   704,   705,   705,   706,
     706,   707,   707,   707,   707,   708,   708,   708,   709,   709,
     710,   710,   710,   710,   710,   710,   710,   710,   710,   710,
     710,   710,   710,   710,   710,   710,   710,   711,   711,   711,
     711,   711,   711,   711,   712,   712,   712,   712,   713,   713,
     713,   713,   714,   714,   715,   715,   716,   716,   716,   716,
     717,   718,   718,   718,   718,   718,   718,   718,   718,   718,
     718,   718,   718,   718,   718,   718,   718,   718,   718,   719,
     720,   720,   720,   720,   721,   722,   722,   722,   723,   724,
     724,   724,   724,   724,   725,   726,   726,   726,   726,   726,
     726,   726,   726,   726,   727,   727,   727,   728,   728,   728,
     728,   728,   728,   728,   728,   728,   728,   728,   728,   729,
     729,   729,   729,   730,   730,   730,   730,   730,   731,   732,
     732,   732,   732,   732,   732,   732,   733,   734,   734,   734,
     734,   735,   736,   736,   736,   736,   736,   736,   736,   736,
     736,   737,   738,   738,   738,   738,   738,   738,   738,   738,
     739,   740,   740,   740,   740,   740,   741,   742,   742,   743,
     744,   744,   744,   745,   746,   746,   746,   746,   747,   748,
     748,   748,   748,   749,   749,   749,   749,   750,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   752,   752,
     752,   752,   752,   752,   753,   753,   753,   753,   753,   754,
     754,   754,   754,   754,   754,   754,   754,   754,   754,   754,
     754,   755,   755,   756,   757,   757,   758,   759,   760,   761,
     761,   761,   762,   762,   762,   762,   762,   762,   762,   762,
     762,   762,   762,   762,   762,   762,   762,   762,   762,   762,
     763,   763,   763,   764,   764,   764,   764,   765,   765,   765,
     765,   765,   766,   766,   766,   766,   767,   767,   767,   767,
     767,   767,   767,   767,   767,   767,   767,   767,   768,   768,
     769,   769,   769,   769,   770,   771,   771,   772,   772,   772,
     772,   772,   772,   772,   772,   773,   774,   774,   775,   776,
     776,   776,   776,   777,   778,   779,   780,   781,   782,   782,
     782,   782,   783,   784,   784,   784,   784,   784,   784,   785,
     786,   786,   787,   788,   788,   788,   788,   788,   789,   790,
     790,   790,   790,   790
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     0,     2,     1,     1,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       3,     5,     5,     3,     2,     1,     1,     2,     2,     1,
       2,     2,     2,     2,     2,     2,     3,     3,     2,     2,
       3,     3,     3,     2,     2,     6,     2,     6,     3,     2,
       6,     6,     3,     6,     3,     5,     7,     5,     7,     8,
       8,     8,     5,     7,     5,     7,     5,     7,     3,     2,
       6,     2,     6,     6,     6,     3,     6,     3,     5,     5,
       8,     8,     8,     5,     5,     5,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     2,
       3,     2,     2,     6,     3,     3,     5,     3,     3,     3,
       3,     2,     2,     2,     2,     2,     3,     2,     2,     3,
       3,     2,     3,     3,     2,     3,     3,     2,     3,     3,
       2,     3,     3,     2,     3,     3,     2,     2,     2,     2,
       2,     2,     4,     5,     2,     2,     1,     2,     2,     3,
       3,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       2,     3,     2,     1,     2,     1,     3,     0,     1,     0,
       1,     1,     1,     1,     1,     1,     1,     0,     1,     1,
       1,     2,     1,     0,     3,     1,     0,     2,     2,     3,
       8,     8,     8,     8,     9,     9,    10,    10,    10,     9,
       9,     9,     0,     0,     2,     2,     3,     3,     3,     3,
       3,     0,     2,     3,     1,     3,     1,     3,     0,     0,
       2,     2,     5,     4,     5,     4,     4,     3,     4,     2,
       3,     3,     1,     1,     3,     1,     1,     1,     1,     1,
       0,     2,     2,     2,     2,     2,     0,     2,     2,     4,
       7,     8,     6,     7,     7,     5,     3,     4,     3,     3,
       3,     2,     1,     1,     0,     0,     2,     2,     5,     5,
       3,     5,     3,     1,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     3,     0,     0,     2,     2,     2,     2,
       0,     2,     2,     2,     2,     0,     2,     2,     2,     2,
       0,     2,     2,     2,     2,     0,     2,     2,     2,     2,
       0,     2,     2,     2,     2,     0,     2,     2,     2,     2,
       0,     2,     2,     2,     2,     1,     1,     1,     1,     1,
       7,     2,     1,     1,     1,     1,     1,     3,     3,     1,
       2,     2,     2,     3,     0,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     2,     2,
       1,     2,     1,     1,     2,     3,     2,     3,     1,     2,
       3,     1,     2,     3,     1,     2,     3,     1,     2,     2,
       2,     1,     2,     2,     2,     2,     2,     0,     1,     1,
       2,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       1,     1,     2,     2,     2,     2,     1,     1,     2,     1,
       1,     2,     3,     1,     1,     5,     1,     1,     3,     3,
       1,     1,     3,     3,     5,     4,     5,     1,     2,     1,
       3,     1,     2,     2,     2,     1,     2,     1,     1,     2,
       2,     2,     2,     2,     2,     3,     1,     3,     3,     1,
       2,     1,     3,     1,     1,     1,     6,     6,     4,     1,
       1,     0,     1,     1,     0,     3,     6,     4,     1,     1,
       0,     0,     3,     3,     0,     2,     2,     3,     2,     2,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     0,
       6,     3,     6,     3,     5,     3,     5,     2,     1,     1,
       3,     4,     4,     5,     6,     5,     1,     2,     1,     3,
       1,     2,     2,     2,     1,     1,     6,     8,     0,     0,
       1,     0,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     3,     3,     1,
       3,     1,     3,     1,     3,     1,     1,     3,     1,     1,
       3,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       2,     3,     3,     4,     5,     2,     3,     2,     6,     4,
       3,     4,     3,     2,     1,     1,     3,     4,     1,     2,
       1,     1,     2,     3,     1,     3,     4,     3,     5,     3,
       6,     1,     3,     1,     1,     1,     2,     4,     7,     7,
       1,     2,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     3,     1,     1,
       1,     2,     1,     4,     5,     6,     1,     1,     1,     7,
       8,     6,     1,     1,     1,     2,     2,     6,     8,     1,
       2,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     4,     1,     1,     2,     1,     1,     1,     1,
       1,     3,     1,     4,     4,     0,     2,     1,     3,     3,
       1,     3,     1,     3,     1,     3,     1,     1,     3,     3,
       3,     1,     1,     3,     1,     1,     1,     3,     1,     3,
       3,     3,     3,     5,     1,     2,     1,     1,     2,     3,
       1,     1,     2,     1,     1,     2,     2,     2,     1,     1,
       2,     1,     2,     2,     6,     6,     6,     4,     5,     2,
       2,     1,     1,     1,     1,     1,     1,     2,     2,     4,
       0,     4,     0,     1,     0,     1,     1,     1,     1,     1,
       1,     2,     2,     6,     3,     1,     3,     3,     3,     7,
       3,     3,     3,     3,     3,     3,     0,     4,     4,     0,
       2,     2,     4,     4,     5,     5,     3,     3,     3,     3,
       1,     1,     1,     1,     3,     3,     1,     3,     1,     3,
       1,     3,     1,     1,     1,     3,     3,     1,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     1,     2,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     1,     1,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     5,     3,
       5,     1,     5,     5,     3,     5,     1,     1,     1,     0,
       2,     1,     1,     6,     2,     0,     1,     1,     1,     1,
       1,     1,     5,     6,     8,     6,     5,     2,     2,     3,
       4,     1,     1,     1,     2,     3,     4,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     1,
       1,     1,     1,     1,     3,     3,     5,     5,     5,     6,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     7,
       1,     1,     2,     1,     3,     1,     1,     2,     3,     1,
       1,     1,     1,     2,     3,     1,     1,     1,     1,     1,
       3,     3,     3,     3,     3,     5,     4,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     1,     1,     1,     1,     3,     1,     1,     3,
       1,     2,     1,     3,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     2,     3,     3,     9,     5,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     1,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     3,     5,
       1,     1,     1,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     2,     1,     3,     4,     3,     1,     3,     1,     2,
       1,     4,     3,     1,     1,     1,     1,     1,     1,     3,
       1,     1,     3,     1,     1,     2,     1,     1,     2,     2,
       2,     2,     2,     2
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, nft, scanner, state); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, nft, scanner, state);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , nft, scanner, state);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, nft, scanner, state); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (nft);
  YYUSE (scanner);
  YYUSE (state);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yytype)
    {
          case 103: /* "string"  */
#line 320 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4892 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 104: /* "quoted string"  */
#line 320 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4898 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 105: /* "string with a trailing asterisk"  */
#line 320 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4904 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 420: /* line  */
#line 632 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4910 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 421: /* base_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4916 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 422: /* add_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4922 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 423: /* replace_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4928 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 424: /* create_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4934 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 425: /* insert_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4940 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 426: /* table_or_id_spec  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4946 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 427: /* chain_or_id_spec  */
#line 640 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4952 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 428: /* set_or_id_spec  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4958 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 429: /* obj_or_id_spec  */
#line 647 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4964 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 430: /* delete_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4970 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 431: /* get_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4976 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 432: /* list_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 4982 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 433: /* basehook_device_name  */
#line 659 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 4988 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 434: /* basehook_spec  */
#line 653 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 4994 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 435: /* reset_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5000 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 436: /* flush_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5006 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 437: /* rename_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5012 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 438: /* import_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5018 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 439: /* export_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5024 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 440: /* monitor_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5030 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 441: /* monitor_event  */
#line 878 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5036 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 445: /* describe_cmd  */
#line 635 "parser_bison.y" /* yacc.c:1257  */
      { cmd_free(((*yyvaluep).cmd)); }
#line 5042 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 446: /* table_block_alloc  */
#line 665 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); table_free(((*yyvaluep).table)); }
#line 5048 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 449: /* chain_block_alloc  */
#line 667 "parser_bison.y" /* yacc.c:1257  */
      { close_scope(state); chain_free(((*yyvaluep).chain)); }
#line 5054 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 452: /* typeof_data_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5060 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 453: /* typeof_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5066 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 454: /* set_block_alloc  */
#line 676 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 5072 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 456: /* set_block_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5078 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 459: /* map_block_alloc  */
#line 679 "parser_bison.y" /* yacc.c:1257  */
      { set_free(((*yyvaluep).set)); }
#line 5084 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 464: /* flowtable_block_alloc  */
#line 683 "parser_bison.y" /* yacc.c:1257  */
      { flowtable_free(((*yyvaluep).flowtable)); }
#line 5090 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 466: /* flowtable_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5096 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 467: /* flowtable_list_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5102 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 468: /* flowtable_expr_member  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5108 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 469: /* data_type_atom_expr  */
#line 629 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5114 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 470: /* data_type_expr  */
#line 629 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5120 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 471: /* obj_block_alloc  */
#line 686 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5126 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 480: /* type_identifier  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5132 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 483: /* extended_prio_name  */
#line 659 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5138 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 486: /* dev_spec  */
#line 662 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).expr)); }
#line 5144 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 489: /* policy_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5150 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 491: /* identifier  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5156 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 492: /* string  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5162 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 496: /* table_spec  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5168 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 497: /* tableid_spec  */
#line 638 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5174 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 498: /* chain_spec  */
#line 640 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5180 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 499: /* chainid_spec  */
#line 640 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5186 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 500: /* chain_identifier  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5192 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 501: /* set_spec  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5198 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 502: /* setid_spec  */
#line 645 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5204 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 503: /* set_identifier  */
#line 650 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5210 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 504: /* flowtable_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5216 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 505: /* flowtableid_spec  */
#line 650 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5222 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 507: /* obj_spec  */
#line 647 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5228 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 508: /* objid_spec  */
#line 647 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5234 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 509: /* obj_identifier  */
#line 650 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5240 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 510: /* handle_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5246 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 511: /* position_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5252 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 512: /* index_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5258 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 513: /* rule_position  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5264 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 514: /* ruleid_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5270 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 515: /* comment_spec  */
#line 624 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5276 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 516: /* ruleset_spec  */
#line 643 "parser_bison.y" /* yacc.c:1257  */
      { handle_free(&((*yyvaluep).handle)); }
#line 5282 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 517: /* rule  */
#line 669 "parser_bison.y" /* yacc.c:1257  */
      { rule_free(((*yyvaluep).rule)); }
#line 5288 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 519: /* stmt_list  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 5294 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 520: /* stateful_stmt_list  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 5300 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 521: /* stateful_stmt  */
#line 693 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5306 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 522: /* stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5312 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 523: /* xt_stmt  */
#line 895 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5318 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 525: /* chain_stmt  */
#line 716 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5324 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 526: /* verdict_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5330 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 527: /* verdict_map_stmt  */
#line 774 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5336 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 528: /* verdict_map_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5342 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 529: /* verdict_map_list_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5348 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 530: /* verdict_map_list_member_expr  */
#line 777 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5354 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 531: /* connlimit_stmt  */
#line 704 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5360 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 532: /* counter_stmt  */
#line 693 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5366 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 533: /* counter_stmt_alloc  */
#line 693 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5372 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 536: /* log_stmt  */
#line 701 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5378 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 537: /* log_stmt_alloc  */
#line 701 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5384 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 544: /* limit_stmt  */
#line 704 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5390 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 546: /* quota_unit  */
#line 659 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).string)); }
#line 5396 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 548: /* quota_stmt  */
#line 704 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5402 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 556: /* reject_stmt  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5408 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 557: /* reject_stmt_alloc  */
#line 707 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5414 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 558: /* reject_with_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5420 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 560: /* nat_stmt  */
#line 709 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5426 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 561: /* nat_stmt_alloc  */
#line 709 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5432 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 562: /* tproxy_stmt  */
#line 712 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5438 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 563: /* synproxy_stmt  */
#line 714 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5444 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 564: /* synproxy_stmt_alloc  */
#line 714 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5450 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 568: /* synproxy_obj  */
#line 800 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5456 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 571: /* primary_stmt_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5462 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 572: /* shift_stmt_expr  */
#line 763 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5468 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 573: /* and_stmt_expr  */
#line 765 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5474 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 574: /* exclusive_or_stmt_expr  */
#line 765 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5480 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 575: /* inclusive_or_stmt_expr  */
#line 765 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5486 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 576: /* basic_stmt_expr  */
#line 761 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5492 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 577: /* concat_stmt_expr  */
#line 753 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5498 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 578: /* map_stmt_expr_set  */
#line 753 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5504 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 579: /* map_stmt_expr  */
#line 753 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5510 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 580: /* prefix_stmt_expr  */
#line 758 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5516 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 581: /* range_stmt_expr  */
#line 758 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5522 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 582: /* multiton_stmt_expr  */
#line 756 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5528 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 583: /* stmt_expr  */
#line 753 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5534 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 585: /* masq_stmt  */
#line 709 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5540 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 586: /* masq_stmt_alloc  */
#line 709 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5546 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 588: /* redir_stmt  */
#line 709 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5552 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 589: /* redir_stmt_alloc  */
#line 709 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5558 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 591: /* dup_stmt  */
#line 725 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5564 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 592: /* fwd_stmt  */
#line 727 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5570 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 595: /* queue_stmt  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5576 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 596: /* queue_stmt_compat  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5582 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 597: /* queue_stmt_alloc  */
#line 720 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5588 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 600: /* queue_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5594 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 601: /* queue_stmt_expr_simple  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5600 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 602: /* queue_stmt_expr  */
#line 722 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5606 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 605: /* set_elem_expr_stmt  */
#line 784 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5612 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 606: /* set_elem_expr_stmt_alloc  */
#line 784 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5618 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 607: /* set_stmt  */
#line 729 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5624 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 609: /* map_stmt  */
#line 732 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5630 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 610: /* meter_stmt  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5636 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 611: /* flow_stmt_legacy_alloc  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5642 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 614: /* meter_stmt_alloc  */
#line 734 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5648 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 615: /* match_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5654 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 616: /* variable_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5660 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 617: /* symbol_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5666 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 618: /* set_ref_expr  */
#line 745 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5672 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 619: /* set_ref_symbol_expr  */
#line 745 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5678 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 620: /* integer_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5684 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 621: /* primary_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5690 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 622: /* fib_expr  */
#line 869 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5696 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 626: /* osf_expr  */
#line 874 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5702 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 628: /* shift_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5708 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 629: /* and_expr  */
#line 739 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5714 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 630: /* exclusive_or_expr  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5720 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 631: /* inclusive_or_expr  */
#line 741 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5726 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 632: /* basic_expr  */
#line 743 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5732 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 633: /* concat_expr  */
#line 768 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5738 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 634: /* prefix_rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5744 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 635: /* range_rhs_expr  */
#line 750 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5750 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 636: /* multiton_rhs_expr  */
#line 748 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5756 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 637: /* map_expr  */
#line 771 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5762 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 638: /* expr  */
#line 790 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5768 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 639: /* set_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5774 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 640: /* set_list_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5780 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 641: /* set_list_member_expr  */
#line 780 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5786 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 642: /* meter_key_expr  */
#line 787 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5792 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 643: /* meter_key_expr_alloc  */
#line 787 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5798 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 644: /* set_elem_expr  */
#line 782 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5804 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 645: /* set_elem_key_expr  */
#line 915 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5810 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 646: /* set_elem_expr_alloc  */
#line 782 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5816 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 650: /* set_elem_stmt_list  */
#line 689 "parser_bison.y" /* yacc.c:1257  */
      { stmt_list_free(((*yyvaluep).list)); xfree(((*yyvaluep).list)); }
#line 5822 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 651: /* set_elem_stmt  */
#line 691 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5828 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 653: /* set_lhs_expr  */
#line 782 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5834 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 654: /* set_rhs_expr  */
#line 782 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5840 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 655: /* initializer_expr  */
#line 790 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5846 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 657: /* counter_obj  */
#line 800 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5852 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 659: /* quota_obj  */
#line 800 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5858 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 661: /* secmark_obj  */
#line 800 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5864 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 666: /* timeout_states  */
#line 908 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5870 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 667: /* timeout_state  */
#line 908 "parser_bison.y" /* yacc.c:1257  */
      { xfree(((*yyvaluep).list)); }
#line 5876 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 670: /* ct_obj_alloc  */
#line 800 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5882 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 672: /* limit_obj  */
#line 800 "parser_bison.y" /* yacc.c:1257  */
      { obj_free(((*yyvaluep).obj)); }
#line 5888 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 673: /* relational_expr  */
#line 803 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5894 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 674: /* list_rhs_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5900 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 675: /* rhs_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5906 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 676: /* shift_rhs_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5912 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 677: /* and_rhs_expr  */
#line 797 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5918 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 678: /* exclusive_or_rhs_expr  */
#line 797 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5924 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 679: /* inclusive_or_rhs_expr  */
#line 797 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5930 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 680: /* basic_rhs_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5936 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 681: /* concat_rhs_expr  */
#line 793 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5942 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 683: /* boolean_expr  */
#line 898 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5948 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 684: /* keyword_expr  */
#line 790 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5954 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 685: /* primary_rhs_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5960 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 687: /* verdict_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5966 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 688: /* chain_expr  */
#line 737 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5972 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 689: /* meta_expr  */
#line 851 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5978 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 693: /* meta_stmt  */
#line 699 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 5984 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 694: /* socket_expr  */
#line 855 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5990 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 698: /* numgen_expr  */
#line 816 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 5996 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 703: /* xfrm_expr  */
#line 912 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6002 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 704: /* hash_expr  */
#line 816 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6008 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 706: /* rt_expr  */
#line 861 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6014 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 708: /* ct_expr  */
#line 865 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6020 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 714: /* symbol_stmt_expr  */
#line 795 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6026 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 715: /* list_stmt_expr  */
#line 763 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6032 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 716: /* ct_stmt  */
#line 697 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 6038 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 717: /* payload_stmt  */
#line 695 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 6044 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 718: /* payload_expr  */
#line 807 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6050 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 719: /* payload_raw_expr  */
#line 807 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6056 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 721: /* eth_hdr_expr  */
#line 810 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6062 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 723: /* vlan_hdr_expr  */
#line 810 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6068 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 725: /* arp_hdr_expr  */
#line 813 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6074 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 727: /* ip_hdr_expr  */
#line 816 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6080 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 731: /* icmp_hdr_expr  */
#line 816 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6086 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 733: /* igmp_hdr_expr  */
#line 816 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6092 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 735: /* ip6_hdr_expr  */
#line 820 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6098 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 737: /* icmp6_hdr_expr  */
#line 820 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6104 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 739: /* auth_hdr_expr  */
#line 823 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6110 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 741: /* esp_hdr_expr  */
#line 823 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6116 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 743: /* comp_hdr_expr  */
#line 823 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6122 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 745: /* udp_hdr_expr  */
#line 826 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6128 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 747: /* udplite_hdr_expr  */
#line 826 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6134 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 749: /* tcp_hdr_expr  */
#line 884 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6140 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 750: /* optstrip_stmt  */
#line 892 "parser_bison.y" /* yacc.c:1257  */
      { stmt_free(((*yyvaluep).stmt)); }
#line 6146 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 760: /* dccp_hdr_expr  */
#line 829 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6152 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 767: /* sctp_chunk_alloc  */
#line 829 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6158 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 768: /* sctp_hdr_expr  */
#line 829 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6164 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 770: /* th_hdr_expr  */
#line 835 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6170 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 772: /* exthdr_expr  */
#line 839 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6176 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 773: /* hbh_hdr_expr  */
#line 841 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6182 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 775: /* rt_hdr_expr  */
#line 844 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6188 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 777: /* rt0_hdr_expr  */
#line 844 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6194 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 779: /* rt2_hdr_expr  */
#line 844 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6200 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 781: /* rt4_hdr_expr  */
#line 844 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6206 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 783: /* frag_hdr_expr  */
#line 841 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6212 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 785: /* dst_hdr_expr  */
#line 841 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6218 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 787: /* mh_hdr_expr  */
#line 847 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6224 "parser_bison.c" /* yacc.c:1257  */
        break;

    case 789: /* exthdr_exists_expr  */
#line 902 "parser_bison.y" /* yacc.c:1257  */
      { expr_free(((*yyvaluep).expr)); }
#line 6230 "parser_bison.c" /* yacc.c:1257  */
        break;


      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (struct nft_ctx *nft, void *scanner, struct parser_state *state)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

/* User initialization code.  */
#line 159 "parser_bison.y" /* yacc.c:1429  */
{
	location_init(scanner, state, &yylloc);
	if (nft->debug_mask & NFT_DEBUG_SCANNER)
		nft_set_debug(1, scanner);
	if (nft->debug_mask & NFT_DEBUG_PARSER)
		yydebug = 1;
}

#line 6347 "parser_bison.c" /* yacc.c:1429  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, scanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 921 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].cmd) != NULL) {
					(yyvsp[0].cmd)->location = (yylsp[0]);
					list_add_tail(&(yyvsp[0].cmd)->list, state->cmds);
				}
			}
#line 6541 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 8:
#line 937 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_AH); }
#line 6547 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 9:
#line 938 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_ARP); }
#line 6553 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 10:
#line 939 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_AT); }
#line 6559 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 11:
#line 940 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_COMP); }
#line 6565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 12:
#line 941 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CT); }
#line 6571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 13:
#line 942 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_COUNTER); }
#line 6577 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 14:
#line 943 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DCCP); }
#line 6583 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 15:
#line 944 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_DST); }
#line 6589 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 16:
#line 945 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_DUP); }
#line 6595 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 17:
#line 946 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_ESP); }
#line 6601 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 18:
#line 947 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_ETH); }
#line 6607 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 19:
#line 948 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_EXPORT); }
#line 6613 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 20:
#line 949 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FIB); }
#line 6619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 21:
#line 950 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_FLAGS); }
#line 6625 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 22:
#line 951 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_FRAG); }
#line 6631 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 23:
#line 952 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_FWD); }
#line 6637 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 24:
#line 953 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HASH); }
#line 6643 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 25:
#line 954 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_HBH); }
#line 6649 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 26:
#line 955 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP); }
#line 6655 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 27:
#line 956 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_IP6); }
#line 6661 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 28:
#line 957 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_VLAN); }
#line 6667 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 29:
#line 958 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_ICMP); }
#line 6673 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 30:
#line 959 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_IGMP); }
#line 6679 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 31:
#line 960 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_IMPORT); }
#line 6685 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 32:
#line 961 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_IPSEC); }
#line 6691 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 33:
#line 962 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_LIST); }
#line 6697 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 34:
#line 963 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_LIMIT); }
#line 6703 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 35:
#line 964 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_META); }
#line 6709 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 36:
#line 965 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_MH); }
#line 6715 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 37:
#line 966 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_MONITOR); }
#line 6721 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 38:
#line 967 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_NAT); }
#line 6727 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 39:
#line 968 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_NUMGEN); }
#line 6733 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 40:
#line 969 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_OSF); }
#line 6739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 41:
#line 970 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_POLICY); }
#line 6745 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 42:
#line 971 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_QUOTA); }
#line 6751 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 43:
#line 972 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_QUEUE); }
#line 6757 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 44:
#line 973 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_REJECT); }
#line 6763 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 45:
#line 974 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_CMD_RESET); }
#line 6769 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 46:
#line 975 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_RT); }
#line 6775 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 47:
#line 976 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_SCTP); }
#line 6781 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 48:
#line 977 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SCTP_CHUNK); }
#line 6787 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 49:
#line 978 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_SECMARK); }
#line 6793 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 50:
#line 979 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_SOCKET); }
#line 6799 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 51:
#line 980 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_TCP); }
#line 6805 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 52:
#line 981 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_TPROXY); }
#line 6811 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 53:
#line 982 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_TYPE); }
#line 6817 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 54:
#line 983 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_TH); }
#line 6823 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 55:
#line 984 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDP); }
#line 6829 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 56:
#line 985 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_EXPR_UDPLITE); }
#line 6835 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 57:
#line 987 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_LOG); }
#line 6841 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 58:
#line 988 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_STMT_SYNPROXY); }
#line 6847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 59:
#line 989 "parser_bison.y" /* yacc.c:1646  */
    { scanner_pop_start_cond(nft->scanner, PARSER_SC_XT); }
#line 6853 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 60:
#line 992 "parser_bison.y" /* yacc.c:1646  */
    {
				if (scanner_include_file(nft, scanner, (yyvsp[-1].string), &(yyloc)) < 0) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 6865 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1000 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_lookup(scope, (yyvsp[-3].string)) != NULL) {
					erec_queue(error(&(yylsp[-3]), "redefinition of symbol '%s'", (yyvsp[-3].string)),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					xfree((yyvsp[-3].string));
					YYERROR;
				}

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 6884 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1015 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				symbol_bind(scope, (yyvsp[-3].string), (yyvsp[-1].expr));
				xfree((yyvsp[-3].string));
			}
#line 6895 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1022 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);

				if (symbol_unbind(scope, (yyvsp[-1].string)) < 0) {
					erec_queue(error(&(yylsp[-1]), "undefined symbol '%s'", (yyvsp[-1].string)),
						   state->msgs);
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				xfree((yyvsp[-1].string));
			}
#line 6911 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1034 "parser_bison.y" /* yacc.c:1646  */
    {
				if (++state->nerrs == nft->parser_max_errors)
					YYABORT;
				yyerrok;
			}
#line 6921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1041 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1042 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = NULL; }
#line 6933 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1043 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 6939 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1045 "parser_bison.y" /* yacc.c:1646  */
    {
				/*
				 * Very hackish workaround for bison >= 2.4: previous versions
				 * terminated parsing after EOF, 2.4+ tries to get further input
				 * in 'input' and calls the scanner again, causing a crash when
				 * the final input buffer has been popped. Terminate manually to
				 * avoid this. The correct fix should be to adjust the grammar
				 * to accept EOF in input, but for unknown reasons it does not
				 * work.
				 */
				if ((yyvsp[-1].cmd) != NULL) {
					(yyvsp[-1].cmd)->location = (yylsp[-1]);
					list_add_tail(&(yyvsp[-1].cmd)->list, state->cmds);
				}
				(yyval.cmd) = NULL;
				YYACCEPT;
			}
#line 6961 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1064 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1065 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1066 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1067 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1068 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1069 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 6997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1070 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 7003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1071 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1072 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1073 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 7021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1074 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 7027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1075 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7033 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1076 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1077 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[-1].cmd); }
#line 7045 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1078 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.cmd) = (yyvsp[0].cmd); }
#line 7051 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1082 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7059 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1087 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 7069 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1093 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7077 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1098 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 7088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1105 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7096 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1109 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7104 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1114 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7114 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1121 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1127 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7132 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1132 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 7142 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1138 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 7155 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1147 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1151 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_COUNTER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7171 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1155 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7179 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1159 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_QUOTA, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7187 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1163 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1167 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1171 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_ADD, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1175 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1179 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_LIMIT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7227 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1183 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7235 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1187 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SECMARK, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7243 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1191 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 107:
#line 1195 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_ADD, CMD_OBJ_SYNPROXY, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 108:
#line 1201 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_REPLACE, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7267 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 109:
#line 1207 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 110:
#line 1212 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-3].table)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_TABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].table));
			}
#line 7285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 111:
#line 1218 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 112:
#line 1223 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].chain)->handle, &(yyvsp[-4].handle));
				close_scope(state);
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_CHAIN, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].chain));
			}
#line 7304 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 113:
#line 1231 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 114:
#line 1238 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].set)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SET, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].set));
			}
#line 7324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 115:
#line 1244 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 116:
#line 1249 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 7342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 117:
#line 1255 "parser_bison.y" /* yacc.c:1646  */
    {
				struct obj *obj;

				obj = obj_alloc(&(yyloc));
				obj->type = NFT_OBJECT_COUNTER;
				handle_merge(&obj->handle, &(yyvsp[-1].handle));
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), obj);
			}
#line 7355 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 118:
#line 1264 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_COUNTER, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7363 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 119:
#line 1268 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_QUOTA, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 120:
#line 1272 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_HELPER, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7379 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 121:
#line 1276 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_TIMEOUT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 122:
#line 1280 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_CREATE, NFT_OBJECT_CT_EXPECT, &(yyvsp[-5].handle), &(yyloc), (yyvsp[-4].obj));
			}
#line 7395 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 123:
#line 1284 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_LIMIT, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7403 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 124:
#line 1288 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SECMARK, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7411 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 125:
#line 1292 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_CREATE, CMD_OBJ_SYNPROXY, &(yyvsp[-3].handle), &(yyloc), (yyvsp[-2].obj));
			}
#line 7419 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 126:
#line 1298 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_INSERT, CMD_OBJ_RULE, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].rule));
			}
#line 7427 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 135:
#line 1320 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7435 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1324 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7443 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1328 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_RULE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7451 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1332 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7459 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1336 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7467 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1340 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7475 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1344 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7483 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1348 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7491 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1353 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].flowtable)->location = (yylsp[-1]);
				handle_merge(&(yyvsp[-3].flowtable)->handle, &(yyvsp[-4].handle));
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_FLOWTABLE, &(yyvsp[-4].handle), &(yyloc), (yyvsp[-1].flowtable));
			}
#line 7501 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1359 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7509 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1363 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7517 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1367 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_DELETE, (yyvsp[-3].val), &(yyvsp[-2].handle), &(yyloc), (yyvsp[-1].obj));
				if ((yyvsp[-3].val) == NFT_OBJECT_CT_TIMEOUT)
					init_list_head(&(yyvsp[-1].obj)->ct_timeout.timeout_list);
			}
#line 7527 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1373 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7535 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 148:
#line 1377 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7543 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 149:
#line 1381 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_DELETE, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7551 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 150:
#line 1387 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_GET, CMD_OBJ_ELEMENTS, &(yyvsp[-1].handle), &(yyloc), (yyvsp[0].expr));
			}
#line 7559 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1393 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7567 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1397 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7575 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1401 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7583 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1405 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_CHAINS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1409 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7599 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1413 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SETS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7607 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1417 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1421 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7623 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1425 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7631 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1429 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_COUNTER, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7639 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1433 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7647 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1437 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7655 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1441 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7663 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1445 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7671 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1449 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMITS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7679 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1453 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_LIMIT, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1457 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7695 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1461 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7703 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1465 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SECMARK, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7711 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1469 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7719 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1473 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXYS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7727 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1477 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_SYNPROXY, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7735 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1481 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7743 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1485 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7751 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1489 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7759 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1493 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7767 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1497 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7775 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1501 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLES, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7783 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1505 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_FLOWTABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7791 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1509 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAPS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7799 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1513 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7807 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1517 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc_obj_ct(CMD_LIST, (yyvsp[-2].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7815 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1521 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, (yyvsp[-3].val), &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7823 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1525 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_LIST, CMD_OBJ_HOOKS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7831 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1531 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = (yyvsp[0].string);
			}
#line 7839 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1537 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 7847 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1541 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].string)) {
					(yyvsp[-1].handle).obj.name = (yyvsp[0].string);
					(yyvsp[-1].handle).obj.location = (yylsp[0]);
				}
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 7859 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1551 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1555 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTERS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7875 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1559 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_COUNTER, &(yyvsp[-1].handle),&(yyloc), NULL);
			}
#line 7883 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1563 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1567 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTAS, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7899 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1571 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RESET, CMD_OBJ_QUOTA, &(yyvsp[-1].handle), &(yyloc), NULL);
			}
#line 7907 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1577 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_TABLE, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7915 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 195:
#line 1581 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_CHAIN, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7923 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 196:
#line 1585 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_SET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7931 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 197:
#line 1589 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_MAP, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7939 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 198:
#line 1593 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7947 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 199:
#line 1597 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_METER, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7955 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 200:
#line 1601 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_FLUSH, CMD_OBJ_RULESET, &(yyvsp[0].handle), &(yyloc), NULL);
			}
#line 7963 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1607 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.cmd) = cmd_alloc(CMD_RENAME, CMD_OBJ_CHAIN, &(yyvsp[-1].handle), &(yyloc), NULL);
				(yyval.cmd)->arg = (yyvsp[0].string);
			}
#line 7972 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1614 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7982 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1620 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_IMPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 7992 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1628 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 8002 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1634 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct markup *markup = markup_alloc((yyvsp[0].val));
				(yyval.cmd) = cmd_alloc(CMD_EXPORT, CMD_OBJ_MARKUP, &h, &(yyloc), markup);
			}
#line 8012 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 206:
#line 1642 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				struct monitor *m = monitor_alloc((yyvsp[0].val), (yyvsp[-1].val), (yyvsp[-2].string));
				m->location = (yylsp[-2]);
				(yyval.cmd) = cmd_alloc(CMD_MONITOR, CMD_OBJ_MONITOR, &h, &(yyloc), m);
			}
#line 8023 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1650 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = NULL; }
#line 8029 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1651 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 8035 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1654 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ANY; }
#line 8041 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1655 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TABLES; }
#line 8047 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1656 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_CHAINS; }
#line 8053 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1657 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_SETS; }
#line 8059 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1658 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULES; }
#line 8065 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1659 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_ELEMS; }
#line 8071 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1660 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_RULESET; }
#line 8077 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1661 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_MONITOR_OBJ_TRACE; }
#line 8083 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1664 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_DEFAULT; }
#line 8089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1668 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = __NFT_OUTPUT_NOTSUPP; }
#line 8095 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1669 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 8101 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1670 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTNL_OUTPUT_JSON; }
#line 8107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1674 "parser_bison.y" /* yacc.c:1646  */
    {
				struct handle h = { .family = NFPROTO_UNSPEC };
				(yyval.cmd) = cmd_alloc(CMD_DESCRIBE, CMD_OBJ_EXPR, &h, &(yyloc), NULL);
				(yyval.cmd)->expr = (yyvsp[0].expr);
			}
#line 8117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1682 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.table) = table_alloc();
				open_scope(state, &(yyval.table)->scope);
			}
#line 8126 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1689 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strcmp((yyvsp[-1].string), "dormant") == 0) {
					(yyvsp[-3].table)->flags |= TABLE_F_DORMANT;
					xfree((yyvsp[-1].string));
				} else if (strcmp((yyvsp[-1].string), "owner") == 0) {
					(yyvsp[-3].table)->flags |= TABLE_F_OWNER;
					xfree((yyvsp[-1].string));
				} else {
					erec_queue(error(&(yylsp[-1]), "unknown table option %s", (yyvsp[-1].string)),
						   state->msgs);
					xfree((yyvsp[-1].string));
					YYERROR;
				}
			}
#line 8145 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1704 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].table)->comment, &(yyloc), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].table)->comment = (yyvsp[0].string);
			}
#line 8157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1713 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.table) = (yyvsp[(-1) - (0)].table); }
#line 8163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1720 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].chain)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].chain)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				close_scope(state);
				list_add_tail(&(yyvsp[-4].chain)->list, &(yyvsp[-7].table)->chains);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8176 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1731 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8188 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1741 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].set)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].set)->list, &(yyvsp[-7].table)->sets);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8200 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1752 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].flowtable)->location = (yylsp[-5]);
				handle_merge(&(yyvsp[-4].flowtable)->handle, &(yyvsp[-5].handle));
				handle_free(&(yyvsp[-5].handle));
				list_add_tail(&(yyvsp[-4].flowtable)->list, &(yyvsp[-7].table)->flowtables);
				(yyval.table) = (yyvsp[-7].table);
			}
#line 8212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1762 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_COUNTER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1773 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_QUOTA;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8238 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1782 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_HELPER;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 8251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1791 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_TIMEOUT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 8264 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1800 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_CT_EXPECT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-9].table)->objs);
				(yyval.table) = (yyvsp[-9].table);
			}
#line 8277 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1811 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_LIMIT;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8290 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1822 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SECMARK;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1833 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].obj)->location = (yylsp[-6]);
				(yyvsp[-5].obj)->type = NFT_OBJECT_SYNPROXY;
				handle_merge(&(yyvsp[-5].obj)->handle, &(yyvsp[-6].handle));
				handle_free(&(yyvsp[-6].handle));
				list_add_tail(&(yyvsp[-5].obj)->list, &(yyvsp[-8].table)->objs);
				(yyval.table) = (yyvsp[-8].table);
			}
#line 8316 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1844 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.chain) = chain_alloc(NULL);
				open_scope(state, &(yyval.chain)->scope);
			}
#line 8325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1850 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 8331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1857 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 8340 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1862 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-2].chain)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].chain)->comment = (yyvsp[-1].string);
			}
#line 8352 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1871 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.chain) = (yyvsp[(-1) - (0)].chain); }
#line 8358 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1874 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail(&(yyvsp[-1].rule)->list, &(yyvsp[-2].chain)->rules);
				(yyval.chain) = (yyvsp[-2].chain);
			}
#line 8367 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1881 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *e = (yyvsp[0].expr);

				if (e->etype == EXPR_SYMBOL &&
				    strcmp("verdict", e->identifier) == 0) {
					struct expr *v = verdict_expr_alloc(&(yylsp[0]), NF_ACCEPT, NULL);

					expr_free(e);
					v->flags &= ~EXPR_F_CONSTANT;
					e = v;
				}

				if (expr_ops(e)->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "map data type '%s' lacks typeof serialization", expr_ops(e)->name),
						   state->msgs);
					expr_free(e);
					YYERROR;
				}
				(yyval.expr) = e;
			}
#line 8392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1902 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 8405 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1913 "parser_bison.y" /* yacc.c:1646  */
    {
				if (expr_ops((yyvsp[0].expr))->build_udata == NULL) {
					erec_queue(error(&(yylsp[0]), "primary expression type '%s' lacks typeof serialization", expr_ops((yyvsp[0].expr))->name),
						   state->msgs);
					expr_free((yyvsp[0].expr));
					YYERROR;
				}

				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1924 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 8433 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1936 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 8441 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1941 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 8447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1945 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->key = (yyvsp[-2].expr);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 8456 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1950 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->key = (yyvsp[-1].expr);
				datatype_set((yyvsp[-3].set)->key, (yyvsp[-1].expr)->dtype);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8466 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1956 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->flags = (yyvsp[-2].val);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 8475 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1961 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8484 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1966 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->gc_int = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8493 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 267:
#line 1971 "parser_bison.y" /* yacc.c:1646  */
    {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 8503 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 268:
#line 1977 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8512 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 269:
#line 1982 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].set)->automerge = true;
				(yyval.set) = (yyvsp[-1].set);
			}
#line 8521 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 271:
#line 1988 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 8534 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2003 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 8542 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2009 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_CONSTANT; }
#line 8548 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2010 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_INTERVAL; }
#line 8554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2011 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_TIMEOUT; }
#line 8560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2012 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_EVAL; }
#line 8566 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2016 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.set) = set_alloc(NULL);
			}
#line 8574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2021 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_COUNTER; }
#line 8580 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2022 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_QUOTA; }
#line 8586 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2023 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_LIMIT; }
#line 8592 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2024 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_SECMARK; }
#line 8598 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2025 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_SYNPROXY; }
#line 8604 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2028 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.set) = (yyvsp[(-1) - (0)].set); }
#line 8610 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2032 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->timeout = (yyvsp[-1].val);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2039 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->data = (yyvsp[-2].expr);

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 8631 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2049 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-7].set)->key = (yyvsp[-5].expr);
				(yyvsp[-7].set)->data = (yyvsp[-2].expr);
				(yyvsp[-7].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-7].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-7].set);
			}
#line 8644 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2060 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].set)->key = (yyvsp[-3].expr);
				datatype_set((yyvsp[-5].set)->key, (yyvsp[-3].expr)->dtype);
				(yyvsp[-5].set)->data = (yyvsp[-1].expr);

				(yyvsp[-5].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-5].set);
			}
#line 8657 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2071 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				datatype_set((yyvsp[-6].set)->key, (yyvsp[-4].expr)->dtype);
				(yyvsp[-6].set)->data = (yyvsp[-1].expr);
				(yyvsp[-6].set)->data->flags |= EXPR_F_INTERVAL;

				(yyvsp[-6].set)->flags |= NFT_SET_MAP;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 8671 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2083 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].set)->key = (yyvsp[-4].expr);
				(yyvsp[-6].set)->objtype = (yyvsp[-2].val);
				(yyvsp[-6].set)->flags  |= NFT_SET_OBJECT;
				(yyval.set) = (yyvsp[-6].set);
			}
#line 8682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2090 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].set)->flags |= (yyvsp[-2].val);
				(yyval.set) = (yyvsp[-4].set);
			}
#line 8691 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2095 "parser_bison.y" /* yacc.c:1646  */
    {
				list_splice_tail((yyvsp[-1].list), &(yyvsp[-2].set)->stmt_list);
				(yyval.set) = (yyvsp[-2].set);
				free((yyvsp[-1].list));
			}
#line 8701 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2101 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->init = (yyvsp[0].expr);
				(yyval.set) = (yyvsp[-3].set);
			}
#line 8710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2106 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-2].set)->comment, &(yylsp[-1]), state)) {
					xfree((yyvsp[-1].string));
					YYERROR;
				}
				(yyvsp[-2].set)->comment = (yyvsp[-1].string);
				(yyval.set) = (yyvsp[-2].set);
			}
#line 8723 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2118 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].set)->policy = (yyvsp[-1].val);
			}
#line 8731 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2122 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].set)->desc.size = (yyvsp[0].val);
			}
#line 8739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2127 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_PERFORMANCE; }
#line 8745 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2128 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SET_POL_MEMORY; }
#line 8751 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2132 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable) = flowtable_alloc(NULL);
			}
#line 8759 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2137 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.flowtable) = (yyvsp[(-1) - (0)].flowtable); }
#line 8765 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2141 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->hook.loc = (yylsp[-2]);
				(yyval.flowtable)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyval.flowtable)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyval.flowtable)->priority = (yyvsp[-1].prio_spec);
			}
#line 8783 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2155 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->dev_expr = (yyvsp[-1].expr);
			}
#line 8791 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2159 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->flags |= NFT_FLOWTABLE_COUNTER;
			}
#line 8799 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2163 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.flowtable)->flags |= FLOWTABLE_F_HW_OFFLOAD;
			}
#line 8807 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2169 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 8816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2174 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8825 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2181 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 8834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2186 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 8843 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2194 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 8854 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2201 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 8865 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2208 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 8874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2215 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct datatype *dtype = datatype_lookup_byname((yyvsp[0].string));
				if (dtype == NULL) {
					erec_queue(error(&(yylsp[0]), "unknown datatype %s", (yyvsp[0].string)),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), dtype, dtype->byteorder,
							 dtype->size, NULL);
				xfree((yyvsp[0].string));
			}
#line 8891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2228 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yylsp[0]), &time_type, time_type.byteorder,
							 time_type.size, NULL);
			}
#line 8900 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2236 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 8913 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2247 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(NULL);
			}
#line 8921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2252 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8927 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2256 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8935 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2260 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8947 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2269 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8953 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2273 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8961 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2277 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2286 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 8979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2290 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 8987 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2294 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 8999 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2304 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[(-1) - (0)].obj);
				init_list_head(&(yyval.obj)->ct_timeout.timeout_list);
			}
#line 9008 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2311 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9016 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2315 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9028 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2324 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2328 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9042 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2332 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2341 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9060 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2345 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9068 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2349 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9080 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2358 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9086 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2362 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2366 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2375 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.obj) = (yyvsp[(-1) - (0)].obj); }
#line 9112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2379 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = (yyvsp[-1].obj);
			}
#line 9120 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2383 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].obj)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].obj)->comment = (yyvsp[0].string);
			}
#line 9132 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2392 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 9138 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2393 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("mark"); }
#line 9144 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2394 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("dscp"); }
#line 9150 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2395 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("ecn"); }
#line 9156 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2396 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("classid"); }
#line 9162 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2400 "parser_bison.y" /* yacc.c:1646  */
    {
				const char *chain_type = chain_type_name_lookup((yyvsp[-4].string));

				if (chain_type == NULL) {
					erec_queue(error(&(yylsp[-4]), "unknown chain type"),
						   state->msgs);
					xfree((yyvsp[-4].string));
					YYERROR;
				}
				(yyvsp[-7].chain)->type.loc = (yylsp[-4]);
				(yyvsp[-7].chain)->type.str = xstrdup(chain_type);
				xfree((yyvsp[-4].string));

				(yyvsp[-7].chain)->loc = (yyloc);
				(yyvsp[-7].chain)->hook.loc = (yylsp[-2]);
				(yyvsp[-7].chain)->hook.name = chain_hookname_lookup((yyvsp[-2].string));
				if ((yyvsp[-7].chain)->hook.name == NULL) {
					erec_queue(error(&(yylsp[-2]), "unknown chain hook"),
						   state->msgs);
					xfree((yyvsp[-2].string));
					YYERROR;
				}
				xfree((yyvsp[-2].string));

				(yyvsp[-7].chain)->dev_expr	= (yyvsp[-1].expr);
				(yyvsp[-7].chain)->priority	= (yyvsp[0].prio_spec);
				(yyvsp[-7].chain)->flags	|= CHAIN_F_BASECHAIN;
			}
#line 9195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 371:
#line 2431 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.prio_spec) = (yyvsp[0].prio_spec);
				(yyval.prio_spec).loc = (yyloc);
			}
#line 9204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 372:
#line 2438 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.string) = strdup("out");
			}
#line 9212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 374:
#line 2445 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &integer_type,
								BYTEORDER_HOST_ENDIAN,
								sizeof(int) *
								BITS_PER_BYTE, &(yyvsp[0].val32));
				(yyval.prio_spec) = spec;
			}
#line 9226 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 375:
#line 2455 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = (yyvsp[0].expr);
				(yyval.prio_spec) = spec;
			}
#line 9237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 376:
#line 2462 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen((yyvsp[0].string)) * BITS_PER_BYTE,
								(yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.prio_spec) = spec;
			}
#line 9252 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 377:
#line 2473 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};

				char str[NFT_NAME_MAXLEN];
				snprintf(str, sizeof(str), "%s + %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 9269 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 378:
#line 2486 "parser_bison.y" /* yacc.c:1646  */
    {
				struct prio_spec spec = {0};
				char str[NFT_NAME_MAXLEN];

				snprintf(str, sizeof(str), "%s - %" PRIu64, (yyvsp[-2].string), (yyvsp[0].val));
				spec.expr = constant_expr_alloc(&(yyloc), &string_type,
								BYTEORDER_HOST_ENDIAN,
								strlen(str) * BITS_PER_BYTE,
								str);
				xfree((yyvsp[-2].string));
				(yyval.prio_spec) = spec;
			}
#line 9286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 379:
#line 2500 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = (yyvsp[0].val); }
#line 9292 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 380:
#line 2501 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = -(yyvsp[0].val); }
#line 9298 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 381:
#line 2505 "parser_bison.y" /* yacc.c:1646  */
    {
				struct expr *expr;

				expr = constant_expr_alloc(&(yyloc), &string_type,
							   BYTEORDER_HOST_ENDIAN,
							   strlen((yyvsp[0].string)) * BITS_PER_BYTE, (yyvsp[0].string));
				xfree((yyvsp[0].string));
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), expr);

			}
#line 9314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 382:
#line 2517 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &ifname_type);
				(yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_LIST);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 9324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 383:
#line 2523 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 9332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 384:
#line 2526 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = NULL; }
#line 9338 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 385:
#line 2530 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].chain)->flags |= CHAIN_F_HW_OFFLOAD;
			}
#line 9346 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 386:
#line 2536 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-3].chain)->policy) {
					erec_queue(error(&(yyloc), "you cannot set chain policy twice"),
						   state->msgs);
					expr_free((yyvsp[-1].expr));
					YYERROR;
				}
				(yyvsp[-3].chain)->policy		= (yyvsp[-1].expr);
				(yyvsp[-3].chain)->policy->location	= (yyloc);
			}
#line 9361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 387:
#line 2549 "parser_bison.y" /* yacc.c:1646  */
    {
				datatype_set((yyvsp[0].expr)->sym->expr, &policy_type);
				(yyval.expr) = (yyvsp[0].expr);
			}
#line 9370 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 388:
#line 2554 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(int) *
							 BITS_PER_BYTE, &(yyvsp[0].val32));
			}
#line 9381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 389:
#line 2562 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_ACCEPT; }
#line 9387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 390:
#line 2563 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val32) = NF_DROP;   }
#line 9393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 395:
#line 2575 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t res;

				erec = time_parse(&(yylsp[0]), (yyvsp[0].string), &res);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = res;
			}
#line 9410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 396:
#line 2589 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 9416 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 398:
#line 2593 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 9422 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 399:
#line 2594 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 9428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 400:
#line 2595 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_INET; }
#line 9434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 401:
#line 2596 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_ARP; }
#line 9440 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 402:
#line 2597 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_BRIDGE; }
#line 9446 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 403:
#line 2598 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_NETDEV; }
#line 9452 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 404:
#line 2602 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[-1].val);
				(yyval.handle).table.location = (yylsp[0]);
				(yyval.handle).table.name	= (yyvsp[0].string);
			}
#line 9463 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 405:
#line 2611 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family 		= (yyvsp[-2].val);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
				(yyval.handle).handle.location	= (yylsp[0]);
			}
#line 9474 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 406:
#line 2620 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).chain.name	= (yyvsp[0].string);
				(yyval.handle).chain.location = (yylsp[0]);
			}
#line 9484 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 407:
#line 2628 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 9494 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 408:
#line 2636 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).chain.name		= (yyvsp[0].string);
				(yyval.handle).chain.location	= (yylsp[0]);
			}
#line 9504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 409:
#line 2644 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 9514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 410:
#line 2652 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location 	= (yylsp[0]);
				(yyval.handle).handle.id 		= (yyvsp[0].val);
			}
#line 9524 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 411:
#line 2660 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).set.name	= (yyvsp[0].string);
				(yyval.handle).set.location	= (yylsp[0]);
			}
#line 9534 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 412:
#line 2668 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-1].handle);
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 9544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 413:
#line 2676 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 9554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 414:
#line 2684 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).flowtable.name	= (yyvsp[0].string);
				(yyval.handle).flowtable.location	= (yylsp[0]);
			}
#line 9564 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 415:
#line 2692 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle)		= (yyvsp[-1].handle);
				(yyval.handle).obj.name	= (yyvsp[0].string);
				(yyval.handle).obj.location	= (yylsp[0]);
			}
#line 9574 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 416:
#line 2700 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) 			= (yyvsp[-2].handle);
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 9584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 417:
#line 2708 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).obj.name		= (yyvsp[0].string);
				(yyval.handle).obj.location		= (yylsp[0]);
			}
#line 9594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 418:
#line 2716 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).handle.location	= (yylsp[0]);
				(yyval.handle).handle.id		= (yyvsp[0].val);
			}
#line 9604 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 419:
#line 2724 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).position.location	= (yyloc);
				(yyval.handle).position.id		= (yyvsp[0].val);
			}
#line 9614 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 420:
#line 2732 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).index.location	= (yyloc);
				(yyval.handle).index.id		= (yyvsp[0].val) + 1;
			}
#line 9624 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 421:
#line 2740 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.handle) = (yyvsp[0].handle);
			}
#line 9632 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 422:
#line 2744 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9641 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 423:
#line 2749 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].handle).position.location = (yyvsp[0].handle).handle.location;
				(yyvsp[0].handle).position.id = (yyvsp[0].handle).handle.id;
				(yyvsp[0].handle).handle.id = 0;
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9653 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 424:
#line 2757 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9662 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 425:
#line 2764 "parser_bison.y" /* yacc.c:1646  */
    {
				handle_merge(&(yyvsp[-1].handle), &(yyvsp[0].handle));
				(yyval.handle) = (yyvsp[-1].handle);
			}
#line 9671 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 426:
#line 2771 "parser_bison.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[0].string)) > NFTNL_UDATA_COMMENT_MAXLEN) {
					erec_queue(error(&(yylsp[0]), "comment too long, %d characters maximum allowed",
							 NFTNL_UDATA_COMMENT_MAXLEN),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyval.string) = (yyvsp[0].string);
			}
#line 9686 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 427:
#line 2784 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= NFPROTO_UNSPEC;
			}
#line 9695 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 428:
#line 2789 "parser_bison.y" /* yacc.c:1646  */
    {
				memset(&(yyval.handle), 0, sizeof((yyval.handle)));
				(yyval.handle).family	= (yyvsp[0].val);
			}
#line 9704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 429:
#line 2796 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = NULL;
			}
#line 9712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 430:
#line 2800 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.rule)->comment = (yyvsp[0].string);
			}
#line 9720 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 431:
#line 2806 "parser_bison.y" /* yacc.c:1646  */
    {
				struct stmt *i;

				(yyval.rule) = rule_alloc(&(yyloc), NULL);
				list_for_each_entry(i, (yyvsp[0].list), list)
					(yyval.rule)->num_stmts++;
				list_splice_tail((yyvsp[0].list), &(yyval.rule)->stmts);
				xfree((yyvsp[0].list));
			}
#line 9734 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 432:
#line 2818 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 9744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 433:
#line 2824 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 9753 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 434:
#line 2831 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 9763 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 435:
#line 2837 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 9772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 462:
#line 2874 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = NULL;
				xfree((yyvsp[-1].string));
				xfree((yyvsp[0].string));
				erec_queue(error(&(yyloc), "unsupported xtables compat expression, use iptables-nft with this ruleset"),
					   state->msgs);
				YYERROR;
			}
#line 9785 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 463:
#line 2884 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_JUMP; }
#line 9791 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 464:
#line 2885 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_GOTO; }
#line 9797 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 465:
#line 2889 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].chain)->location = (yylsp[-3]);
				close_scope(state);
				(yyvsp[-1].chain)->location = (yylsp[-1]);
				(yyval.stmt) = chain_stmt_alloc(&(yyloc), (yyvsp[-1].chain), (yyvsp[-4].val));
			}
#line 9808 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 466:
#line 2898 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 467:
#line 2902 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = verdict_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 9824 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 468:
#line 2908 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 9832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 469:
#line 2914 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 9841 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 471:
#line 2922 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 9850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 472:
#line 2927 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 9859 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 474:
#line 2935 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 9867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 475:
#line 2941 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 9876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 476:
#line 2946 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 9886 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 479:
#line 2957 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 9894 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 480:
#line 2961 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_COUNTER;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 9904 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 481:
#line 2969 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9912 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 483:
#line 2976 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.packets = (yyvsp[0].val);
			}
#line 9920 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 484:
#line 2980 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->counter.bytes	 = (yyvsp[0].val);
			}
#line 9928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 487:
#line 2990 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = log_stmt_alloc(&(yyloc));
			}
#line 9936 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 488:
#line 2996 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 9944 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3003 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				bool done = false, another_var = false;
				char *start, *end, scratch = '\0';
				struct expr *expr, *item;
				struct symbol *sym;
				enum {
					PARSE_TEXT,
					PARSE_VAR,
				} prefix_state;

				/* No variables in log prefix, skip. */
				if (!strchr((yyvsp[0].string), '$')) {
					expr = constant_expr_alloc(&(yyloc), &string_type,
								   BYTEORDER_HOST_ENDIAN,
								   (strlen((yyvsp[0].string)) + 1) * BITS_PER_BYTE, (yyvsp[0].string));
					xfree((yyvsp[0].string));
					(yyvsp[-2].stmt)->log.prefix = expr;
					(yyvsp[-2].stmt)->log.flags |= STMT_LOG_PREFIX;
					break;
				}

				/* Parse variables in log prefix string using a
				 * state machine parser with two states. This
				 * parser creates list of expressions composed
				 * of constant and variable expressions.
				 */
				expr = compound_expr_alloc(&(yyloc), EXPR_LIST);

				start = (char *)(yyvsp[0].string);

				if (*start != '$') {
					prefix_state = PARSE_TEXT;
				} else {
					prefix_state = PARSE_VAR;
					start++;
				}
				end = start;

				/* Not nice, but works. */
				while (!done) {
					switch (prefix_state) {
					case PARSE_TEXT:
						while (*end != '\0' && *end != '$')
							end++;

						if (*end == '\0')
							done = true;

						*end = '\0';
						item = constant_expr_alloc(&(yyloc), &string_type,
									   BYTEORDER_HOST_ENDIAN,
									   (strlen(start) + 1) * BITS_PER_BYTE,
									   start);
						compound_expr_add(expr, item);

						if (done)
							break;

						start = end + 1;
						end = start;

						/* fall through */
					case PARSE_VAR:
						while (isalnum(*end) || *end == '_')
							end++;

						if (*end == '\0')
							done = true;
						else if (*end == '$')
							another_var = true;
						else
							scratch = *end;

						*end = '\0';

						sym = symbol_get(scope, start);
						if (!sym) {
							sym = symbol_lookup_fuzzy(scope, start);
							if (sym) {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
										 "did you mean identifier ‘%s’?",
										 start, sym->identifier),
									   state->msgs);
							} else {
								erec_queue(error(&(yylsp[0]), "unknown identifier '%s'",
										 start),
									   state->msgs);
							}
							expr_free(expr);
							xfree((yyvsp[0].string));
							YYERROR;
						}
						item = variable_expr_alloc(&(yyloc), scope, sym);
						compound_expr_add(expr, item);

						if (done)
							break;

						/* Restore original byte after
						 * symbol lookup.
						 */
						if (scratch) {
							*end = scratch;
							scratch = '\0';
						}

						start = end;
						if (another_var) {
							another_var = false;
							start++;
							prefix_state = PARSE_VAR;
						} else {
							prefix_state = PARSE_TEXT;
						}
						end = start;
						break;
					}
				}

				xfree((yyvsp[0].string));
				(yyvsp[-2].stmt)->log.prefix	 = expr;
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_PREFIX;
			}
#line 10073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3128 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.group	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_GROUP;
			}
#line 10082 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3133 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.snaplen	 = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_SNAPLEN;
			}
#line 10091 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3138 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.qthreshold = (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_QTHRESHOLD;
			}
#line 10100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3143 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->log.level	= (yyvsp[0].val);
				(yyvsp[-2].stmt)->log.flags 	|= STMT_LOG_LEVEL;
			}
#line 10109 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3148 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->log.logflags	|= (yyvsp[-1].val);
			}
#line 10117 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3154 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp("emerg", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_EMERG;
				else if (!strcmp("alert", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ALERT;
				else if (!strcmp("crit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_CRIT;
				else if (!strcmp("err", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_ERR;
				else if (!strcmp("warn", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_WARNING;
				else if (!strcmp("notice", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_NOTICE;
				else if (!strcmp("info", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_INFO;
				else if (!strcmp("debug", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_DEBUG;
				else if (!strcmp("audit", (yyvsp[0].string)))
					(yyval.val) = NFT_LOGLEVEL_AUDIT;
				else {
					erec_queue(error(&(yylsp[0]), "invalid log level"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 10149 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3184 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-1].val);
			}
#line 10157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3188 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_IPOPT;
			}
#line 10165 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3192 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_UID;
			}
#line 10173 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3196 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MACDECODE;
			}
#line 10181 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3200 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_MASK;
			}
#line 10189 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3206 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 10197 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3213 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPSEQ;
			}
#line 10205 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3217 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_LOG_TCPOPT;
			}
#line 10213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 506:
#line 3223 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 10231 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 507:
#line 3237 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate	= (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit	= (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst	= (yyvsp[-1].val);
				(yyval.stmt)->limit.type	= NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 10249 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 508:
#line 3251 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_LIMIT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 10259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 509:
#line 3258 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUOTA_F_INV; }
#line 10265 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 510:
#line 3259 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10271 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 511:
#line 3260 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10277 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 512:
#line 3263 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = xstrdup("bytes"); }
#line 10283 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 513:
#line 3264 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.string) = (yyvsp[0].string); }
#line 10289 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 514:
#line 3267 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10295 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 515:
#line 3269 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 10312 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 516:
#line 3284 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-2].string), &rate);
				xfree((yyvsp[-2].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.stmt) = quota_stmt_alloc(&(yyloc));
				(yyval.stmt)->quota.bytes	= (yyvsp[-3].val) * rate;
				(yyval.stmt)->quota.used = (yyvsp[-1].val);
				(yyval.stmt)->quota.flags	= (yyvsp[-4].val);
			}
#line 10332 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 517:
#line 3300 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_QUOTA;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 10342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 518:
#line 3307 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_LIMIT_F_INV; }
#line 10348 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 519:
#line 3308 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10354 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 520:
#line 3309 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10360 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 521:
#line 3312 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 5; }
#line 10366 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 522:
#line 3313 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 10372 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 523:
#line 3317 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 10381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 524:
#line 3323 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 5; }
#line 10387 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 525:
#line 3324 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 10393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 526:
#line 3328 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate, unit;

				erec = rate_parse(&(yyloc), (yyvsp[0].string), &rate, &unit);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.limit_rate).rate = rate * (yyvsp[-1].val);
				(yyval.limit_rate).unit = unit;
			}
#line 10411 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 527:
#line 3342 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.limit_rate).rate = (yyvsp[-2].val);
				(yyval.limit_rate).unit = (yyvsp[0].val);
			}
#line 10420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 528:
#line 3348 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[-1].val); }
#line 10426 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 529:
#line 3350 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[0].string), &rate);
				xfree((yyvsp[0].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[-1].val) * rate;
			}
#line 10443 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 530:
#line 3364 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL; }
#line 10449 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 531:
#line 3365 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60; }
#line 10455 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 532:
#line 3366 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60; }
#line 10461 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 533:
#line 3367 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24; }
#line 10467 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 534:
#line 3368 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 1ULL * 60 * 60 * 24 * 7; }
#line 10473 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 536:
#line 3375 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = reject_stmt_alloc(&(yyloc));
			}
#line 10481 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 537:
#line 3381 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state), (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 10491 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 538:
#line 3386 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10497 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 539:
#line 3390 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[0].stmt)->reject.type = -1;
				(yyvsp[0].stmt)->reject.icmp_code = -1;
			}
#line 10506 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 540:
#line 3395 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmp_code_type);
			}
#line 10517 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 541:
#line 3402 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV4;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmp_code_type);
			}
#line 10528 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 542:
#line 3409 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-6].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-6].stmt)->reject.expr = (yyvsp[-2].expr);
				datatype_set((yyvsp[-6].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 10539 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 543:
#line 3416 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.family = NFPROTO_IPV6;
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMP_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpv6_code_type);
			}
#line 10550 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 544:
#line 3423 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-5].stmt)->reject.expr = (yyvsp[-1].expr);
				datatype_set((yyvsp[-5].stmt)->reject.expr, &icmpx_code_type);
			}
#line 10560 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 545:
#line 3429 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->reject.type = NFT_REJECT_ICMPX_UNREACH;
				(yyvsp[-3].stmt)->reject.expr = (yyvsp[0].expr);
				datatype_set((yyvsp[-3].stmt)->reject.expr, &icmpx_code_type);
			}
#line 10570 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 546:
#line 3435 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->reject.type = NFT_REJECT_TCP_RST;
			}
#line 10578 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 548:
#line 3443 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_SNAT); }
#line 10584 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 549:
#line 3444 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_DNAT); }
#line 10590 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 550:
#line 3448 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 10600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 551:
#line 3454 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-2].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[0].expr);
			}
#line 10610 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 552:
#line 3460 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10620 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 553:
#line 3466 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = NFPROTO_UNSPEC;
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10631 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 554:
#line 3473 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-4].val);
				(yyval.stmt)->tproxy.addr = (yyvsp[-2].expr);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10642 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 555:
#line 3480 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = tproxy_stmt_alloc(&(yyloc));
				(yyval.stmt)->tproxy.family = (yyvsp[-3].val);
				(yyval.stmt)->tproxy.port = (yyvsp[0].expr);
			}
#line 10652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 558:
#line 3492 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = synproxy_stmt_alloc(&(yyloc));
			}
#line 10660 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 559:
#line 3496 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_SYNPROXY;
				(yyval.stmt)->objref.expr = (yyvsp[0].expr);
			}
#line 10670 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 560:
#line 3504 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 10678 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 562:
#line 3511 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.mss = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_MSS;
			}
#line 10687 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 563:
#line 3516 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->synproxy.wscale = (yyvsp[0].val);
				(yyvsp[-2].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_WSCALE;
			}
#line 10696 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 564:
#line 3521 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 10704 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 565:
#line 3525 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->synproxy.flags |= NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 10712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 566:
#line 3531 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-6].obj)->synproxy;
				synproxy->mss = (yyvsp[-4].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-2].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 10732 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 567:
#line 3547 "parser_bison.y" /* yacc.c:1646  */
    {
				struct synproxy *synproxy;
				uint32_t flags = 0;

				synproxy = &(yyvsp[-8].obj)->synproxy;
				synproxy->mss = (yyvsp[-6].val);
				flags |= NF_SYNPROXY_OPT_MSS;
				synproxy->wscale = (yyvsp[-3].val);
				flags |= NF_SYNPROXY_OPT_WSCALE;
				if ((yyvsp[-1].val))
					flags |= (yyvsp[-1].val);
				if ((yyvsp[0].val))
					flags |= (yyvsp[0].val);
				synproxy->flags = flags;
			}
#line 10752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 568:
#line 3565 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SYNPROXY;
			}
#line 10761 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 569:
#line 3571 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10767 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 570:
#line 3573 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_TIMESTAMP;
			}
#line 10775 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 571:
#line 3578 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 10781 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 572:
#line 3580 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_SYNPROXY_OPT_SACK_PERM;
			}
#line 10789 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 573:
#line 3585 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10795 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 574:
#line 3586 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10801 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 575:
#line 3587 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10807 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 576:
#line 3588 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10813 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 577:
#line 3589 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10819 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 578:
#line 3590 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10825 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 579:
#line 3591 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10831 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 580:
#line 3592 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10837 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 581:
#line 3593 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10843 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 582:
#line 3594 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10849 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 583:
#line 3595 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10855 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 584:
#line 3596 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10861 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 585:
#line 3597 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 10867 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 587:
#line 3602 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10875 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 588:
#line 3606 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10883 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 590:
#line 3613 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10891 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 592:
#line 3620 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10899 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 594:
#line 3627 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10907 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 597:
#line 3637 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 10920 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 600:
#line 3652 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10928 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 601:
#line 3655 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 10934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 602:
#line 3659 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 10942 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 603:
#line 3665 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 10950 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 609:
#line 3680 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 610:
#line 3684 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10966 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 611:
#line 3688 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.family = (yyvsp[-2].val);
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 10975 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 612:
#line 3693 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10984 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 613:
#line 3698 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 10993 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 614:
#line 3703 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->nat.family = (yyvsp[-4].val);
				(yyvsp[-5].stmt)->nat.addr = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 615:
#line 3709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11011 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 616:
#line 3713 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11019 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 617:
#line 3717 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 618:
#line 3721 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-6].stmt)->nat.family = (yyvsp[-5].val);
				(yyvsp[-6].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-6].stmt)->nat.type_flags = STMT_NAT_F_CONCAT;
			}
#line 11037 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 619:
#line 3727 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 11046 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 620:
#line 3732 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
			}
#line 11054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 621:
#line 3736 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.family = (yyvsp[-3].val);
				(yyvsp[-4].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-4].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-4].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 11066 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 622:
#line 3744 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.addr = (yyvsp[0].expr);
				(yyvsp[-3].stmt)->nat.type_flags =
						STMT_NAT_F_PREFIX;
				(yyvsp[-3].stmt)->nat.flags |= NF_NAT_RANGE_NETMAP;
			}
#line 11077 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 625:
#line 3756 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_MASQ); }
#line 11083 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 626:
#line 3760 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11091 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 627:
#line 3764 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 628:
#line 3769 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11108 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 631:
#line 3778 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = nat_stmt_alloc(&(yyloc), NFT_NAT_REDIR); }
#line 11114 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 632:
#line 3782 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11122 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 633:
#line 3786 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[0].expr);
			}
#line 11130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 634:
#line 3790 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11138 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 635:
#line 3794 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-3].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11147 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 636:
#line 3799 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-4].stmt)->nat.proto = (yyvsp[-1].expr);
				(yyvsp[-4].stmt)->nat.flags = (yyvsp[0].val);
			}
#line 11156 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 637:
#line 3806 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[0].expr);
			}
#line 11165 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 638:
#line 3811 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = dup_stmt_alloc(&(yyloc));
				(yyval.stmt)->dup.to = (yyvsp[-2].expr);
				(yyval.stmt)->dup.dev = (yyvsp[0].expr);
			}
#line 11175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 639:
#line 3819 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 11184 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 640:
#line 3824 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = fwd_stmt_alloc(&(yyloc));
				(yyval.stmt)->fwd.family = (yyvsp[-4].val);
				(yyval.stmt)->fwd.addr = (yyvsp[-2].expr);
				(yyval.stmt)->fwd.dev = (yyvsp[0].expr);
			}
#line 11195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 642:
#line 3834 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 643:
#line 3839 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM; }
#line 11209 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 644:
#line 3840 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PROTO_RANDOM_FULLY; }
#line 11215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 645:
#line 3841 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NF_NAT_RANGE_PERSISTENT; }
#line 11221 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 647:
#line 3846 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), 0);
			}
#line 11229 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 648:
#line 3850 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-4].val));
			}
#line 11237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 649:
#line 3854 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), (yyvsp[-1].expr), (yyvsp[-4].val));
			}
#line 11245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 652:
#line 3864 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = queue_stmt_alloc(&(yyloc), NULL, 0);
			}
#line 11253 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 653:
#line 3870 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11261 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 655:
#line 3877 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->queue.queue = (yyvsp[0].expr);
				(yyvsp[-2].stmt)->queue.queue->location = (yyloc);
			}
#line 11270 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 656:
#line 3882 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].stmt)->queue.flags |= (yyvsp[0].val);
			}
#line 11278 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 661:
#line 3894 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 667:
#line 3907 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 668:
#line 3912 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_BYPASS; }
#line 11300 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 669:
#line 3913 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_QUEUE_FLAG_CPU_FANOUT; }
#line 11306 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 672:
#line 3921 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 11314 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 673:
#line 3927 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-2].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[0].expr);
			}
#line 11325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 674:
#line 3934 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-4].val);
				(yyval.stmt)->set.key = (yyvsp[-1].expr);
				(yyval.stmt)->set.set = (yyvsp[-3].expr);
			}
#line 11336 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 675:
#line 3941 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = set_stmt_alloc(&(yyloc));
				(yyval.stmt)->set.op  = (yyvsp[-5].val);
				(yyval.stmt)->set.key = (yyvsp[-2].expr);
				(yyval.stmt)->set.set = (yyvsp[-4].expr);
				list_splice_tail((yyvsp[-1].list), &(yyval.stmt)->set.stmt_list);
				free((yyvsp[-1].list));
			}
#line 11349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 676:
#line 3951 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_ADD; }
#line 11355 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 677:
#line 3952 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_UPDATE; }
#line 11361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 678:
#line 3953 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_DYNSET_OP_DELETE; }
#line 11367 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 679:
#line 3957 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-6].val);
				(yyval.stmt)->map.key = (yyvsp[-3].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-5].expr);
			}
#line 11379 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 680:
#line 3965 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = map_stmt_alloc(&(yyloc));
				(yyval.stmt)->map.op  = (yyvsp[-7].val);
				(yyval.stmt)->map.key = (yyvsp[-4].expr);
				(yyval.stmt)->map.data = (yyvsp[-1].expr);
				(yyval.stmt)->map.set = (yyvsp[-6].expr);
				list_splice_tail((yyvsp[-3].list), &(yyval.stmt)->map.stmt_list);
				free((yyvsp[-3].list));
			}
#line 11393 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 681:
#line 3977 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-5].stmt)->meter.key  = (yyvsp[-2].expr);
				(yyvsp[-5].stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
				(yyval.stmt) = (yyvsp[-5].stmt);
			}
#line 11404 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 682:
#line 3983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.stmt) = (yyvsp[0].stmt); }
#line 11410 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 683:
#line 3987 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
			}
#line 11418 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 684:
#line 3993 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt)	= (yyvsp[-1].stmt);
			}
#line 11426 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 686:
#line 4000 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].stmt)->meter.name = (yyvsp[0].string);
			}
#line 11434 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 687:
#line 4006 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-4].string);
				(yyval.stmt)->meter.size = 0;
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 11447 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 688:
#line 4015 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meter_stmt_alloc(&(yyloc));
				(yyval.stmt)->meter.name = (yyvsp[-6].string);
				(yyval.stmt)->meter.size = (yyvsp[-4].val);
				(yyval.stmt)->meter.key  = (yyvsp[-2].expr);
				(yyval.stmt)->meter.stmt = (yyvsp[-1].stmt);
				(yyval.stmt)->location  = (yyloc);
			}
#line 11460 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 689:
#line 4026 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = expr_stmt_alloc(&(yyloc), (yyvsp[0].expr));
			}
#line 11468 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 690:
#line 4032 "parser_bison.y" /* yacc.c:1646  */
    {
				struct scope *scope = current_scope(state);
				struct symbol *sym;

				sym = symbol_get(scope, (yyvsp[0].string));
				if (!sym) {
					sym = symbol_lookup_fuzzy(scope, (yyvsp[0].string));
					if (sym) {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'; "
								      "did you mean identifier ‘%s’?",
								      (yyvsp[0].string), sym->identifier),
							   state->msgs);
					} else {
						erec_queue(error(&(yylsp[0]), "unknown identifier '%s'", (yyvsp[0].string)),
							   state->msgs);
					}
					xfree((yyvsp[0].string));
					YYERROR;
				}

				(yyval.expr) = variable_expr_alloc(&(yyloc), scope, sym);
				xfree((yyvsp[0].string));
			}
#line 11496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 692:
#line 4059 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 11507 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 695:
#line 4072 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_SET,
						       current_scope(state),
						       (yyvsp[-1].string));
				xfree((yyvsp[-1].string));
			}
#line 11518 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 696:
#line 4081 "parser_bison.y" /* yacc.c:1646  */
    {
				char str[64];

				snprintf(str, sizeof(str), "%" PRIu64, (yyvsp[0].val));
				(yyval.expr) = symbol_expr_alloc(&(yyloc), SYMBOL_VALUE,
						       current_scope(state),
						       str);
			}
#line 11531 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 697:
#line 4091 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11537 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 698:
#line 4092 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11543 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 699:
#line 4093 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11549 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 700:
#line 4094 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11555 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 701:
#line 4095 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11561 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 702:
#line 4096 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11567 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 703:
#line 4097 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11573 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 704:
#line 4098 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11579 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 705:
#line 4099 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11585 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 706:
#line 4100 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11591 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 707:
#line 4101 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11597 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 708:
#line 4102 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11603 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 709:
#line 4103 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11609 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 710:
#line 4104 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11615 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 711:
#line 4105 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 11621 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 712:
#line 4109 "parser_bison.y" /* yacc.c:1646  */
    {
				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) == 0) {
					erec_queue(error(&(yylsp[-2]), "fib: need either saddr or daddr"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) ==
					  (NFTA_FIB_F_SADDR|NFTA_FIB_F_DADDR)) {
					erec_queue(error(&(yylsp[-2]), "fib: saddr and daddr are mutually exclusive"), state->msgs);
					YYERROR;
				}

				if (((yyvsp[-2].val) & (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) ==
					  (NFTA_FIB_F_IIF|NFTA_FIB_F_OIF)) {
					erec_queue(error(&(yylsp[-2]), "fib: iif and oif are mutually exclusive"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = fib_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 11646 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 713:
#line 4131 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIF; }
#line 11652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 714:
#line 4132 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_OIFNAME; }
#line 11658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 715:
#line 4133 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) =NFT_FIB_RESULT_ADDRTYPE; }
#line 11664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 716:
#line 4136 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_SADDR; }
#line 11670 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 717:
#line 4137 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_DADDR; }
#line 11676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 718:
#line 4138 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_MARK; }
#line 11682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 719:
#line 4139 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_IIF; }
#line 11688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 720:
#line 4140 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFTA_FIB_F_OIF; }
#line 11694 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 721:
#line 4144 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = (yyvsp[-2].val) | (yyvsp[0].val);
			}
#line 11702 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 723:
#line 4151 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), NFT_OSF_F_VERSION);
			}
#line 11710 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 724:
#line 4155 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = osf_expr_alloc(&(yyloc), (yyvsp[-2].val), 0);
			}
#line 11718 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 725:
#line 4161 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = NF_OSF_TTL_TRUE;
			}
#line 11726 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 726:
#line 4165 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "loose"))
					(yyval.val) = NF_OSF_TTL_LESS;
				else if (!strcmp((yyvsp[0].string), "skip"))
					(yyval.val) = NF_OSF_TTL_NOCHECK;
				else {
					erec_queue(error(&(yylsp[0]), "invalid ttl option"),
						   state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 11744 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 728:
#line 4182 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11752 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 729:
#line 4186 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11760 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 731:
#line 4193 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 733:
#line 4200 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11776 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 735:
#line 4207 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11784 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 738:
#line 4217 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 11797 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 739:
#line 4228 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = prefix_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].val));
			}
#line 11805 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 740:
#line 4234 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = range_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11813 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 743:
#line 4244 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = map_expr_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 11821 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 747:
#line 4255 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-1].expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11830 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 748:
#line 4262 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_expr_alloc(&(yyloc), NULL);
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 11839 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 749:
#line 4267 "parser_bison.y" /* yacc.c:1646  */
    {
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 11848 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 751:
#line 4275 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 752:
#line 4279 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11864 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 753:
#line 4283 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = mapping_expr_alloc(&(yyloc), (yyvsp[-3].expr), (yyvsp[-1].expr));
			}
#line 11872 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 755:
#line 4290 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)->location = (yyloc);
				(yyval.expr) = (yyvsp[-1].expr);
			}
#line 11881 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 756:
#line 4297 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 11889 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 759:
#line 4305 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-2].expr);
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				xfree((yyvsp[0].list));
			}
#line 11899 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 760:
#line 4312 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 11905 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 761:
#line 4313 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = set_elem_catchall_expr_alloc(&(yylsp[0])); }
#line 11911 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 762:
#line 4317 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[-1]), (yyvsp[-1].expr));
				list_splice_tail((yyvsp[0].list), &(yyval.expr)->stmt_list);
				xfree((yyvsp[0].list));
			}
#line 11921 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 763:
#line 4323 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = set_elem_expr_alloc(&(yylsp[0]), (yyvsp[0].expr));
			}
#line 11929 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 764:
#line 4329 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 11937 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 766:
#line 4336 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 11945 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 767:
#line 4340 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 11953 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 768:
#line 4344 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 11965 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 769:
#line 4354 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr)	= (yyvsp[-1].expr);
			}
#line 11973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 771:
#line 4361 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail(&(yyvsp[0].stmt)->list, (yyval.list));
			}
#line 11983 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 772:
#line 4367 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = (yyvsp[-1].list);
				list_add_tail(&(yyvsp[0].stmt)->list, (yyvsp[-1].list));
			}
#line 11992 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 773:
#line 4374 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
			}
#line 12000 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 774:
#line 4378 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = counter_stmt_alloc(&(yyloc));
				(yyval.stmt)->counter.packets = (yyvsp[-3].val);
				(yyval.stmt)->counter.bytes = (yyvsp[-1].val);
			}
#line 12010 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 775:
#line 4384 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[-1]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKTS;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 12028 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 776:
#line 4398 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-1].val) == 0) {
					erec_queue(error(&(yylsp[0]), "limit burst must be > 0"),
						   state->msgs);
					YYERROR;
				}
				(yyval.stmt) = limit_stmt_alloc(&(yyloc));
				(yyval.stmt)->limit.rate  = (yyvsp[-2].limit_rate).rate;
				(yyval.stmt)->limit.unit  = (yyvsp[-2].limit_rate).unit;
				(yyval.stmt)->limit.burst = (yyvsp[-1].val);
				(yyval.stmt)->limit.type  = NFT_LIMIT_PKT_BYTES;
				(yyval.stmt)->limit.flags = (yyvsp[-3].val);
			}
#line 12046 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 777:
#line 4412 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count	= (yyvsp[-1].val);
			}
#line 12055 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 778:
#line 4417 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = connlimit_stmt_alloc(&(yyloc));
				(yyval.stmt)->connlimit.count = (yyvsp[-1].val);
				(yyval.stmt)->connlimit.flags = NFT_CONNLIMIT_F_INV;
			}
#line 12065 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 779:
#line 4425 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->timeout = (yyvsp[0].val);
			}
#line 12073 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 780:
#line 4429 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->expiration = (yyvsp[0].val);
			}
#line 12081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 781:
#line 4433 "parser_bison.y" /* yacc.c:1646  */
    {
				if (already_set((yyvsp[-1].expr)->comment, &(yylsp[0]), state)) {
					xfree((yyvsp[0].string));
					YYERROR;
				}
				(yyvsp[-1].expr)->comment = (yyvsp[0].string);
			}
#line 12093 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 787:
#line 4451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = compound_expr_alloc(&(yyloc), EXPR_SET); }
#line 12099 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 788:
#line 4453 "parser_bison.y" /* yacc.c:1646  */
    {
				int32_t num = -(yyvsp[0].val);

				(yyval.expr) = constant_expr_alloc(&(yyloc), &integer_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(num) * BITS_PER_BYTE,
							 &num);
			}
#line 12112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 789:
#line 4464 "parser_bison.y" /* yacc.c:1646  */
    {
				struct counter *counter;

				counter = &(yyvsp[-4].obj)->counter;
				counter->packets = (yyvsp[-2].val);
				counter->bytes = (yyvsp[0].val);
			}
#line 12124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 790:
#line 4474 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_COUNTER;
			}
#line 12133 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 791:
#line 4481 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				struct quota *quota;
				uint64_t rate;

				erec = data_unit_parse(&(yyloc), (yyvsp[-1].string), &rate);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				quota = &(yyvsp[-4].obj)->quota;
				quota->bytes	= (yyvsp[-2].val) * rate;
				quota->used	= (yyvsp[0].val);
				quota->flags	= (yyvsp[-3].val);
			}
#line 12155 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 792:
#line 4501 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_QUOTA;
			}
#line 12164 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 793:
#line 4508 "parser_bison.y" /* yacc.c:1646  */
    {
				int ret;
				struct secmark *secmark;

				secmark = &(yyvsp[-1].obj)->secmark;
				ret = snprintf(secmark->ctx, sizeof(secmark->ctx), "%s", (yyvsp[0].string));
				if (ret <= 0 || ret >= (int)sizeof(secmark->ctx)) {
					erec_queue(error(&(yylsp[0]), "invalid context '%s', max length is %u\n", (yyvsp[0].string), (int)sizeof(secmark->ctx)), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 12182 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 794:
#line 4524 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_SECMARK;
			}
#line 12191 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 795:
#line 4530 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_HELPER; }
#line 12197 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 796:
#line 4531 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_TIMEOUT; }
#line 12203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 797:
#line 4532 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_OBJECT_CT_EXPECT; }
#line 12209 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 798:
#line 4535 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_OBJ_CT_HELPERS; }
#line 12215 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 799:
#line 4536 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_OBJ_CT_TIMEOUT; }
#line 12221 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 800:
#line 4537 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = CMD_OBJ_CT_EXPECT; }
#line 12227 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 801:
#line 4540 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_TCP; }
#line 12233 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 802:
#line 4541 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_UDP; }
#line 12239 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 803:
#line 4545 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_helper *ct;
				int ret;

				ct = &(yyvsp[-6].obj)->ct_helper;

				ret = snprintf(ct->name, sizeof(ct->name), "%s", (yyvsp[-4].string));
				if (ret <= 0 || ret >= (int)sizeof(ct->name)) {
					erec_queue(error(&(yylsp[-4]), "invalid name '%s', max length is %u\n", (yyvsp[-4].string), (int)sizeof(ct->name)), state->msgs);
					YYERROR;
				}
				xfree((yyvsp[-4].string));

				ct->l4proto = (yyvsp[-2].val);
			}
#line 12259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 804:
#line 4561 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_helper.l3proto = (yyvsp[-1].val);
			}
#line 12267 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 805:
#line 4567 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.list) = xmalloc(sizeof(*(yyval.list)));
				init_list_head((yyval.list));
				list_add_tail((yyvsp[0].list), (yyval.list));
			}
#line 12277 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 806:
#line 4573 "parser_bison.y" /* yacc.c:1646  */
    {
				list_add_tail((yyvsp[0].list), (yyvsp[-2].list));
				(yyval.list) = (yyvsp[-2].list);
			}
#line 12286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 807:
#line 4581 "parser_bison.y" /* yacc.c:1646  */
    {
				struct timeout_state *ts;

				ts = xzalloc(sizeof(*ts));
				ts->timeout_str = (yyvsp[-2].string);
				ts->timeout_value = (yyvsp[0].val);
				ts->location = (yylsp[-2]);
				init_list_head(&ts->head);
				(yyval.list) = &ts->head;
			}
#line 12301 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 808:
#line 4594 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;
				int l4proto = (yyvsp[-1].val);

				ct = &(yyvsp[-3].obj)->ct_timeout;
				ct->l4proto = l4proto;
			}
#line 12313 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 809:
#line 4602 "parser_bison.y" /* yacc.c:1646  */
    {
				struct ct_timeout *ct;

				ct = &(yyvsp[-7].obj)->ct_timeout;
				list_splice_tail((yyvsp[-3].list), &ct->timeout_list);
				xfree((yyvsp[-3].list));
			}
#line 12325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 810:
#line 4610 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_timeout.l3proto = (yyvsp[-1].val);
			}
#line 12333 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 811:
#line 4616 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l4proto = (yyvsp[-1].val);
			}
#line 12341 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 812:
#line 4620 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.dport = (yyvsp[-1].val);
			}
#line 12349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 813:
#line 4624 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.timeout = (yyvsp[-1].val);
			}
#line 12357 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 814:
#line 4628 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.size = (yyvsp[-1].val);
			}
#line 12365 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 815:
#line 4632 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-3].obj)->ct_expect.l3proto = (yyvsp[-1].val);
			}
#line 12373 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 816:
#line 4638 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
			}
#line 12381 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 817:
#line 4644 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKTS;
				limit->flags	= (yyvsp[-2].val);
			}
#line 12396 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 818:
#line 4655 "parser_bison.y" /* yacc.c:1646  */
    {
				struct limit *limit;

				limit = &(yyvsp[-4].obj)->limit;
				limit->rate	= (yyvsp[-1].limit_rate).rate;
				limit->unit	= (yyvsp[-1].limit_rate).unit;
				limit->burst	= (yyvsp[0].val);
				limit->type	= NFT_LIMIT_PKT_BYTES;
				limit->flags	= (yyvsp[-2].val);
			}
#line 12411 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 819:
#line 4668 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.obj) = obj_alloc(&(yyloc));
				(yyval.obj)->type = NFT_OBJECT_LIMIT;
			}
#line 12420 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 820:
#line 4675 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 12428 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 821:
#line 4679 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yyloc), OP_IMPLICIT, (yyvsp[-1].expr), (yyvsp[0].expr));
			}
#line 12436 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 822:
#line 4683 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12444 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 823:
#line 4687 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), OP_EQ, (yyvsp[-3].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12452 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 824:
#line 4691 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12460 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 825:
#line 4695 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = flagcmp_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].expr), (yyvsp[0].expr), (yyvsp[-2].expr));
			}
#line 12468 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 826:
#line 4699 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12476 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 827:
#line 4703 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = relational_expr_alloc(&(yylsp[-1]), (yyvsp[-1].val), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12484 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 828:
#line 4709 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 12494 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 829:
#line 4715 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 12504 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 830:
#line 4722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12510 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 831:
#line 4723 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12516 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 832:
#line 4724 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12522 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 834:
#line 4729 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_LSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12530 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 835:
#line 4733 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_RSHIFT, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12538 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 837:
#line 4740 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_AND, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12546 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 839:
#line 4747 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_XOR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12554 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 841:
#line 4754 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = binop_expr_alloc(&(yyloc), OP_OR, (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 12562 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 845:
#line 4765 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12575 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 846:
#line 4774 "parser_bison.y" /* yacc.c:1646  */
    {
				struct location rhs[] = {
					[1]	= (yylsp[-1]),
					[2]	= (yylsp[0]),
				};

				(yyval.expr) = handle_concat_expr(&(yyloc), (yyval.expr), (yyvsp[-2].expr), (yyvsp[0].expr), rhs);
			}
#line 12588 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 847:
#line 4784 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = true; }
#line 12594 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 848:
#line 4785 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val8) = false; }
#line 12600 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 849:
#line 4789 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &boolean_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof((yyvsp[0].val8)) * BITS_PER_BYTE, &(yyvsp[0].val8));
			}
#line 12610 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 850:
#line 4796 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ether"); }
#line 12616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 851:
#line 4797 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip"); }
#line 12622 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 852:
#line 4798 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ip6"); }
#line 12628 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 853:
#line 4799 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "vlan"); }
#line 12634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 854:
#line 4800 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "arp"); }
#line 12640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 855:
#line 4801 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "dnat"); }
#line 12646 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 856:
#line 4802 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "snat"); }
#line 12652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 857:
#line 4803 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "ecn"); }
#line 12658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 858:
#line 4804 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reset"); }
#line 12664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 859:
#line 4805 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "original"); }
#line 12670 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 860:
#line 4806 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "reply"); }
#line 12676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 861:
#line 4807 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = symbol_value(&(yyloc), "label"); }
#line 12682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 862:
#line 4810 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 863:
#line 4811 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12694 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 864:
#line 4812 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12700 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 865:
#line 4813 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[0].expr); }
#line 12706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 866:
#line 4815 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_TCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12717 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 867:
#line 4822 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 868:
#line 4829 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_UDPLITE;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 869:
#line 4836 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ESP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12750 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 870:
#line 4843 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_AH;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12761 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 871:
#line 4850 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12772 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 872:
#line 4857 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_IGMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12783 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 873:
#line 4864 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_ICMPV6;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12794 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 874:
#line 4871 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_COMP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12805 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 875:
#line 4878 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_DCCP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 876:
#line 4885 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = IPPROTO_SCTP;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &inet_protocol_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12827 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 877:
#line 4892 "parser_bison.y" /* yacc.c:1646  */
    {
				uint8_t data = ICMP_REDIRECT;
				(yyval.expr) = constant_expr_alloc(&(yyloc), &icmp_type_type,
							 BYTEORDER_HOST_ENDIAN,
							 sizeof(data) * BITS_PER_BYTE, &data);
			}
#line 12838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 878:
#line 4898 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.expr) = (yyvsp[-1].expr); }
#line 12844 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 879:
#line 4901 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_EQ; }
#line 12850 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 880:
#line 4902 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEQ; }
#line 12856 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 881:
#line 4903 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LT; }
#line 12862 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 882:
#line 4904 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GT; }
#line 12868 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 883:
#line 4905 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_GTE; }
#line 12874 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 884:
#line 4906 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_LTE; }
#line 12880 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 885:
#line 4907 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = OP_NEG; }
#line 12886 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 886:
#line 4911 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_ACCEPT, NULL);
			}
#line 12894 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 887:
#line 4915 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NF_DROP, NULL);
			}
#line 12902 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 888:
#line 4919 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_CONTINUE, NULL);
			}
#line 12910 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 889:
#line 4923 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_JUMP, (yyvsp[0].expr));
			}
#line 12918 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 890:
#line 4927 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_GOTO, (yyvsp[0].expr));
			}
#line 12926 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 891:
#line 4931 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = verdict_expr_alloc(&(yyloc), NFT_RETURN, NULL);
			}
#line 12934 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 893:
#line 4938 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = constant_expr_alloc(&(yyloc), &string_type,
							 BYTEORDER_HOST_ENDIAN,
							 strlen((yyvsp[0].string)) * BITS_PER_BYTE,
							 (yyvsp[0].string));
				xfree((yyvsp[0].string));
			}
#line 12946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 894:
#line 4948 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[-1].val));
			}
#line 12954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 895:
#line 4952 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = meta_expr_alloc(&(yyloc), (yyvsp[0].val));
			}
#line 12962 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 896:
#line 4956 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-1].string), &key);
				xfree((yyvsp[-1].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.expr) = meta_expr_alloc(&(yyloc), key);
			}
#line 12980 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 899:
#line 4975 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_LEN; }
#line 12986 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 900:
#line 4976 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PROTOCOL; }
#line 12992 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 901:
#line 4977 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRIORITY; }
#line 12998 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 902:
#line 4978 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PRANDOM; }
#line 13004 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 903:
#line 4979 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECMARK; }
#line 13010 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 904:
#line 4982 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_MARK; }
#line 13016 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 905:
#line 4983 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIF; }
#line 13022 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 906:
#line 4984 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFNAME; }
#line 13028 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 907:
#line 4985 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFTYPE; }
#line 13034 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 908:
#line 4986 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIF; }
#line 13040 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 909:
#line 4987 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFNAME; }
#line 13046 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 910:
#line 4988 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFTYPE; }
#line 13052 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 911:
#line 4989 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKUID; }
#line 13058 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 912:
#line 4990 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SKGID; }
#line 13064 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 913:
#line 4991 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_NFTRACE; }
#line 13070 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 914:
#line 4992 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_RTCLASSID; }
#line 13076 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 915:
#line 4993 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 13082 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 916:
#line 4994 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 13088 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 917:
#line 4995 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_IIFNAME; }
#line 13094 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 918:
#line 4996 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_BRI_OIFNAME; }
#line 13100 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 919:
#line 4997 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_PKTTYPE; }
#line 13106 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 920:
#line 4998 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CPU; }
#line 13112 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 921:
#line 4999 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_IIFGROUP; }
#line 13118 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 922:
#line 5000 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_OIFGROUP; }
#line 13124 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 923:
#line 5001 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_CGROUP; }
#line 13130 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 924:
#line 5002 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_SECPATH; }
#line 13136 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 925:
#line 5003 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_NS; }
#line 13142 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 926:
#line 5004 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_DAY; }
#line 13148 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 927:
#line 5005 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_META_TIME_HOUR; }
#line 13154 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 928:
#line 5009 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-3].val)) {
				case NFT_META_SECMARK:
					switch ((yyvsp[-1].expr)->etype) {
					case EXPR_CT:
						(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
						break;
					default:
						(yyval.stmt) = objref_stmt_alloc(&(yyloc));
						(yyval.stmt)->objref.type = NFT_OBJECT_SECMARK;
						(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
						break;
					}
					break;
				default:
					(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-1].expr));
					break;
				}
			}
#line 13178 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 929:
#line 5029 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = meta_stmt_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[0].expr));
			}
#line 13186 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 930:
#line 5033 "parser_bison.y" /* yacc.c:1646  */
    {
				struct error_record *erec;
				unsigned int key;

				erec = meta_key_parse(&(yyloc), (yyvsp[-3].string), &key);
				xfree((yyvsp[-3].string));
				if (erec != NULL) {
					erec_queue(erec, state->msgs);
					YYERROR;
				}

				(yyval.stmt) = meta_stmt_alloc(&(yyloc), key, (yyvsp[-1].expr));
			}
#line 13204 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 931:
#line 5047 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = notrack_stmt_alloc(&(yyloc));
			}
#line 13212 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 932:
#line 5051 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 13220 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 933:
#line 5055 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = flow_offload_stmt_alloc(&(yyloc), (yyvsp[-1].string));
			}
#line 13228 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 934:
#line 5061 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), (yyvsp[-1].val), 0);
			}
#line 13236 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 935:
#line 5065 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = socket_expr_alloc(&(yyloc), NFT_SOCKET_CGROUPV2, (yyvsp[-1].val));
			}
#line 13244 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 936:
#line 5070 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_TRANSPARENT; }
#line 13250 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 937:
#line 5071 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_MARK; }
#line 13256 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 938:
#line 5072 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_SOCKET_WILDCARD; }
#line 13262 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 939:
#line 5075 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 13268 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 940:
#line 5076 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 13274 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 941:
#line 5079 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_INCREMENTAL; }
#line 13280 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 942:
#line 5080 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_NG_RANDOM; }
#line 13286 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 943:
#line 5084 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = numgen_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13294 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 944:
#line 5089 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 13300 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 945:
#line 5090 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = 0; }
#line 13306 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 946:
#line 5093 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_IN; }
#line 13312 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 947:
#line 5094 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = XFRM_POLICY_OUT; }
#line 13318 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 948:
#line 5097 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SPI; }
#line 13324 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 949:
#line 5098 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_REQID; }
#line 13330 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 950:
#line 5101 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_DADDR_IP4; }
#line 13336 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 951:
#line 5102 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_XFRM_KEY_SADDR_IP4; }
#line 13342 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 952:
#line 5106 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].val) > 255) {
					erec_queue(error(&(yylsp[-2]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-2].val), (yyvsp[-1].val));
			}
#line 13354 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 953:
#line 5114 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_xfrm_keys xfrmk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_XFRM_KEY_SADDR_IP4)
						xfrmk = NFT_XFRM_KEY_SADDR_IP6;
					else if ((yyvsp[-1].val) == NFT_XFRM_KEY_DADDR_IP4)
						xfrmk = NFT_XFRM_KEY_DADDR_IP6;
					break;
				default:
					YYERROR;
					break;
				}

				if ((yyvsp[-3].val) > 255) {
					erec_queue(error(&(yylsp[-3]), "value too large"), state->msgs);
					YYERROR;
				}

				(yyval.expr) = xfrm_expr_alloc(&(yyloc), (yyvsp[-4].val), (yyvsp[-3].val), xfrmk);
			}
#line 13383 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 954:
#line 5141 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-4].val), true, (yyvsp[-2].val), (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-6].expr);
			}
#line 13392 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 955:
#line 5146 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_JENKINS);
				(yyval.expr)->hash.expr = (yyvsp[-4].expr);
			}
#line 13401 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 956:
#line 5151 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = hash_expr_alloc(&(yyloc), (yyvsp[-2].val), false, 0, (yyvsp[-1].val), NFT_HASH_SYM);
			}
#line 13409 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 957:
#line 5156 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV4; }
#line 13415 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 958:
#line 5157 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFPROTO_IPV6; }
#line 13421 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 959:
#line 5161 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = rt_expr_alloc(&(yyloc), (yyvsp[-1].val), true);
			}
#line 13429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 960:
#line 5165 "parser_bison.y" /* yacc.c:1646  */
    {
				enum nft_rt_keys rtk = (yyvsp[-1].val);

				switch ((yyvsp[-2].val)) {
				case NFPROTO_IPV4:
					break;
				case NFPROTO_IPV6:
					if ((yyvsp[-1].val) == NFT_RT_NEXTHOP4)
						rtk = NFT_RT_NEXTHOP6;
					break;
				default:
					YYERROR;
					break;
				}

				(yyval.expr) = rt_expr_alloc(&(yyloc), rtk, false);
			}
#line 13451 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 961:
#line 5184 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_CLASSID; }
#line 13457 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 962:
#line 5185 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_NEXTHOP4; }
#line 13463 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 963:
#line 5186 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_TCPMSS; }
#line 13469 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 964:
#line 5187 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_RT_XFRM; }
#line 13475 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 965:
#line 5191 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), -1);
			}
#line 13483 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 966:
#line 5195 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 13491 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 967:
#line 5199 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ct_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[-2].val));
			}
#line 13499 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 968:
#line 5204 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_ORIGINAL; }
#line 13505 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 969:
#line 5205 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP_CT_DIR_REPLY; }
#line 13511 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 970:
#line 5208 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 13517 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 971:
#line 5209 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 13523 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 972:
#line 5210 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_MARK; }
#line 13529 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 973:
#line 5211 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATE; }
#line 13535 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 974:
#line 5212 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DIRECTION; }
#line 13541 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 975:
#line 5213 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_STATUS; }
#line 13547 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 976:
#line 5214 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EXPIRATION; }
#line 13553 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 977:
#line 5215 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_HELPER; }
#line 13559 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 978:
#line 5216 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 13565 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 979:
#line 5217 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 13571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 980:
#line 5218 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 13577 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 981:
#line 5219 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 13583 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 982:
#line 5220 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_LABELS; }
#line 13589 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 983:
#line 5221 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_EVENTMASK; }
#line 13595 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 984:
#line 5222 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SECMARK; }
#line 13601 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 985:
#line 5223 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ID; }
#line 13607 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 987:
#line 5227 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC; }
#line 13613 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 988:
#line 5228 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST; }
#line 13619 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 989:
#line 5229 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_L3PROTOCOL; }
#line 13625 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 990:
#line 5230 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTOCOL; }
#line 13631 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 991:
#line 5231 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_SRC; }
#line 13637 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 992:
#line 5232 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PROTO_DST; }
#line 13643 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 994:
#line 5236 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP; }
#line 13649 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 995:
#line 5237 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP; }
#line 13655 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 996:
#line 5238 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_SRC_IP6; }
#line 13661 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 997:
#line 5239 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_DST_IP6; }
#line 13667 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 998:
#line 5242 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_BYTES; }
#line 13673 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 999:
#line 5243 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_PKTS; }
#line 13679 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 5244 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_AVGPKT; }
#line 13685 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 5245 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = NFT_CT_ZONE; }
#line 13691 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 5253 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = list_expr_alloc(&(yyloc));
				compound_expr_add((yyval.expr), (yyvsp[-2].expr));
				compound_expr_add((yyval.expr), (yyvsp[0].expr));
			}
#line 13701 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 5259 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyvsp[-2].expr)->location = (yyloc);
				compound_expr_add((yyvsp[-2].expr), (yyvsp[0].expr));
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 13711 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 5267 "parser_bison.y" /* yacc.c:1646  */
    {
				switch ((yyvsp[-3].val)) {
				case NFT_CT_HELPER:
					(yyval.stmt) = objref_stmt_alloc(&(yyloc));
					(yyval.stmt)->objref.type = NFT_OBJECT_CT_HELPER;
					(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
					break;
				default:
					(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), -1, (yyvsp[-1].expr));
					break;
				}
			}
#line 13728 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 5280 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_TIMEOUT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);

			}
#line 13739 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 5287 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = objref_stmt_alloc(&(yyloc));
				(yyval.stmt)->objref.type = NFT_OBJECT_CT_EXPECT;
				(yyval.stmt)->objref.expr = (yyvsp[-1].expr);
			}
#line 13749 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 5293 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = ct_stmt_alloc(&(yyloc), (yyvsp[-3].val), (yyvsp[-4].val), (yyvsp[-1].expr));
			}
#line 13757 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 5299 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[-2].expr)->etype == EXPR_EXTHDR)
					(yyval.stmt) = exthdr_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
				else
					(yyval.stmt) = payload_stmt_alloc(&(yyloc), (yyvsp[-2].expr), (yyvsp[0].expr));
			}
#line 13768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 5328 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), NULL, 0);
				payload_init_raw((yyval.expr), (yyvsp[-5].val), (yyvsp[-3].val), (yyvsp[-1].val));
				(yyval.expr)->byteorder		= BYTEORDER_BIG_ENDIAN;
				(yyval.expr)->payload.is_raw	= true;
			}
#line 13779 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 5336 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_LL_HDR; }
#line 13785 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 5337 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_NETWORK_HDR; }
#line 13791 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 5338 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = PROTO_BASE_TRANSPORT_HDR; }
#line 13797 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 5340 "parser_bison.y" /* yacc.c:1646  */
    {
				if (!strcmp((yyvsp[0].string), "ih")) {
					(yyval.val) = PROTO_BASE_INNER_HDR;
				} else {
					erec_queue(error(&(yylsp[0]), "unknown raw payload base"), state->msgs);
					xfree((yyvsp[0].string));
					YYERROR;
				}
				xfree((yyvsp[0].string));
			}
#line 13812 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 5353 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_eth, (yyvsp[-1].val));
			}
#line 13820 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 5358 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_SADDR; }
#line 13826 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 5359 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_DADDR; }
#line 13832 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 5360 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ETHHDR_TYPE; }
#line 13838 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 5364 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_vlan, (yyvsp[-1].val));
			}
#line 13846 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 5369 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_VID; }
#line 13852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 5370 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_CFI; }
#line 13858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 5371 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_DEI; }
#line 13864 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 5372 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_PCP; }
#line 13870 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 5373 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = VLANHDR_TYPE; }
#line 13876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 5377 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_arp, (yyvsp[-1].val));
			}
#line 13884 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 5382 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HRD; }
#line 13890 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 5383 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PRO; }
#line 13896 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 5384 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_HLN; }
#line 13902 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 5385 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_PLN; }
#line 13908 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 5386 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_OP; }
#line 13914 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 5387 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_ETHER; }
#line 13920 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 5388 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_ETHER; }
#line 13926 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 5389 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_SADDR_IP; }
#line 13932 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 5390 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ARPHDR_DADDR_IP; }
#line 13938 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 5394 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip, (yyvsp[-1].val));
			}
#line 13946 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 5398 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-2].val), (yyvsp[-1].val));
				if (!(yyval.expr)) {
					erec_queue(error(&(yylsp[-4]), "unknown ip option type/field"), state->msgs);
					YYERROR;
				}
			}
#line 13958 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 5406 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = ipopt_expr_alloc(&(yyloc), (yyvsp[-1].val), IPOPT_FIELD_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 13967 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 5412 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_VERSION; }
#line 13973 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 5413 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_HDRLENGTH; }
#line 13979 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 5414 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DSCP; }
#line 13985 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 5415 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ECN; }
#line 13991 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 5416 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_LENGTH; }
#line 13997 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 5417 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_ID; }
#line 14003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 5418 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_FRAG_OFF; }
#line 14009 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 5419 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_TTL; }
#line 14015 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 5420 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_PROTOCOL; }
#line 14021 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 5421 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_CHECKSUM; }
#line 14027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 5422 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_SADDR; }
#line 14033 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 5423 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPHDR_DADDR; }
#line 14039 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 5426 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_LSRR; }
#line 14045 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 5427 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RR; }
#line 14051 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 5428 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_SSRR; }
#line 14057 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 5429 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_RA; }
#line 14063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 5432 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_TYPE; }
#line 14069 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 5433 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_LENGTH; }
#line 14075 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 5434 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_VALUE; }
#line 14081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 5435 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_PTR; }
#line 14087 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 5436 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPOPT_FIELD_ADDR_0; }
#line 14093 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 5440 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp, (yyvsp[-1].val));
			}
#line 14101 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 5445 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_TYPE; }
#line 14107 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 5446 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CODE; }
#line 14113 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 5447 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_CHECKSUM; }
#line 14119 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 5448 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_ID; }
#line 14125 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 5449 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_SEQ; }
#line 14131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 5450 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_GATEWAY; }
#line 14137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 5451 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMPHDR_MTU; }
#line 14143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 5455 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_igmp, (yyvsp[-1].val));
			}
#line 14151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 5460 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_TYPE; }
#line 14157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 5461 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_CHECKSUM; }
#line 14163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 5462 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_MRT; }
#line 14169 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 5463 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IGMPHDR_GROUP; }
#line 14175 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 5467 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ip6, (yyvsp[-1].val));
			}
#line 14183 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 5472 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_VERSION; }
#line 14189 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 5473 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DSCP; }
#line 14195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 5474 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_ECN; }
#line 14201 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 5475 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_FLOWLABEL; }
#line 14207 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 5476 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_LENGTH; }
#line 14213 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 5477 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_NEXTHDR; }
#line 14219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 5478 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_HOPLIMIT; }
#line 14225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 5479 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_SADDR; }
#line 14231 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 5480 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IP6HDR_DADDR; }
#line 14237 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 5483 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_icmp6, (yyvsp[-1].val));
			}
#line 14245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 5488 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_TYPE; }
#line 14251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 5489 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CODE; }
#line 14257 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 5490 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_CHECKSUM; }
#line 14263 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 5491 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_PPTR; }
#line 14269 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 5492 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MTU; }
#line 14275 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 5493 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_ID; }
#line 14281 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 5494 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_SEQ; }
#line 14287 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 5495 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ICMP6HDR_MAXDELAY; }
#line 14293 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 5499 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_ah, (yyvsp[-1].val));
			}
#line 14301 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 5504 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_NEXTHDR; }
#line 14307 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 5505 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_HDRLENGTH; }
#line 14313 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 5506 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_RESERVED; }
#line 14319 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 5507 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SPI; }
#line 14325 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 5508 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = AHHDR_SEQUENCE; }
#line 14331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 5512 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_esp, (yyvsp[-1].val));
			}
#line 14339 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 5517 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SPI; }
#line 14345 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 5518 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = ESPHDR_SEQUENCE; }
#line 14351 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 5522 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_comp, (yyvsp[-1].val));
			}
#line 14359 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 5527 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_NEXTHDR; }
#line 14365 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 5528 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_FLAGS; }
#line 14371 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 5529 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = COMPHDR_CPI; }
#line 14377 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 5533 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udp, (yyvsp[-1].val));
			}
#line 14385 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 5538 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 14391 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 5539 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 14397 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 5540 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 14403 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 5541 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 14409 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 5545 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_udplite, (yyvsp[-1].val));
			}
#line 14417 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 5550 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_SPORT; }
#line 14423 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 5551 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_DPORT; }
#line 14429 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 5552 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_LENGTH; }
#line 14435 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 5553 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = UDPHDR_CHECKSUM; }
#line 14441 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 5557 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_tcp, (yyvsp[0].val));
			}
#line 14449 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 5561 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].val), TCPOPT_COMMON_KIND);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 14458 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 5566 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[0].tcp_kind_field).kind, (yyvsp[0].tcp_kind_field).field);
			}
#line 14466 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 5570 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = tcpopt_expr_alloc(&(yyloc), (yyvsp[-4].val), 0);
				tcpopt_init_raw((yyval.expr), (yyvsp[-4].val), (yyvsp[-2].val), (yyvsp[0].val), 0);
			}
#line 14475 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 5577 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.stmt) = optstrip_stmt_alloc(&(yyloc), tcpopt_expr_alloc(&(yyloc),
										(yyvsp[-1].val), TCPOPT_COMMON_KIND));
			}
#line 14484 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 5583 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SPORT; }
#line 14490 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 5584 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DPORT; }
#line 14496 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 5585 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_SEQ; }
#line 14502 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 5586 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_ACKSEQ; }
#line 14508 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 5587 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_DOFF; }
#line 14514 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 5588 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_RESERVED; }
#line 14520 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 5589 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_FLAGS; }
#line 14526 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 5590 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_WINDOW; }
#line 14532 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 5591 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_CHECKSUM; }
#line 14538 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 5592 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPHDR_URGPTR; }
#line 14544 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 5596 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MAXSEG, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14553 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 5601 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14562 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 5606 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_WINDOW, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14571 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 5611 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_TIMESTAMP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14580 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 5616 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = (yyvsp[-1].val), .field = TCPOPT_COMMON_LENGTH };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14589 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 5621 "parser_bison.y" /* yacc.c:1646  */
    {
					struct tcp_kind_field kind_field = { .kind = TCPOPT_KIND_MPTCP, .field = (yyvsp[0].val) };
					(yyval.tcp_kind_field) = kind_field;
				}
#line 14598 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 5627 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 14604 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 5628 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK; }
#line 14610 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 5629 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK1; }
#line 14616 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 5630 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK2; }
#line 14622 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 5631 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK3; }
#line 14628 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 5634 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_ECHO; }
#line 14634 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 5635 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_EOL; }
#line 14640 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 5636 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_FASTOPEN; }
#line 14646 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 5637 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MD5SIG; }
#line 14652 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 5638 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MPTCP; }
#line 14658 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 5639 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_MAXSEG; }
#line 14664 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 5640 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_NOP; }
#line 14670 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 5641 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_SACK_PERMITTED; }
#line 14676 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 5642 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_TIMESTAMP; }
#line 14682 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 5643 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_KIND_WINDOW; }
#line 14688 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 5644 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = (yyvsp[0].val); }
#line 14694 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 5645 "parser_bison.y" /* yacc.c:1646  */
    {
				if ((yyvsp[0].val) > 255) {
					erec_queue(error(&(yylsp[0]), "value too large"), state->msgs);
					YYERROR;
				}
				(yyval.val) = (yyvsp[0].val);
			}
#line 14706 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 5654 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_LEFT; }
#line 14712 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 5655 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_SACK_RIGHT; }
#line 14718 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 5658 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_WINDOW_COUNT; }
#line 14724 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 5661 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSVAL; }
#line 14730 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 5662 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_TS_TSECR; }
#line 14736 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 5665 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_MAXSEG_SIZE; }
#line 14742 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 5668 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = TCPOPT_MPTCP_SUBTYPE; }
#line 14748 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 5672 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_dccp, (yyvsp[-1].val));
			}
#line 14756 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 5677 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_SPORT; }
#line 14762 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 5678 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_DPORT; }
#line 14768 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 5679 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DCCPHDR_TYPE; }
#line 14774 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 5682 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_DATA; }
#line 14780 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 5683 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT; }
#line 14786 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 5684 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_INIT_ACK; }
#line 14792 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 5685 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SACK; }
#line 14798 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 5686 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT; }
#line 14804 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 5687 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_HEARTBEAT_ACK; }
#line 14810 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 5688 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ABORT; }
#line 14816 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 5689 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN; }
#line 14822 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 5690 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_ACK; }
#line 14828 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 5691 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ERROR; }
#line 14834 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 5692 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ECHO; }
#line 14840 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 5693 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_COOKIE_ACK; }
#line 14846 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 5694 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ECNE; }
#line 14852 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 5695 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_CWR; }
#line 14858 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 5696 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_SHUTDOWN_COMPLETE; }
#line 14864 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 5697 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF_ACK; }
#line 14870 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 5698 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_FORWARD_TSN; }
#line 14876 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 5699 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_TYPE_ASCONF; }
#line 14882 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 5702 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_TYPE; }
#line 14888 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 5703 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_FLAGS; }
#line 14894 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 5704 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_COMMON_LENGTH; }
#line 14900 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 5707 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_TSN; }
#line 14906 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 5708 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_STREAM; }
#line 14912 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 5709 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_SSN; }
#line 14918 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 5710 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_DATA_PPID; }
#line 14924 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 5713 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TAG; }
#line 14930 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 5714 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_RWND; }
#line 14936 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 5715 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_OSTREAMS; }
#line 14942 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 5716 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_ISTREAMS; }
#line 14948 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 5717 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_INIT_TSN; }
#line 14954 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 5720 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_CTSN_ACK; }
#line 14960 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 5721 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_RWND; }
#line 14966 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 5722 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_GACK_BLOCKS; }
#line 14972 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 5723 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTP_CHUNK_SACK_DUP_TSNS; }
#line 14978 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 5727 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[0].val), SCTP_CHUNK_COMMON_TYPE);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 14987 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 5732 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), (yyvsp[-1].val), (yyvsp[0].val));
			}
#line 14995 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 5736 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_DATA, (yyvsp[0].val));
			}
#line 15003 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 5740 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT, (yyvsp[0].val));
			}
#line 15011 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 5744 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_INIT_ACK, (yyvsp[0].val));
			}
#line 15019 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 5748 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SACK, (yyvsp[0].val));
			}
#line 15027 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 5752 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_SHUTDOWN,
							   SCTP_CHUNK_SHUTDOWN_CTSN_ACK);
			}
#line 15036 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 5757 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ECNE,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 15045 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 5762 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_CWR,
							   SCTP_CHUNK_ECNE_CWR_MIN_TSN);
			}
#line 15054 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 5767 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF_ACK,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 15063 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 5772 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_FORWARD_TSN,
							   SCTP_CHUNK_FORWARD_TSN_NCTSN);
			}
#line 15072 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 5777 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = sctp_chunk_expr_alloc(&(yyloc), SCTP_CHUNK_TYPE_ASCONF,
							   SCTP_CHUNK_ASCONF_SEQNO);
			}
#line 15081 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 5784 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_sctp, (yyvsp[-1].val));
			}
#line 15089 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 5788 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = (yyvsp[-2].expr);
			}
#line 15097 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 5793 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_SPORT; }
#line 15103 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 5794 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_DPORT; }
#line 15109 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 5795 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_VTAG; }
#line 15115 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 5796 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = SCTPHDR_CHECKSUM; }
#line 15121 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 5800 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = payload_expr_alloc(&(yyloc), &proto_th, (yyvsp[-1].val));
				if ((yyval.expr))
					(yyval.expr)->payload.is_raw = true;
			}
#line 15131 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 5807 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_SPORT; }
#line 15137 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 5808 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = THDR_DPORT; }
#line 15143 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 5822 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_hbh, (yyvsp[-1].val));
			}
#line 15151 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 5827 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_NEXTHDR; }
#line 15157 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 5828 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = HBHHDR_HDRLENGTH; }
#line 15163 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 5832 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt, (yyvsp[-1].val));
			}
#line 15171 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 5837 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_NEXTHDR; }
#line 15177 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 5838 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_HDRLENGTH; }
#line 15183 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 5839 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_TYPE; }
#line 15189 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 5840 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RTHDR_SEG_LEFT; }
#line 15195 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 5844 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt0, (yyvsp[-1].val));
			}
#line 15203 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 5850 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT0HDR_ADDR_1 + (yyvsp[-1].val) - 1;
			}
#line 15211 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 5856 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt2, (yyvsp[-1].val));
			}
#line 15219 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 5861 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT2HDR_ADDR; }
#line 15225 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 5865 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_rt4, (yyvsp[-1].val));
			}
#line 15233 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 5870 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_LASTENT; }
#line 15239 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 5871 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_FLAGS; }
#line 15245 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 5872 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = RT4HDR_TAG; }
#line 15251 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 5874 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.val) = RT4HDR_SID_1 + (yyvsp[-1].val) - 1;
			}
#line 15259 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 5880 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_frag, (yyvsp[-1].val));
			}
#line 15267 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 5885 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_NEXTHDR; }
#line 15273 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 5886 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED; }
#line 15279 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 5887 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_FRAG_OFF; }
#line 15285 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 5888 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_RESERVED2; }
#line 15291 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 5889 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_MFRAGS; }
#line 15297 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 5890 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = FRAGHDR_ID; }
#line 15303 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 5894 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_dst, (yyvsp[-1].val));
			}
#line 15311 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 5899 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_NEXTHDR; }
#line 15317 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 5900 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = DSTHDR_HDRLENGTH; }
#line 15323 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 5904 "parser_bison.y" /* yacc.c:1646  */
    {
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), &exthdr_mh, (yyvsp[-1].val));
			}
#line 15331 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 5909 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_NEXTHDR; }
#line 15337 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 5910 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_HDRLENGTH; }
#line 15343 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 5911 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_TYPE; }
#line 15349 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 5912 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_RESERVED; }
#line 15355 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 5913 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = MHHDR_CHECKSUM; }
#line 15361 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 5917 "parser_bison.y" /* yacc.c:1646  */
    {
				const struct exthdr_desc *desc;

				desc = exthdr_find_proto((yyvsp[0].val));

				/* Assume that NEXTHDR template is always
				 * the fist one in list of templates.
				 */
				(yyval.expr) = exthdr_expr_alloc(&(yyloc), desc, 1);
				(yyval.expr)->exthdr.flags = NFT_EXTHDR_F_PRESENT;
			}
#line 15377 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 5930 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_HOPOPTS; }
#line 15383 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 5931 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_ROUTING; }
#line 15389 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 5932 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_FRAGMENT; }
#line 15395 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 5933 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_DSTOPTS; }
#line 15401 "parser_bison.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 5934 "parser_bison.y" /* yacc.c:1646  */
    { (yyval.val) = IPPROTO_MH; }
#line 15407 "parser_bison.c" /* yacc.c:1646  */
    break;


#line 15411 "parser_bison.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, nft, scanner, state, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, nft, scanner, state, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, nft, scanner, state);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, nft, scanner, state, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, nft, scanner, state);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, nft, scanner, state);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 5937 "parser_bison.y" /* yacc.c:1906  */

